
## Tier 3 - Summon Tonks ##

label cc_pf_strip_T3_tonks:

    # Setup
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5
    pause 1

    $ tonks_cho_name = renpy.random.choice( ("Sweetie", "babe", "Honey") )
    # All character's clothes get saved in case we need to change any.
    # Cho and Tonks won't change their clothes.

    $ cho_outfit_last.save() # Store current outfit.
    $ ton_outfit_last.save() # Store current outfit.
    $ her_outfit_last.save() # Store current outfit.

    #$ cho.equip(cho_outfit_default)
    #$ tonks.equip(ton_outfit_default)
    $ hermione.equip(her_outfit_default)

    call cho_chibi("stand", "desk", "base", flip=False)

    hide screen blkfade
    cho "" ("base", "base", "base", "mid", xpos="mid", ypos="base", flip=False, trans=fade)

    # Intro
    if doppler_done == False and succubus_done == False: # First time only.
        gen "About your teacher, Professor Tonks..." ("base", xpos="far_left", ypos="head")
        gen "That ability she has, it's quite... interesting, don't you think?" ("base", xpos="far_left", ypos="head")
        cho "It is! And exceptionally rare as well!" ("grin", "happyCl", "base", "mid")
        cho "I only ever heard about this type of transfiguration ability once -- during one of Professor McGonagall's lessons..." ("open", "base", "raised", "mid")
        cho "She seemed kind of annoyed by the fact that there are people with natural abilities to change their appearance like that." ("annoyed", "base", "base", "R")
        gen "Well, not everyone can be as naturally handsome as me." ("grin", xpos="far_left", ypos="head")
        cho "That... Is not what I meant." ("open", "closed", "angry", "mid")
        gen "I wonder if she's the only person here who has this \"Metamorphic\" ability..." ("base", xpos="far_left", ypos="head")
        cho "I hope so..." ("annoyed", "base", "base", "mid")
        gen "You do?" ("base", xpos="far_left", ypos="head")
        cho "You've seen the kind of thing she uses her ability for, haven't you?" ("open", "narrow", "base", "mid")
        cho "Surely when you decided to tell me her secret -- you considered what could happen if I told the other students about it?" ("open", "closed", "base", "mid")
        gen "I...{w=0.2} Of course!" ("angry", xpos="far_left", ypos="head")
        cho "Don't worry, I won't tell anyone..." ("open", "narrow", "base", "mid")
        cho "Though I'd suggest to keep it a secret from Granger at all cost!" ("mad", "narrow", "angry", "mid")
        cho "I'm confident she'd come up with some annoying rule to try and keep her teacher in check..." ("annoyed", "narrow", "angry", "mid")
        gen "Right..." ("base", xpos="far_left", ypos="head")
        cho "Well, I'm glad to know that you trust me with something like this, [cho_genie_name]." ("smile", "happyCl", "base", "mid")
        cho "It'd be quite difficult for her to pretend to be someone else, if everybody knew about it." ("annoyed", "base", "base", "mid")
        gen "..." ("base", xpos="far_left", ypos="head")
        cho "I sure am glad there isn't another student with her abilities..." ("annoyed", "narrow", "base", "R")
        gen "*Ha-ha*, yeah..." ("grin", xpos="far_left", ypos="head")
        gen "Another student -- preferably female -- with her abilities...{w=0.5} That would be horrible..." ("base", xpos="far_left", ypos="head")
        gen "(Not...)" ("grin", xpos="far_left", ypos="head")
        cho "Yes... If they somehow found out about Tonks, she'd surely receive all the blame." ("angry", "narrow", "raised", "mid")
        gen "..." ("angry", xpos="far_left", ypos="head")
        cho "..." ("annoyed", "narrow", "base", "mid")
        gen "Let's just call her up here for now..." ("base", xpos="far_left", ypos="head")
        gen "I'm sure she'll make it well worth it for you to continue keeping her secret safe." ("grin", xpos="far_left", ypos="head")
        cho "Yes, [cho_genie_name]..." ("smile", "narrow", "base", "mid", cheeks="blush") #glancing away #blush

    # Repeat
    else:
        gen "Let me summon her real quick." ("base", xpos="far_left", ypos="head")
        cho "Yes, [cho_genie_name]." ("base", "base", "base", "mid")

    call play_music("stop")
    call hide_characters
    hide screen bld1
    with d3
    pause .2

    # You summon Tonks.
    call cho_chibi("stand", "desk", "base", flip=True)
    with d3
    pause .8

    # Tonks enters.
    call play_sound("door")
    call ton_chibi("stand", "door", "base")
    with d3
    pause .5

    # Tonks walks next to Cho.
    call ton_walk(540, "base")

    call play_music("tonks")
    cho "" ("base", "narrow", "worried", "L", cheeks="blush", xpos="left", ypos="base", flip=True)
    ton "Hello, Professor." ("soft", "narrow", "base", "mid", xpos="right", ypos="base", flip=False)
    ton "Miss Chang." ("base", "narrow", "raised", "L")

    # Intro
    if doppler_done == False and succubus_done == False: # First time only.
        gen "Didn't fancy taking the fireplace this time?" ("base", xpos="far_left", ypos="head")
        ton "Not today... I only use floo powder when I'm in a hurry." ("open", "base", "base", "mid")


    ## Tonks and Cho strip for you ##
    ton "So...{w=0.3} What do you have planned for us today, Professor?" ("base", "narrow", "base", "mid")
    gen "*Hmm*..." ("base", xpos="far_left", ypos="head")
    gen "Why don't you tell her what we're doing, Miss Chang?" ("grin", xpos="far_left", ypos="head")
    cho "You want me to--" ("open", "narrow", "base", "mid")
    gen "Don't see why not..." ("grin", xpos="far_left", ypos="head")
    cho "Of course, Sir." ("soft", "narrow", "base", "downR")

    if doppler_done == False and succubus_done == False: # First time only.
        cho "..." ("annoyed", "narrow", "worried", "down", cheeks="blush") # Embarrassed look down.
        cho "The headmaster wanted to see us strip for him again..." ("open", "narrow", "worried", "L", cheeks="blush")
        if cho.is_worn("robe") or ( cho.is_worn("top") and cho.is_worn("bottom") ):
            pass
        else: # Cho is in her underwear or naked.
            gen "Well... A bit of a show should do, seeing what your current state of undress is like..." ("base", xpos="far_left", ypos="head")
            cho "You're the one that requested it..." ("annoyed", "narrow", "angry", "down", cheeks="heavy_blush") # small text

        if tonks.is_worn("robe") or ( tonks.is_worn("top") and tonks.is_worn("bottom") ):
            pass
        else: #Tonks in in her underwear or naked.
            ton "*Hmm*...{w=0.3} Who needs clothing anyway?" ("horny", "narrow", "base", "L", hair="horny")
            ton "But I'll give you a show if that's what you want...{heart}" ("horny", "narrow", "base", "mid", hair="horny")
        gen "..." ("grin", xpos="far_left", ypos="head")

    else: # repeat
        cho "The headmaster wants us to strip for him again." ("base", "narrow", "base", "mid", cheeks="blush")
        ton "Does he now?" ("horny", "narrow", "base", "L", hair="horny")
        if cho.is_worn("robe") or ( cho.is_worn("top") and cho.is_worn("bottom") ):
            pass
        else:
            gen "Well, since you're not wearing much... I'd at least like a show..." ("base", xpos="far_left", ypos="head")
            cho "Very well..." ("annoyed", "narrow", "angry", "down", cheeks="heavy_blush") # small text

        if tonks.is_worn("robe") or ( tonks.is_worn("top") and tonks.is_worn("bottom") ):
            pass
        else: #Tonks in in her underwear or naked.
            ton "Stripping's out of the question for me that's for sure..." ("horny", "narrow", "base", "L", hair="horny")
            ton "But I'll give you a good view at the very least...{heart}" ("horny", "narrow", "base", "mid", hair="horny")

    ton "Well in that case we shouldn't keep him waiting, should we?" ("horny", "narrow", "base", "L", hair="horny")
    ton "After you, [tonks_cho_name]." ("horny", "narrow", "base", "L", hair="horny")
    call play_music("stop")

    # Cho and Tonks hop onto the desk.
    call hide_characters
    hide screen bld1
    with d3
    pause .2

    call cho_chibi(flip=False)
    with d3
    pause .1

    show screen blkfade
    with d5


    # Tonks chibi on desk next to Cho's. # Tonks is facing left
    call cho_chibi("stand", 314, 366, flip=True)
    call ton_chibi("stand", 370, 360, flip=False)

    call play_sound("climb_desk")
    pause 2

    hide screen blkfade
    with d5
    pause .8

    call play_music("cho")
    $ cho.zorder = 16 # in front of Tonks # Default is 15.
    $ tonks.zorder = 15 # reset to default.
    cho "" ("base", "narrow", "base", "L", cheeks="heavy_blush", xpos=280, ypos="base", flip=True)
    ton "..." ("base", "narrow", "raised", "L", hair="horny", xpos=345, ypos="base")

    ton "This feels quite familiar, doesn't it, Miss Chang?" ("crooked_smile", "narrow", "raised", "L", hair="horny")
    cho "..." ("horny", "narrow", "base", "mid", cheeks="blush")
    ton "Let's not waste any more time..." ("horny", "narrow", "base", "L", hair="horny")

    ton "Who of us would you like to start, Professor?" ("base", "narrow", "base", "mid", hair="horny")
    gen "*Hmm*..." ("base", xpos="far_left", ypos="head")

    menu:
        "\"Miss Chang will go first.\"":
            cho "..." ("horny", "narrow", "base", "down", cheeks="blush")
            $ cho_position = 1 # Cho's current positon is in the middle.

            jump cc_pf_strip_T3_tonks.strip_cho

        "\"You go first, Miss Tonks!\"":
            ton "*Hmm*..." ("base", "narrow", "base", "L", hair="horny")
            ton "Saving the best for last, are we?" ("base", "narrow", "raised", "mid", hair="horny")
            cho "..." ("horny", "narrow", "base", "downR", cheeks="blush")
            $ cho_position = 1 # Cho's current position is in the middle.

            jump cc_pf_strip_T3_tonks.strip_tonks

        #"\"How about Miss Granger?\"" if doppler_done == True and succubus_done == True:
            #jump cc_pf_strip_T3_tonks.strip_hermione



## Cho Strips ##
label .strip_cho:

    # Check their positions. If Cho stands to the right she'll get moved to the middle.
    if cho_position == 2: # to the right.
        ton "Move between us, Cho." ("soft", "narrow", "shocked", "L", hair="horny")
        ton "That way the headmaster can see you better." ("base", "narrow", "base", "mid", hair="horny")
        cho "Yes, Professor." ("smile", "narrow", "base", "L", cheeks="blush")
        call hide_characters
        hide screen bld1
        with d5
        pause .2

        # Cho stands in the middle, between Genie and Tonks.
        $ cho_position = 1 # middle.
        $ cho.zorder = 16 # in front of Tonks # Default is 15.
        $ tonks.zorder = 15 # reset to default.
        call cho_chibi("stand", 314, 366, flip=True)
        call ton_chibi("stand", 370, 360, flip=False)
        cho "" ("base", "narrow", "base", "mid", cheeks="blush", xpos=280, ypos="base", flip=True)
        ton "" ("base", "narrow", "base", "mid", hair="horny", xpos=345, ypos="base", flip=False)
        with d5
    call ctc


    # Cho is wearing at least one clothing piece:
    if cho.is_any_worn("robe", "top", "bottom", "bra", "panties"):
        pass
    else: # Cho is already naked.
        ton "Well, since you're not really wearing much already..." ("soft", "narrow", "base", "L", hair="horny")
        ton "There isn't that much more for me to help her take off, is there?" ("soft", "narrow", "base", "L", hair="horny")
        cho "..." ("base", "narrow", "base", "downR", cheeks="heavy_blush")
        pause .2
        $ cho.strip("all")
        with d3

        call cc_pf_strip_T3_tonks.spank_cho

        jump cc_pf_strip_T3_tonks.strip_check # label checks if both are nude.

    # Remove Top and Bottom.
    if cho.is_any_worn("robe", "top", "bottom"):
        ton "Let me help you get out of these clothes, Miss Chang." ("soft", "narrow", "base", "L", hair="horny")
        cho "Yes, Professor." ("base", "narrow", "base", "down", cheeks="heavy_blush")
        ton "" ("base", "narrow", "base", "down", hair="horny", xpos=300, ypos="base", flip=False, trans=d5) # moves closer to Cho.
        pause .2

        if cho.is_worn("robe"):
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("robe")
            with d3
            pause .5
            cho "" ("horny", "narrow", "raised", "down", cheeks="blush")
            call ctc
        if cho.is_worn("top"):
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("top")
            with d3
            pause .5
            cho "" ("horny", "narrow", "raised", "mid", cheeks="blush")
            pause .8
            call nar(">Tonks swiftly pulls the girl's top over her chiselled frame.")
            pause .2
        if cho.is_worn("bottom"):
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("bottom")
            with d3
            pause .5
            cho "" ("horny", "narrow", "base", "down", cheeks="blush")
            pause .8
            call nar(">A quick tug by her teacher, and Cho's bottoms slips down her muscular thighs.")
            call ctc

    # Remove Bra and Panties.
    if cho.is_any_worn("bra", "panties"):
        ton "I like your underwear Miss Chang... Very cute!" ("soft", "narrow", "base", "L", hair="horny")
        cho "" ("horny", "narrow", "base", "downR", cheeks="heavy_blush")
        ton "" ("soft", "narrow", "base", "L", hair="horny", xpos=300, ypos="base", flip=False, trans=d5) # moves closer to Cho.

        if cho.is_worn("bra"):
            ton "But...{w=0.3} That bra definitely has to come off." ("soft", "narrow", "angry", "down", hair="horny")
            pause .5
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("bra")
            with d3
            pause .5
            cho "" ("base", "narrow", "raised", "L", cheeks="blush")
            pause .8
            call nar(">Tonks effortlessly removes the bra of her student.")
            pause .2
        if cho.is_worn("panties"):
            cho "..." ("mad", "narrow", "base", "down", cheeks="blush")
            ton "Wearing panties is so silly, let's take those off... {heart}" ("crooked_smile", "narrow", "angry", "down", hair="horny")
            pause .5
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ cho.strip("panties")
            with d3
            pause .5
            cho "" ("horny", "narrow", "base", "down", cheeks="heavy_blush")
            pause .8
            call nar(">Eyes fixated onto Cho's lovely Snitch, Tonks slowly pulls the girl's panties down her thighs.")
            pause .2


    # Remove all Cho clothes.
    $ cho.strip("all")
    with d3
    cho "" ("base", "narrow", "base", "mid", cheeks="heavy_blush")
    call ctc

    ton "" ("base", "narrow", "base", "mid", hair="horny", xpos=345, ypos="base", flip=False) # Tonks moves to her original position.
    with d5

    $ random_number = renpy.random.randint(1, 3)

    if random_number == 1:
        ton "Look at all these muscles!" ("horny", "narrow", "raised", "down", hair="horny")
        ton "I mean... I could easily get some muscles as well, but not without cheating..." ("open", "closed", "base", "mid", hair="horny")
        ton "I'm quite impressed, Miss Chang." ("base", "narrow", "base", "L", hair="horny")
        cho "Thank you." ("soft", "narrow", "base", "L", cheeks="blush")
    elif random_number == 2:
        ton "You look quite tasty, Miss Chang." ("horny", "narrow", "raised", "down", hair="horny")
        cho "*Ehm*..." ("clench", "narrow", "worried", "down", cheeks="heavy_blush")
        cho "Thanks?" ("soft", "narrow", "worried", "L", cheeks="heavy_blush")
    else:
        ton "Looks like we're done here, Professor." ("horny", "narrow", "raised", "mid", hair="horny")
        gen "Excellent!" ("base", xpos="far_left", ypos="head")
        gen "I do love watching you two." ("grin", xpos="far_left", ypos="head")

    call cc_pf_strip_T3_tonks.spank_cho

    jump cc_pf_strip_T3_tonks.strip_check


## Spank Cho ##
label .spank_cho:
    # Cho should stand next to Genie for this.
    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "-Spank her!-":
            pass
        "-Don't spank her...-":
            return

    call slap_her
    ton "" ("crooked_smile", "narrow", "raised", "L", hair="horny")
    cho "!!!" ("clench", "wide", "base", "mid", cheeks="heavy_blush") # shocked
    cho "Ouch... Professor!" ("silly", "happyCl", "worried", "mid", cheeks="heavy_blush")
    call play_sound("giggle")
    ton "*Giggles*... {heart}{heart}{heart}" ("silly", "happyCl", "base", "mid", hair="horny", cheeks="blush")
    ton "..." ("base", "narrow", "base", "mid", hair="horny")

    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "-Spank her again!-":
            call slap_her
            ton "" ("crooked_smile", "narrow", "base", "mid", hair="horny")
            cho "Professor!" ("clench", "wide", "raised", "mid", cheeks="heavy_blush")
            gen "What? I know you like it." ("grin", xpos="far_left", ypos="head")
            cho "I do not..." ("annoyed", "narrow", "angry", "mid", cheeks="heavy_blush")

            menu:
                "-Again!-":
                    pass
            call slap_her
            cho "Sir!" ("clench", "wide", "base", "mid", cheeks="heavy_blush")
            gen "I need to get these cushions ready for your next flight!" ("grin", xpos="far_left", ypos="head")
            gen "Spank them tender so you're more comfortable on your broom-stick!" ("grin", xpos="far_left", ypos="head")
            cho "I don't think that will be necessary." ("open", "happyCl", "angry", "mid", cheeks="blush")

            menu:
                "-Slap it hard!-":
                    pass
            call slap_her
            cho "" ("clench", "wide", "raised", "mid", cheeks="heavy_blush")
            ton "" ("grin", "narrow", "base", "mid", hair="horny", cheeks="blush")
            pause .5
            call slap_her
            pause .3
            call slap_her
            pause .3
            call slap_her
            cho "*Owww*..." ("clench", "happyCl", "worried", "mid", cheeks="heavy_blush")
            cho "That's enough..." ("annoyed", "narrow", "angry", "mid", cheeks="blush")
            gen "You'd probably enjoy it more if your teacher were to spank you, wouldn't you?" ("grin", xpos="far_left", ypos="head")
            cho "..." ("annoyed", "narrow", "base", "L", cheeks="blush")
            ton "" ("base", "narrow", "base", "L", hair="horny")
            cho "*Ehm*..." ("annoyed", "narrow", "raised", "mid", cheeks="heavy_blush")
            call play_sound("giggle")
            ton "*Giggles*... {heart}{heart}{heart}" ("base", "happyCl", "base", "mid", hair="horny", cheeks="heavy_blush")
            ton "I won't be gentle on you either, Miss Chang." ("soft", "narrow", "base", "L", hair="horny")
            cho "..." ("horny", "narrow", "worried", "down", cheeks="heavy_blush")

            return

        "-Ask Tonks to spank her.-":
            gen "Miss Tonks, If you may..." ("grin", xpos="far_left", ypos="head")
            ton "With pleasure!" ("grin", "narrow", "angry", "mid", hair="horny")
            cho "But-- Professor Tonks!" ("clench", "base", "worried", "L", cheeks="heavy_blush")
            ton "Don't worry, [tonks_cho_name]. You'll learn to love it! {heart}" ("horny", "narrow", "base", "L", hair="horny")
            cho "" ("horny", "narrow", "worried", "mid", cheeks="heavy_blush")
            ton "Now, turn around for me, please." ("soft", "narrow", "base", "L", hair="horny")
            cho "..." ("clench", "narrow", "worried", "down", cheeks="heavy_blush")
            pause .2

            # Cho turns around.
            call cho_chibi("stand", 325, 366, flip=False)
            call ton_chibi("stand", 360, 360, flip=False)
            ton "" ("base", "narrow", "base", "down", hair="horny", xpos=325, ypos="base", flip=False)
            cho "" ("disgust", "narrow", "worried", "down", cheeks="blush", xpos=235, ypos="base", flip=False, trans=d5)
            pause .5

            call slap_her
            cho "" ("normal", "happyCl", "worried", "mid", cheeks="blush")
            ton "Such a firm ass you have, Miss Chang!" ("horny", "narrow", "raised", "down", hair="horny")
            cho "" ("mad", "narrow", "worried", "downR", cheeks="blush")
            call ctc

            gen "..." ("base", xpos="far_left", ypos="head")
            ton "Lovely indeed... {heart}" ("grin", "narrow", "base", "down", hair="horny")
            gen ".........." ("base", xpos="far_left", ypos="head")
            gen "I don't hear any spanking." ("base", xpos="far_left", ypos="head")
            ton "Don't worry, Sir. I'll get to that eventually... {heart}" ("open", "narrow", "annoyed", "mid", hair="horny")
            gen "Building up the suspense are--" ("base", xpos="far_left", ypos="head")
            call slap_her
            cho "" ("horny", "narrow", "worried", "downR", cheeks="heavy_blush")
            ton "You should get a good feel of it first, before you--" ("crooked_smile", "narrow", "annoyed", "down", hair="horny")
            call slap_her
            cho "" ("mad", "wide", "base", "mid", cheeks="heavy_blush")
            ton "" ("horny", "narrow", "angry", "down", hair="angry")
            pause .6
            call slap_her
            pause .3
            call slap_her
            pause .4
            ton "" ("horny", "narrow", "angry", "down", hair="horny")
            cho "Please!" ("clench", "happyCl", "base", "mid", cheeks="heavy_blush")
            ton "What's wrong, Miss Chang?" ("open", "narrow", "angry", "mid", hair="horny")
            ton "You never get this flustered when you get hit by a bludger..." ("open", "narrow", "angry", "down", hair="horny")
            call slap_her
            ton "Surely a bit of a spanking isn't enough for you to..." ("horny", "narrow", "base", "mid", hair="horny")
            cho "..." ("clench", "narrow", "worried", "down", cheeks="blush")
            ton "Ask me nicely and I'll do it again, [tonks_cho_name]." ("crooked_smile", "narrow", "base", "mid", hair="horny")
            gen "Go on, Cho... Ask your teacher to spank you." ("grin", xpos="far_left", ypos="head")
            cho "..." ("disgust", "narrow", "worried", "downR", cheeks="heavy_blush")
            cho "Please spank me again, Professor." ("soft", "narrow", "worried", "R", cheeks="heavy_blush")
            ton "Of course sweetie...{w=0.4} Since you're asking so nicely." ("base", "narrow", "base", "L", hair="horny")
            ton "" ("base", "narrow", "base", "down", hair="horny")
            call slap_her
            cho "" ("angry", "narrow", "worried", "up", cheeks="heavy_blush")
            pause .5
            call slap_her
            pause .4
            call slap_her
            cho "" ("horny", "happyCl", "worried", "mid", cheeks="heavy_blush")
            call ctc

            cho "..." ("horny", "narrow", "base", "R", cheeks="heavy_blush")
            ton "*Hmm*..." ("annoyed", "narrow", "shocked", "down", hair="horny")
            ton "A well behaved girl like you should be rewarded. {heart}" ("crooked_smile", "narrow", "raised", "L", hair="horny")
            ton "Ten points for Ravenclaw, Miss Chang." ("soft", "narrow", "base", "L", hair="horny")
            $ ravenclaw += 10
            cho "Thank you I guess--" ("crooked_smile", "narrow", "worried", "R", cheeks="heavy_blush")
            ton "" ("horny", "narrow", "angry", "down", hair="horny")
            call slap_her
            cho "!!!" ("clench", "wide", "base", "mid", cheeks="heavy_blush")
            cho "Ouch..." ("horny", "narrow", "worried", "R", cheeks="heavy_blush")
            pause .2

            # Cho turns around.
            call cho_chibi("stand", 314, 366, flip=True)
            call ton_chibi("stand", 370, 360, flip=False)
            ton "" ("base", "narrow", "base", "mid", hair="horny", xpos=345, ypos="base", flip=False)
            cho "" ("annoyed", "narrow", "base", "mid", cheeks="blush", xpos=280, ypos="base", flip=True, trans=d5)
            pause .8

            return

    return



## Tonks Strips ##
label .strip_tonks:

    # Check their positions. If Tonks stands to the right she'll get moved to the middle.
    if cho_position == 1: # middle.
        ton "Cho, would you mind if I stood between you two?" ("open", "narrow", "base", "L", hair="horny")
        ton "I'd like to give the headmaster a better view of my body." ("base", "narrow", "base", "mid", hair="horny")
        cho "Not at all, Professor." ("smile", "narrow", "base", "L", cheeks="blush")
        ton "Thank you, [tonks_cho_name]." ("soft", "narrow", "shocked", "L", hair="horny")
        call hide_characters
        hide screen bld1
        with d5
        pause .2

        # Tonks stands in the middle, between Genie and Cho.
        $ cho_position = 2 # to the right.
        $ tonks_chibi.zorder = 2 # default is 3
        $ cho.zorder = 15 # reset to default.
        $ tonks.zorder = 16 # in front of Cho # Default is 15.
        call cho_chibi("stand", 370, 360, flip=False)
        call ton_chibi("stand", 320, 360, flip=True)
        with d3
        pause .5

        cho "" ("base", "narrow", "base", "mid", cheeks="blush", xpos=315, ypos="base", flip=False)
        ton "" ("base", "narrow", "base", "mid", hair="horny", xpos=280, ypos="base", flip=True)
        with d5
    call ctc


    # Tonks is wearing at least one clothing piece:
    if tonks.is_worn("robe") or tonks.is_worn("top") or tonks.is_worn("bottom") or tonks.is_worn("bra") or tonks.is_worn("panties"):
        cho "..." ("horny", "narrow", "base", "L", cheeks="blush")
        if tonks.is_worn("top"):
            ton "You don't mind if Miss Chang helps me undress, do you, Professor?" ("horny", "wink", "base", "mid", hair="horny")
            gen "Of course not!" ("grin", xpos="far_left", ypos="head")
        else:
            ton "Just enjoy the show, Professor..." ("horny", "wink", "base", "mid", hair="horny")
        pass
    else: # Tonks is already naked.
        ton "Professor... It seems like I'm not wearing much..." ("soft", "narrow", "base", "L", hair="horny")
        ton "How shameful of me... Am I to get detention now?" ("horny", "narrow", "base", "mid", hair="horny")
        gen "Damn right you are!" ("grin", xpos="far_left", ypos="head")
        cho "..." ("base", "narrow", "base", "downR", cheeks="heavy_blush")
        pause .2
        $ tonks.strip("all")
        with d3

        call cc_pf_strip_T3_tonks.spank_tonks

        jump cc_pf_strip_T3_tonks.strip_check # label checks if both are nude.

    # Remove Top and Bottom.
    if tonks.is_worn("robe") or tonks.is_worn("top") or tonks.is_worn("bottom"):
        ton "Help me get out of these clothes, Miss Chang." ("soft", "narrow", "base", "L", hair="horny")
        cho "Yes, Professor." ("soft", "narrow", "base", "down", cheeks="blush")
        cho "" ("horny", "narrow", "base", "down", cheeks="blush", xpos=315, ypos="base", flip=False, trans=d5) # Cho moves closer to Tonks.
        pause .2

        if tonks.is_worn("robe"):
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ tonks.strip("robe")
            with d3
            pause .5
            ton "" ("horny", "narrow", "raised", "down", hair="horny")
            call ctc
        if tonks.is_worn("top"):
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ tonks.strip("top")
            with d3
            pause .5
            ton "" ("horny", "narrow", "raised", "mid", hair="horny")
            pause .8
            call nar(">Cho eagerly helps her teacher take off her top.")
            pause .2
        if tonks.is_worn("bottom"):
            ton "Remember... Always take your time when undressing in front of somebody." ("soft", "narrow", "base", "L", hair="horny")
            ton "" ("base", "narrow", "base", "mid", hair="horny")
            call nar(">Slowly, and with gracile movements, Tonks takes off her bottom piece of clothing.")
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ tonks.strip("bottom")
            with hpunch
            pause .5
            ton "" ("horny", "narrow", "raised", "mid", hair="horny", cheeks="blush")
            pause .8
            call nar(">And then flicks it out of sigh with one swift motion.")
            call ctc

    # Remove Bra and Panties.
    if tonks.is_worn("bra") or tonks.is_worn("panties"):
        ton "*Hmm*... It's been a while since I had to remove underwear." ("annoyed", "narrow", "base", "down", hair="horny")
        ton "Help me take them off, [tonks_cho_name]." ("base", "narrow", "base", "down", hair="horny")
        cho "Of course..." ("smile", "narrow", "base", "down", cheeks="blush")
        cho "" ("horny", "narrow", "base", "down", cheeks="blush", xpos=315, ypos="base", flip=False, trans=d5) # Cho moves closer to Tonks.

        if tonks.is_worn("bra"):
            ton "Let's get these tits out already!" ("base", "narrow", "angry", "mid", hair="horny")
            pause .5
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ tonks.strip("bra")
            with d3
            pause .5
            ton "" ("base", "narrow", "base", "mid", hair="horny")
            pause .8
            call nar(">Tonks bares her impressive bosom for you both.")
            pause .2
        if tonks.is_worn("panties"):
            ton "Oh my... what happened to my panties..." ("soft", "narrow", "base", "down", hair="horny")
            ton "I can't believe how wet they got!" ("clench", "narrow", "shocked", "down", hair="horny")
            pause .5
            $ renpy.sound.play("sounds/cloth_sound3.ogg")
            $ tonks.strip("panties")
            with d3
            pause .5
            ton "" ("horny", "narrow", "angry", "mid", hair="horny")
            pause .8
            call nar(">Without much hesitation, Tonks panties are swiftly flung out of sight and out of mind.")
            pause .2

    # Remove all Cho clothes.
    ton "" ("base", "narrow", "base", "mid", hair="horny")
    $ tonks.strip("all")
    with d3
    call ctc

    cho "" ("base", "narrow", "base", "mid", cheeks="blush", xpos=315, ypos="base", flip=False) # Cho moves to her original position.
    with d5

    $ random_number = renpy.random.randint(1, 3)

    if random_number == 1:
        ton "How immoral for a teacher to do this sort of thing in front of a student..." ("open", "closed", "annoyed", "mid", hair="horny")
        ton "You aren't going to report me for my wanton behaviour, are you, Miss Chang?" ("soft", "narrow", "annoyed", "L", hair="horny")
        cho "No. Of course not, Professor." ("base", "narrow", "base", "L", cheeks="heavy_blush")
        ton "Good girl." ("horny", "narrow", "base", "L", hair="horny")
        cho "..." ("angry", "narrow", "base", "down", cheeks="blush")
    elif random_number == 2:
        ton "Are you enjoying yourself, Professor?" ("open", "narrow", "raised", "mid", hair="horny")
        gen "With those tits in front of me? Always!" ("grin", xpos="far_left", ypos="head")
    else:
        ton "Did you like that, Professor?" ("horny", "narrow", "raised", "mid", hair="horny")
        gen "I bloody love it!" ("grin", xpos="far_left", ypos="head")

    call cc_pf_strip_T3_tonks.spank_tonks

    jump cc_pf_strip_T3_tonks.strip_check


label .spank_tonks:
    # Tonks should stand next to Genie for this.
    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "-Spank her!-":
            pass
        "-Don't spank her...-":
            return

    call slap_her
    ton "!!!" ("clench", "shocked", "base", "stare", hair="scared", cheeks="heavy_blush") # shocked
    ton "*Mmm*... You're so naughty, Professor!" ("silly", "narrow", "angry", "mid", hair="horny", cheeks="blush")
    ton "Right in front of a student and everything..." ("base", "narrow", "base", "mid", hair="horny", cheeks="blush")
    call slap_her
    ton "Ouch... {heart}{heart}{heart}" ("silly", "happyCl", "base", "mid", hair="horny", cheeks="blush")
    cho "..." ("grin", "narrow", "base", "mid", cheeks="blush")

    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "-Spank her again!-":
            call slap_her
            ton "*Mmm*... Spank me, Professor!" ("horny", "narrow", "angry", "mid", hair="horny", cheeks="heavy_blush")

            menu:
                "-Again!-":
                    pass
            call slap_her
            ton "Not so rough, Sir! {heart}" ("soft", "narrow", "base", "mid", hair="horny", cheeks="heavy_blush")
            cho "..." ("horny", "narrow", "base", "down", cheeks="heavy_blush") # blushing #lip bite #looking away

            menu:
                "-Slap it hard!-":
                    pass
            call slap_her
            ton "" ("clench", "base", "shocked", "ahegao", hair="scared", cheeks="heavy_blush")
            pause .5
            call slap_her
            pause .3
            call slap_her
            pause .3
            call slap_her
            cho "" ("horny", "narrow", "worried", "mid", cheeks="heavy_blush")
            ton "*Hngh*..." ("upset", "narrow", "base", "ahegao", hair="horny", cheeks="heavy_blush")
            ton "Thank you, Professor. {heart}{heart}{heart}" ("soft", "narrow", "worried", "mid", hair="horny", cheeks="heavy_blush")
            gen "You're welcome." ("grin", xpos="far_left", ypos="head")
            cho "..." ("horny", "narrow", "base", "downR", cheeks="heavy_blush")

            return

        "-Ask Cho to spank her.-":
            gen "Miss Chang, would you be so kind and slap your teacher's ass for me?" ("grin", xpos="far_left", ypos="head")
            ton "" ("base", "narrow", "base", "mid", hair="horny")
            cho "Yes, Sir." ("open", "narrow", "angry", "mid", cheeks="blush")
            ton "Do it, [tonks_cho_name]!" ("base", "narrow", "base", "L", hair="horny")
            pause .2

            # Tonks turns around.
            call ton_chibi(flip=False)
            ton "" ("base", "base", "base", "mid", hair="horny", cheeks="blush", xpos=215, ypos="base", flip=False, trans=d5)
            pause .5

            ton "Slap this naughty teacher's ass!" ("crooked_smile", "narrow", "angry", "R", hair="horny", cheeks="blush")
            cho "..." ("base", "narrow", "angry", "down", cheeks="blush")
            call slap_her
            ton "Surely you can do better than that, Cho." ("soft", "narrow", "base", "downR", hair="horny")
            cho "" ("annoyed", "narrow", "angry", "down", cheeks="blush")
            call slap_her
            ton "*Hngh*..." ("crooked_smile", "narrow", "base", "mid", hair="horny", cheeks="blush")
            ton "Do I have to fetch a beaters bat so you can hit it properly, Miss Chang?" ("open", "narrow", "annoyed", "downR", hair="angry")
            ton "I thought I asked you to slap it harder!" ("scream", "narrow", "angry", "downR", hair="angry")
            cho "" ("clench", "narrow", "angry", "down", cheeks="blush")
            call slap_her
            ton "" ("mad", "wide", "shocked", "stare", hair="scared")
            pause .5
            call slap_her
            pause .3
            call slap_her
            pause .2
            call slap_her
            ton "!!!" ("clench", "narrow", "base", "ahegao", hair="horny", cheeks="heavy_blush")
            cho "Good enough for you, Professor?" ("open", "narrow", "angry", "L", cheeks="blush")
            ton "*Ah*...{w=0.4} Yes, [tonks_cho_name]... I'd say that was quite--" ("open", "narrow", "worried", "R", hair="horny")
            cho "" ("annoyed", "narrow", "angry", "down", cheeks="blush")
            call slap_her
            ton "" ("clench", "narrow", "base", "ahegao", hair="scared")
            pause .5
            call slap_her
            pause .3
            call slap_her
            pause .2
            call slap_her
            ton "" ("horny", "narrow", "base", "ahegao", hair="horny", cheeks="heavy_blush")
            call ctc

            gen "That's enough." ("base", xpos="far_left", ypos="head")
            cho "Oh wow, it's really red now..." ("grin", "narrow", "base", "down", cheeks="blush")
            ton "Very good, Miss Chang. {heart}" ("horny", "narrow", "worried", "R", hair="horny", cheeks="heavy_blush")
            pause .2

            # Tonks turns around.
            call ton_chibi(flip=True)
            ton "" ("base", "base", "base", "mid", hair="horny", cheeks="heavy_blush", xpos=280, ypos="base", flip=True, trans=dissolve)
            pause .8

            ton "Ten points for Ravenclaw." ("soft", "narrow", "base", "L", hair="horny", cheeks="heavy_blush")
            $ ravenclaw += 10
            ton "For this thorough ass spanking!" ("horny", "narrow", "base", "mid", hair="horny", cheeks="heavy_blush")
            cho "Thank you, Professor Tonks." ("crooked_smile", "narrow", "base", "down")

            return


# Check if Tonks and Cho are naked. Proceed to transformation section if they are.
label .strip_check:
    # Cho is wearing at least one clothing piece:
    if cho.is_any_worn("robe", "top", "bottom", "bra", "panties"):
        jump cc_pf_strip_T3_tonks.strip_cho
    # Tonks is wearing at least one clothing piece:
    elif tonks.is_any_worn("robe", "top", "bottom", "bra", "panties"):
        jump cc_pf_strip_T3_tonks.strip_tonks
    # Both are naked; Proceed with event.
    else:
        jump cc_pf_strip_T3_tonks.transformations



## Transformations ##
label .transformations:
    # Intro Event 1 - Doppler or Succubus choice.
    # Intro Event 2 - Doppler or Succubus choice.
    # Repeatable Event - Transformations.

    $ cho.zorder = 16 # in front of Tonks # Default is 15.
    $ tonks.zorder = 15 # reset to default.
    call cho_chibi("stand", 314, 366, flip=True)
    call ton_chibi("stand", 370, 360, flip=False)
    ton "" ("base", "narrow", "base", "L", hair="horny", xpos=345, ypos="base", flip=False)
    cho "" ("grin", "base", "base", "L", cheeks="blush", xpos=280, ypos="base", flip=True)
    with d5

    ## Intro Events 1 and 2:
    if doppler_done == False or succubus_done == False:

        # Ask Tonks if she's a Doppler or a Succubus.
        # After asking her both questions, the next time you do the event she'll do some tranformations.

        if doppler_done == True or succubus_done == True: # You have asked her if she was one of these before.
            ton "You're getting quite good at this, Miss Chang." ("base", "narrow", "base", "L")
            cho "Thank you, Professor." ("base", "narrow", "base", "L", cheeks="blush")
            gen "She's learning from the best." ("base", xpos="far_left", ypos="head")
            if succubus_done:
                gen "Who'd be better suited to teach her how to entice a man than a semen stealing she-devil!" ("base", xpos="far_left", ypos="head")
                ton "Please, Professor. I've already told you I'm not a Succubus..." ("open", "closed", "annoyed", "mid")
            else: # doppler_done
                gen "Who'd be better suited to teach her how to entice a man than a shapeshifter!" ("base", xpos="far_left", ypos="head")
                ton "Please, Professor. I've already told you I'm not this... doppler creature you spoke of." ("open", "closed", "annoyed", "mid")
            ton "" ("annoyed", "narrow", "annoyed", "mid")
            gen "You can never be a hundred percent sure..." ("base", xpos="far_left", ypos="head")
            cho "..." ("quiver", "narrow", "raised", "mid")
            gen "My theories have yet to be completely debunked!" ("grin", xpos="far_left", ypos="head")
            ton "Seriously?!" ("upset", "base", "raised", "mid")
            ton "Alright then... What do you want me to do to convince you this time?" ("soft", "narrow", "base", "mid")
            gen "Prove to me that you're not--" ("base", xpos="far_left", ypos="head")
            pass

        else:
            ton "*Hmm*... not so nervous around me anymore, are you, Cho?" ("crooked_smile", "narrow", "base", "L")
            cho "Oh, I guess not. It seems like I got used to it..." ("crooked_smile", "narrow", "worried", "R", cheeks="blush")
            cho "It's fun doing this sort of thing at school... I'm quite enjoying it." ("smile", "narrow", "base", "downR", cheeks="blush")
            ton "Well, there's somebody who enjoys it even more than we do, isn't that right, Professor?" ("horny", "base", "raised", "mid", hair="horny")
            gen "(...)" ("base", xpos="far_left", ypos="head")
            ton "Professor?" ("soft", "narrow", "base", "mid")
            cho "" ("annoyed", "narrow", "base", "mid", cheeks="blush")
            ton "Something on your mind?" ("annoyed", "base", "raised", "mid")
            gen "Actually, there is..." ("base", xpos="far_left", ypos="head")
            gen "Since your abilities are so rare... Can we be certain that you are in fact human?" ("base", xpos="far_left", ypos="head")
            ton "Don't be silly..." ("clench", "base", "shocked", "mid")
            gen "You {b}are{/b} human, are you?" ("base", xpos="far_left", ypos="head")
            ton "Of course I am, Professor!" ("open", "closed", "annoyed", "mid")
            ton "What else am I suppose to be?" ("open", "narrow", "raised", "mid")
            pass

        menu:
            gen "(...)" ("base", xpos="far_left", ypos="head")
            "\"A Doppler!\"" if doppler_done == False:
                jump .doppler_E1
            "\"A Succubus!\"" if succubus_done == False:
                jump .succubus_E1


    ## Repeatable ##
    else:
        pass

    call ctc

    gen "Tonks, would you mind showing us your little trick again?" ("grin", xpos="far_left", ypos="head")
    ton "Of course. What's it gonna be, Professor?" ("grin", "base", "base", "mid")
    ton "Remember I can transform into anything... or anyone." ("soft", "narrow", "base", "mid") # suggestive
    cho "..." ("horny", "narrow", "base", "down", cheeks="blush")
    gen "*Hmm*... who do I want you to turn into... Let me think." ("base", xpos="far_left", ypos="head")

    menu:
        gen "Yes, I want you to shapeshift into--" ("grin", xpos="far_left", ypos="head")
        "\"Hermione!\"":
            jump cc_pf_strip_T3_tonks.hermione_E1
        "\"A Succubus!\"":
            jump cc_pf_strip_T3_tonks.succubus_E2



## Doppler Event 1 ##
label cc_pf_strip_T3_tonks.doppler_E1:
    if doppler_done == False:
        # Intro
        ton "*Hmmm?*... What's a \"doppler\"?" ("upset", "base", "base", "mid")
        gen "What do you mean, what's a doppler?!" ("base", xpos="far_left", ypos="head")
        gen "Aren't you part of the magical animal control... or whatever." ("angry", xpos="far_left", ypos="head")
        ton "The Auror division does a lot more than \"animal control\"..." ("open", "narrow", "base", "mid")
        gen "But you're incapable of identifying a doppler?" ("angry", xpos="far_left", ypos="head")
        ton "I guess... This is the first time I'm hearing of such a creature." ("annoyed", "base", "raised", "mid")
        cho "I haven't heard of them either, Sir." ("soft", "narrow", "base", "mid")
        gen "What sort of magic school are we running here? Aren't you getting taught any Witcher lore?" ("base", xpos="far_left", ypos="head")
        cho "..." ("annoyed", "base", "base", "mid")
        ton "Very well, Professor. Why don't you tell us about them?" ("upset", "narrow", "base", "mid")
        gen "Oh, there's nobody better suited to do that than me, I'll have you know!" ("grin", xpos="far_left", ypos="head")
        gen "After all, I know a lot about the Witcher just from playing the games alone!" ("grin", xpos="far_left", ypos="head")
        gen "(Truth be told I skipped the first two, but they don't need to know that...)" ("base", xpos="far_left", ypos="head")
        cho "What kind of \"games\" is he talking about, Professor?" ("soft", "base", "worried", "L") # looking at Tonks. Small text
        ton "I haven't the foggiest..." ("mad", "base", "raised", "L") # looking back. Small text

    $ doppler_done = True
    gen "Dopplers are hideous creatures, you see... Both in character, and in appearance." ("angry", xpos="far_left", ypos="head")
    cho "" ("annoyed", "base", "base", "mid")
    ton "" ("upset", "narrow", "base", "mid")
    gen "They often abuse their ability for selfish gains, and manipulate people into thinking they're somebody else entirely." ("base", xpos="far_left", ypos="head")
    cho "That does sound quite suspicious, Professor..." ("open", "narrow", "angry", "mid")
    cho "After all, she's been abusing her powers to flaunt my bum at people!" ("annoyed", "narrow", "angry", "mid", cheeks="blush")
    gen "That's true!" ("grin", xpos="far_left", ypos="head")
    ton "Surely you can't blame me for that... As I said, it wasn't anything they hadn't seen before." ("soft", "base", "base", "R", hair="horny")
    cho "But-- Professor!" ("annoyed", "narrow", "angry", "L", cheeks="heavy_blush")
    gen "*Hmm*..." ("base", xpos="far_left", ypos="head")
    ton "I'm not doing anything harmful, I promise." ("upset", "happyCl", "worried", "mid", hair="horny", cheeks="blush")
    cho "..." ("annoyed", "narrow", "angry", "mid", cheeks="blush") # annoyed

    ton "So, what other \"Evidence\" do you have to further prove this theory?" ("soft", "narrow", "base", "mid", hair="horny") #Amused
    gen "Well, there's a big reason why Dopplers indulge themselves when they get the chance to." ("base", xpos="far_left", ypos="head")
    gen "Since they're incredibly ugly creatures, it wouldn't surprise me in the slightest that they'd change their appearance into a highly attractive woman when given the chance." ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "base", "base", "L", cheeks="blush")
    ton "" ("annoyed", "base", "base", "mid", hair="horny")
    gen "Miss Tonks, your appearance, it's almost too perfect..." ("base", xpos="far_left", ypos="head")
    gen "You didn't find some smoking hot woman in a magazine did you?" ("base", xpos="far_left", ypos="head")
    gen "We all know those are highly edited..." ("base", xpos="far_left", ypos="head")
    ton "So I'm smoking hot, huh?" ("horny", "narrow", "base", "mid", hair="horny")
    ton "You flatter me, but no... I've always looked like this." ("base", "happyCl", "base", "mid", hair="horny")
    gen "*Hmm*..." ("base", xpos="far_left", ypos="head")
    cho "..." ("annoyed", "base", "base", "mid", cheeks="blush") # blushing

    gen "You can count yourself lucky that I haven't seen any bounties for a Doppler..." ("base", xpos="far_left", ypos="head")
    gen "So, doppler or not..." ("base", xpos="far_left", ypos="head")
    gen "You're off the hook for now." ("base", xpos="far_left", ypos="head")
    ton "Well, I'm glad we cleared that up..." ("base", "narrow", "base", "mid")
    cho "" ("annoyed", "base", "base", "mid", cheeks="blush")
    ton "My ability is perfectly harmless, Professor." ("crooked_smile", "base", "base", "mid")
    gen "You may say that, but we all know shape-shifting is the source of all kinds of evil sorcery!" ("angry", xpos="far_left", ypos="head")
    ton "No it's not..." ("open", "closed", "annoyed", "mid")
    gen "The last thing we need at this school is a rogue shapeshifter -- abusive of its powers..." ("angry", xpos="far_left", ypos="head")
    ton "..." ("upset", "base", "base", "mid", hair="horny")

    gen "Anyway... Promise me you won't start murdering people and steal their identities." ("base", xpos="far_left", ypos="head")
    cho "" ("angry", "base", "raised", "mid", cheeks="blush")
    ton "What?! How could you even suggest that I would--" ("clench", "shocked", "shocked", "mid", hair="scared") # shocked
    gen "Identity theft is not a joke, Tonks! Millions of families suffer every year!" ("angry", xpos="far_left", ypos="head")
    ton "Yikes! Of course I won't do that, Professor!" ("clench", "happyCl", "base", "mid")
    gen "Good." ("base", xpos="far_left", ypos="head")
    ton "..." ("upset", "base", "worried", "mid")
    cho "" ("annoyed", "base", "base", "mid")
    gen "How come you're the only one that can shapeshift?" ("base", xpos="far_left", ypos="head")
    ton "It's just very uncommon." ("open", "narrow", "raised", "down")
    ton "You can't fault me for having it... I was born with it." ("annoyed", "base", "base", "mid")
    gen "Very well then, I shall believe that you're not a doppler..." ("base", xpos="far_left", ypos="head")
    gen "(For now...)" ("base", xpos="far_left", ypos="head")
    ton "Glad to hear it." ("mad", "base", "base", "mid")
    cho "..." ("soft", "narrow", "worried", "L")
    ton "Anyhow, it's getting quite late, Professor." ("soft", "narrow", "base", "L")

    # End Event.
    jump cc_pf_strip_T3_tonks.end_event


## Succubus Event 1 ##
label cc_pf_strip_T3_tonks.succubus_E1:
    if succubus_done == False:
        # Intro
        ton "*snort!*... For real?" ("crooked_smile", "happyCl", "shocked", "mid")
        cho "Oh, I've heard of those, Professor!" ("grin", "happyCl", "base", "mid")
        cho "They're demons in female form, that can visit you in your dreams and murder you!" ("soft", "narrow", "angry", "mid")
        ton "Very good, Miss Chang..." ("crooked_smile", "base", "base", "L")
        ton "Ten points for Ravenclaw!" ("soft", "narrow", "base", "L")
        $ ravenclaw += 10
        cho "Thank you." ("smile", "narrow", "base", "downR", cheeks="blush") # happy

    $ succubus_done = True
    ton "I mean... I'm quite flattered, Professor..." ("open", "narrow", "raised", "mid")
    ton "Who doesn't want to be compared to a demonic, sex-driven temptress!" ("soft", "narrow", "base", "mid", hair="horny")
    cho "" ("annoyed", "base", "base", "mid", cheeks="blush")
    gen "I knew it! You're a Succubus!" ("grin", xpos="far_left", ypos="head")
    cho "" ("annoyed", "base", "raised", "L", cheeks="blush")
    ton "No I'm not, silly!" ("open", "closed", "base", "mid")
    ton "..." ("annoyed", "base", "shocked", "L", hair="horny") # thinks
    ton "Well, I do have similar shapeshifting abilities, that's true..." ("soft", "base", "base", "down", hair="horny")
    ton "And share some of their more raunchy characteristics..." ("crooked_smile", "happyCl", "base", "mid", hair="horny")
    gen "Not to mention a banger body!" ("grin", xpos="far_left", ypos="head")
    ton "Obviously." ("soft", "narrow", "base", "mid", hair="horny")
    cho "..." ("horny", "narrow", "base", "L", cheeks="blush") # blushing
    ton "I may also act like one on the occasion..." ("open", "base", "base", "R", hair="horny")

    # TODO: v v v Added this bit of writing. Needs review
    gen "But you're still denying that you're an alluring sex-demon, even after that last demonstration?" ("base", xpos="far_left", ypos="head")
    ton "I might have some unusual talents, that's all..." ("open", "base", "base", "R", hair="horny")
    ton "Why are you so scared of them anyway?" ("open", "narrow", "base", "mid", hair="horny")
    ton "What's the worst a succubus could do to you?" ("horny", "narrow", "base", "mid", hair="horny")
    gen "Do I really have to tell the two of you of what they do?" ("angry", xpos="far_left", ypos="head")
    gen "I won't let any demon suck the life-blood out of my penis!" ("angry", xpos="far_left", ypos="head")
    ton "" ("normal", "base", "base", "mid", hair="horny")
    cho "What?!" ("clench", "base", "base", "mid") # bit shocked.
    ton "Well, if I was one, I promise you I wouldn't do that..." ("mad", "narrow", "base", "mid", hair="horny")
    ton "Not as long as there's plenty of other essence to be gathered." ("horny", "narrow", "angry", "mid", hair="horny")
    cho "Professors?!" ("mad", "narrow", "base", "downR") # uncomfortable
    gen "Then I better not run out of essence!" ("grin", xpos="far_left", ypos="head")
    cho "..." ("disgust", "narrow", "base", "mid")
    gen "Thought you could trick me, you semen loving sex-demon!" ("grin", xpos="far_left", ypos="head")
    # TODO: ^ ^ ^ Added this bit of writing. Needs review

    ton "I'm still human, and not a sex-demon...{w=0.5} Believe it or not." ("open", "narrow", "raised", "mid", hair="horny")
    gen "If you say so..." ("base", xpos="far_left", ypos="head")
    ton "If you'd met one before, you'd know the difference between me and a succubus right away..." ("base", "narrow", "base", "mid", hair="horny")
    ton "They are quite relentless when it comes to sex, you know. -- Even more so than I am!" ("horny", "narrow", "annoyed", "mid", hair="horny")
    cho "You have met a Succubus, Professor? But I thought they're extremely dangerous." ("mad", "base", "base", "mid")
    ton "Oh yes! You have to be extremely careful around them..." ("soft", "base", "base", "L", hair="horny")
    gen "Don't tell me you--" ("base", xpos="far_left", ypos="head")
    ton "Who do you think you're talking to, Professor.{w=0.5} Of course I did." ("base", "narrow", "base", "mid", hair="horny") # horny, confident
    cho "No way!" ("horny", "base", "base", "L", cheeks="heavy_blush")
    ton "It was part of an auror job, obviously. Maybe I'll tell you about it some time." ("crooked_smile", "base", "base", "mid", hair="horny")
    cho "Yes! I want to hear it!" ("grin", "base", "base", "mid")
    ton "Are you sure you'd want that, honey?" ("soft", "narrow", "base", "L", hair="horny")
    ton "It's quite the filthy story... You don't walk away from a Succubus unscarred unless you can impress her!" ("horny", "narrow", "raised", "mid", hair="horny") # horny
    cho "*Uhm*..." ("disgust", "narrow", "worried", "downR", cheeks="heavy_blush")
    call play_sound("gulp")
    gen "*gulp*..." ("angry", xpos="far_left", ypos="head") # sound
    ton "Of course I could tone it down for you guys." ("base", "happyCl", "base", "mid", hair="horny")
    gen "No, please. We'd love to hear the full story!" ("grin", xpos="far_left", ypos="head")
    cho "..." ("horny", "narrow", "base", "mid", cheeks="blush")
    ton "Next time. I promise." ("base", "narrow", "base", "mid")
    ton "Anyhow, it's getting quite late, Professor." ("soft", "narrow", "base", "L")

    # End Event.
    jump cc_pf_strip_T3_tonks.end_event


## Succubus Event 2 ##
label .succubus_E2:
    ton "You want me to shapeshift into a Succubus?" ("base", "narrow", "base", "mid")
    cho "" ("horny", "narrow", "base", "L")
    gen "Hell yeah! I do love me some cosplay!" ("grin", xpos="far_left", ypos="head")
    ton "It's not..." ("open", "base", "shocked", "R")
    ton "Very well then..." ("open", "closed", "base", "mid")

    # Tonks transforms into a Succubus
    stop music fadeout 0.5
    cho "" ("mad", "narrow", "base", "down", xpos=265, ypos="base", flip=True) # bit more to the left
    ton "" ("base", "narrow", "base", "mid", xpos=345, ypos="base", flip=False) # bit more to the right
    with fade
    pause .5

    $ renpy.sound.play("sounds/magic3.ogg")
    $ tonks.equip(ton_outfit_succubus)
    ton "" ("horny", "narrow", "base", "mid", trans=flash)
    call ctc

    call play_music("trance")
    ton "{heart}{heart}{heart}"
    gen "Marvellous!" ("grin", xpos="far_left", ypos="head")
    cho "..." ("horny", "narrow", "raised", "down", cheeks="blush") # blush
    ton "*Giggles*" ("horny", "narrow", "raised", "L", hair="horny") #sound
    ton "What do you think?" ("grin", "narrow", "base", "mid", hair="horny")
    ton "Do you like it?" ("horny", "narrow", "annoyed", "down", hair="horny")
    cho "..." ("horny", "narrow", "worried", "down", cheeks="blush")
    pause .8
    ton "Miss Chang?" ("soft", "narrow", "base", "L", hair="horny")
    cho "Oh! Yes... Very impressive, Professor!" ("soft", "narrow", "worried", "L", cheeks="heavy_blush")
    ton "I don't think my skin tone is quite right... I believe they're usually more devilish looking." ("upset", "narrow", "base", "down", hair="horny")
    gen "I can already feel my balls retract by fear." ("angry", xpos="far_left", ypos="head")
    ton "" ("base", "narrow", "base", "mid", hair="horny")
    cho "Your... What, Sir?" ("clench", "wide", "base", "mid") #wide eyed
    ton "Don't worry, Miss Chang... Unless you're in a state of high arousal then you have nothing to worry about." ("crooked_smile", "narrow", "base", "L", hair="horny")
    cho "*Ehm*... If you say so, Professor." ("normal", "happyCl", "worried", "mid", cheeks="blush")
    ton "Now the Professor on the other hand..." ("mad", "narrow", "angry", "mid", hair="angry")
    cho "" ("mad", "base", "raised", "mid", cheeks="blush")
    ton "He can call himself very lucky that I'm not a real Succubus." ("soft", "narrow", "base", "mid", hair="angry")
    gen "I'm not ruling out the possibility..." ("base", xpos="far_left", ypos="head")
    ton "*Tsk*..." ("upset", "narrow", "base", "mid", hair="angry")
    gen "Though I must say you're much more attractive than the last demon who visited me..." ("base", xpos="far_left", ypos="head")
    ton "" ("annoyed", "narrow", "raised", "mid", hair="angry")
    cho "You were visited by a demon, Professor?" ("soft", "narrow", "base", "mid")
    gen "Yes... Although it was just your regular sleep paralysis demon." ("base", xpos="far_left", ypos="head")
    ton "" ("base", "narrow", "base", "mid", hair="angry")
    cho "Oh..." ("disgust", "narrow", "base", "down")
    gen "A rather horrifying looking one at that... Not sexy in the slightest!" ("angry", xpos="far_left", ypos="head")
    gen "Mating with it proved itself to be quite difficult..." ("grin", xpos="far_left", ypos="head")
    ton "Of course you did..." ("horny", "narrow", "angry", "mid", hair="angry")
    cho "You... Wait, did you say {b}it{/b}, Sir?" ("open", "base", "base", "mid") #wide eyed
    gen "*Ahem*... So, how does one summon a Succubus anyway?" ("base", xpos="far_left", ypos="head")
    gen "I'm sure you're an expert in the subject, Miss Tonks." ("grin", xpos="far_left", ypos="head")
    cho "{b}It{/b}, sir?!" ("mad", "narrow", "raised", "mid")
    ton "*Hmm*... I wouldn't call myself an expert..." ("base", "narrow", "base", "mid")
    cho "But what about your Auror Training professor?" ("annoyed", "narrow", "base", "L") #annoyed pout
    ton "" ("base", "narrow", "base", "L") #Glances at Cho
    cho "..." ("base", "narrow", "base", "L", cheeks="blush") #embarrased
    ton "Now I know I'm your Teacher, Miss Chang, but that doesn't mean I'm at an expert level of every subject before doing proper research..." ("open", "narrow", "raised", "L")
    cho "Oh... Of course, Professor... I didn't mean to--" ("mad", "narrow", "worried", "down", cheeks="blush")
    ton "Whilst we did cover Succubi during our training, the subject of summoning wasn't very in depth..." ("soft", "narrow", "raised", "L")
    cho "" ("base", "narrow", "worried", "L", cheeks="blush")
    ton "We mostly learned how to easily recognize and how to... Deal with various magical beings." ("open", "closed", "base", "mid")
    gen "Right..." ("base", xpos="far_left", ypos="head")
    ton "That said..." ("grin", "narrow", "base", "mid")
    ton "What I do know is that they usually come off as quite erratic and spontaneous." ("soft", "narrow", "shocked", "mid")
    ton "In most cases you'd only encounter them if {b}they{/b} want you to..." ("base", "narrow", "base", "mid")
    ton "So summoning one would be quite difficult." ("base", "narrow", "base", "L")
    gen "Well... Luckily I have the ability to summon you any time I want!" ("grin", xpos="far_left", ypos="head")
    ton "*Hmmm*... Be careful what you wish for, Professor..." ("horny", "narrow", "base", "mid", hair="horny")
    ton "I can be just as dangerous and seductive... {heart}" ("horny", "narrow", "angry", "mid", hair="angry")
    cho "" ("horny", "narrow", "worried", "mid", cheeks="blush")
    gen "See that hungry look in her eyes, Cho?" ("angry", xpos="far_left", ypos="head")
    cho "" ("horny", "narrow", "worried", "L", cheeks="blush")
    gen "This Succubus is out to steal all my semen!" ("grin", xpos="far_left", ypos="head")
    ton "Oh, don't tempt me, Professor..." ("crooked_smile", "narrow", "angry", "mid", hair="horny")
    cho "..." ("base", "narrow", "worried", "down", cheeks="blush") # embarrassed

    #Tonks succubus encounter story
    cho "*Ehm*...{w=0.5} So, did you actually confront a real Succubus, Professor?" ("soft", "narrow", "base", "L", cheeks="blush")
    ton "Oh, Yes indeed, Miss Chang!" ("base", "happyCl", "base", "mid", hair="horny")
    ton "It happened during my first year of Auror training, when I was still a complete novice." ("open", "narrow", "raised", "L")
    ton "We were tracked down by one during a scouting mission... Unbeknownst to us, of course." ("crooked_smile", "narrow", "base", "mid")
    cho "She tracked you down?" ("mad", "base", "raised", "L", cheeks="blush")
    ton "Yes... They can sense the arousal of humans from miles away... Even further if they haven't had any relief for some time." ("base", "narrow", "base", "L")
    gen "Well, who can blame your partner with you around?" ("base", xpos="far_left", ypos="head")
    ton "*giggles*" ("base", "happyCl", "base", "mid", hair="horny") #sound
    ton "Oh silly... She was after me, of course!" ("soft", "narrow", "base", "mid", hair="horny")
    cho "No way!?" ("horny", "narrow", "raised", "L", cheeks="blush")
    ton "I know what you're going to say, Professor... And yes... They don't usually go after females." ("open", "closed", "base", "mid", hair="horny")
    cho "But she still came after you?" ("soft", "narrow", "raised", "L", cheeks="blush")
    cho "When did you and your partner notice her?" ("mad", "narrow", "base", "L", cheeks="blush")
    ton "Well... My partner didn't notice her exactly... I might've wandered a bit further away from our camp than I should have..." ("soft", "narrow", "base", "downR", hair="horny")
    ton "You know... To get some privacy." ("crooked_smile", "narrow", "base", "mid", hair="horny", cheeks="blush")
    ton "She must've taken some great caution to be able to sneak up on me, but after a while of... *Ehm*..." ("clench", "narrow", "base", "L", hair="horny")
    ton "After some time I noticed her movements among the bushes." ("open", "closed", "base", "mid", hair="horny")
    ton "Once I noticed her presence there was no doubt in my mind why she had snuck up on me..." ("grin", "narrow", "base", "mid", hair="horny")
    gen "Let me guess... She was--" ("base", xpos="far_left", ypos="head")
    ton "She was going full force, pleasuring herself... Not even noticing that I had stopped and spotted her!" ("grin", "narrow", "angry", "mid", hair="horny")
    cho "Stopped what?" ("annoyed", "base", "raised", "mid")
    gen "Shush, Miss Chang... Don't interrupt the story!" ("grin", xpos="far_left", ypos="head")
    ton "Of course I had to be a hundred percent sure what creature she was, so I went to take out my wand to make some light, but..." ("base", "narrow", "base", "L", hair="horny")
    ton "Before I knew it she had flown right up next to me, grabbing my wrists." ("open", "narrow", "angry", "mid", hair="angry")
    cho "And then you used your auror training to fight her!" ("grin", "narrow", "angry", "L")
    call play_sound("giggle")
    ton "*Giggles*...{w=0.4} No, we made out instead." ("horny", "narrow", "raised", "L", hair="horny") #sound
    cho "You...{w} Made out with her!?" ("clench", "wide", "base", "L")
    ton "Of course! She couldn't get enough of me!" ("grin", "happyCl", "base", "mid", hair="horny")
    ton "After all... I'm quite skilled with my tongue." ("horny", "narrow", "base", "mid", hair="horny")
    cho "Your--" ("soft", "narrow", "worried", "L", cheeks="blush")
    gen "Tongue!" ("grin", xpos="far_left", ypos="head")
    call play_sound("giggle")
    ton "*giggles*" ("base", "happyCl", "base", "mid", hair="horny")
    ton "Yes indeed... Would you like a demonstration?" ("crooked_smile", "narrow", "base", "mid", hair="horny")

    menu:
        gen "!!!" ("grin", xpos="far_left", ypos="head")
        "\"Yes please!\"":
            ton "Yeah, I bet you'd like that, Professor. {heart}" ("horny", "narrow", "base", "mid", hair="horny")
            ton "Maybe some other time." ("soft", "narrow", "base", "mid", hair="horny")
            cho "..." ("clench", "narrow", "worried", "down", cheeks="blush") # curious look

        "\"What do you say, Miss Chang?\"":
            cho "With m-me?" ("clench", "wide", "raised", "mid", cheeks="heavy_blush")
            ton "No, silly... Well not today at least. {heart}" ("soft", "narrow", "base", "L", hair="horny")
            cho "..." ("clench", "narrow", "worried", "down", cheeks="blush") # blushing

    # Tonks shows her tongue.
    ton "You'll have to settle for a peek for now..." ("horny", "narrow", "base", "mid", hair="horny")
    cho "..." ("horny", "narrow", "base", "L", cheeks="blush") #blush
    gen "*Hmm?*..." ("base", xpos="far_left", ypos="head")
    ton "*Ahh*..." ("open_wide", "narrow", "base", "down", hair="horny")
    cho "" ("horny", "base", "raised", "L", cheeks="blush")
    ton "*Ahhhhhhh*........." ("open_wide_tongue", "narrow", "angry", "down", hair="horny") # Tonks shows her tongue.
    cho "Wow!" ("open", "base", "raised", "L", cheeks="blush")
    gen "..." ("grin", xpos="far_left", ypos="head")
    ton "Ae I chahn mhehk i ash ong ashh I whan..." ("open_wide_tongue", "narrow", "angry", "mid", hair="horny")
    ton "... shee!" ("open_wide_tongue2", "narrow", "angry", "down", hair="horny") # Tongue all the way out.
    cho "By Merlin's beard!" ("clench", "narrow", "worried", "L", cheeks="heavy_blush") #blush
    gen "Nice..." ("grin", xpos="far_left", ypos="head")
    gen "Although with a succubus I highly doubt there was just kissing going on..." ("grin", xpos="far_left", ypos="head")
    ton "*Hmm*... Yesh, thaht little devil..." ("open_wide_tongue", "narrow", "angry", "mid", hair="horny")
    ton "She was very quick to lock my head in place between her thighs, and then impaled herself on my tongue." ("open_wide_tongue", "narrow", "raised", "mid", hair="horny")
    ton "Rode my tongue for a good hour, that freak..." ("horny", "narrow", "angry", "mid", hair="horny")

    #gen "You're calling her a freak? Your tongue is longer than my dick!" ("angry", xpos="far_left", ypos="head")
    #cho "Professor?"
    #ton "Oh, sweetie... My dick could be longer than your dick..."
    #cho "What?!"
    #ton "Not that I have one currently..."
    #ton "But I could make it as long as I want!"
    #cho "..." #looking at floor
    #gen "What else? Does it vibrate too? How are you even supposed to compete with that?" ("angry", xpos="far_left", ypos="head")
    #ton "*giggles*" #sound
    #ton "I haven't tried that actually... That's not a bad idea."
    #cho "" #blush
    #gen "..." ("base", xpos="far_left", ypos="head")
    #ton "Don't you worry professor... There's always the need for that masculine touch..."

    gen "(Like you didn't enjoy every minute of it...)" ("grin", xpos="far_left", ypos="head")
    ton "Pleasuring her was quite exhausting to say the least..." ("soft", "narrow", "base", "L", hair="horny")
    ton "I licked her inside out until my whole face was covered in her devilish love-juices... {heart}" ("horny", "narrow", "angry", "mid", hair="angry")
    cho "" ("clench", "narrow", "worried", "down", cheeks="heavy_blush") #Horny #looks at tonks
    call ctc

    ton "Although... I did almost drown..." ("upset", "base", "raised", "up", hair="horny") # thinking back
    ton "Her thighs, practically glued to my cheeks meant there was no other way for her juices to flow than into my mouth..." ("open", "narrow", "annoyed", "mid", hair="horny")
    ton "Her essence becoming too much for me to handle as it eventually ran up my nose." ("horny", "narrow", "base", "down", hair="horny")
    gen "Holy shit." ("base", xpos="far_left", ypos="head")
    ton "I had no other choice but to swallow all of it..." ("grin", "narrow", "base", "mid", hair="horny")
    cho "" ("normal", "happyCl", "worried", "mid", cheeks="heavy_blush")
    call play_sound("gulp")
    gen "*gulp*" ("angry", xpos="far_left", ypos="head")
    cho "" ("horny", "narrow", "worried", "L", cheeks="blush")
    ton "That little demon must've come at least twenty times that night. {heart}" ("open_wide_tongue", "narrow", "raised", "L", hair="horny")
    ton "I could give you a ride on this as well if you'd like, Miss Chang." ("open_wide_tongue2", "narrow", "angry", "L", hair="horny", cheeks="heavy_blush") # tongue out
    cho "Professor--" ("soft", "narrow", "worried", "mid", cheeks="heavy_blush") # embarrassed #looks at you
    gen "Tonks, not before--" ("base", xpos="far_left", ypos="head")
    ton "Yes, yes... Not before you win that silly Quidditch cup." ("mad", "closed", "angry", "mid", hair="angry", cheeks="heavy_blush")
    cho "It's not silly!" ("annoyed", "narrow", "angry", "L", cheeks="blush")
    ton "Winning that cup won't feel as good as having my tongue inside you, Miss Chang... I can promise you that much." ("annoyed", "narrow", "angry", "L", hair="horny", cheeks="heavy_blush")
    cho "..." ("clench", "happyCl", "worried", "mid", cheeks="heavy_blush") #Pout #blush
    ton "Well then... I hope you two liked my little story. {heart}" ("open", "closed", "base", "mid", hair="horny")
    ton "And my new outfit of course..." ("crooked_smile", "narrow", "base", "down", hair="horny")

    # Unlock outfit message. Should only appear once.
    if not ton_outfit_succubus.unlocked:
        call unlock_clothing(text=">New clothing items for Tonks have been unlocked!", item=ton_outfit_succubus)

    cho "" ("horny", "narrow", "worried", "L", cheeks="heavy_blush")
    ton "Maybe I could dress as a Succubus for Halloween. I'm sure the boys would love it..." ("base", "narrow", "base", "mid", hair="horny")
    gen "With or without the tits out?" ("grin", xpos="far_left", ypos="head")
    ton "*Hmm*... Haven't decided yet." ("upset", "narrow", "raised", "down", hair="horny")
    cho "..." ("clench", "narrow", "worried", "mid", cheeks="blush")
    ton "Well then... Off we go Miss Chang..." ("soft", "narrow", "base", "L", hair="horny")

    # End Event.
    jump cc_pf_strip_T3_tonks.end_event



## Hermione Transformation ##
label .hermione_E1:
    # Pink Hair: $ hermione.get_equipped("hair").set_color([[255, 87, 171, 255], [255, 210, 227, 255], [230, 141, 32, 255]])
    # Brown Hair: $ hermione.get_equipped("hair").set_color([[152, 89, 48, 255], [195, 137, 89, 255], [230, 141, 32, 255]])
    ton "Hermione again, *Hmm*?" ("base", "base", "base", "mid")
    ton "Seems to me like she's a bit of a favourite, isn't she?" ("soft", "narrow", "raised", "mid")
    gen "What can I say, she's got the best tits in the house!" ("grin", xpos="far_left", ypos="head")
    cho "Hey! That's not true!" ("annoyed", "narrow", "base", "mid")
    gen "It isn't? Then who's tits are better, Miss Chang?" ("base", xpos="far_left", ypos="head")
    gen "Do tell me, I'd love to know!" ("grin", xpos="far_left", ypos="head")
    cho "Just forget I said anything..." ("annoyed", "narrow", "base", "L")
    ton "Well, I for one am not going to disagree with you, Professor." ("crooked_smile", "narrow", "base", "mid")
    ton "Miss Granger's tits are quite nice indeed..." ("horny", "narrow", "angry", "mid", hair="horny")
    cho "..." ("normal", "narrow", "base", "up")
    ton "I mean we could do something else if you'd like, Miss--" ("open", "base", "base", "L")
    gen "No, No-- Do the thing!" ("grin", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "base", "L", cheeks="blush")
    ton "Certainly... With pleasure." ("base", "happyCl", "base", "mid")
    stop music
    pause .8

    # Save custom Hermione name
    $ temp_name = hermione_name
    $ hermione_name = "Tonks"

    # Transforms into Hermione
    call play_sound("magic")
    hide tonks_main
    $ hermione.strip("all")
    $ cho_chibi.zorder = 3 # Reset to default.
    $ hermione_chibi.zorder = 2 # behind Cho. Default is 3.
    call ton_chibi("hide")
    call her_chibi("stand", 370, 360, flip=False)
    her "" ("base", "narrow", "base", "mid", xpos=345, ypos="base", flip=False, trans=morph)
    pause .2

    cho "" ("horny", "narrow", "worried", "L", cheeks="heavy_blush")
    call ctc

    call play_music("trance")
    her "Well then, here she is..." ("smile", "narrow", "angry", "mid")
    her "Feel free to touch me, Cho." ("base", "narrow", "annoyed", "R")
    her "Unlike Hermione I won't bite you... Probably. {heart}" ("smile", "narrow", "annoyed", "down")
    cho "..." ("mad", "narrow", "worried", "down", cheeks="blush") # blush
    her "I simply love getting groped..." ("soft", "narrow", "angry", "up")
    cho "" ("horny", "narrow", "worried", "L", cheeks="blush")
    gen "That reminds me... Let's talk about how well you did during the last quidditch match..." ("grin", xpos="far_left", ypos="head")
    gen "You did quite a good job pretending to be Hermione." ("base", xpos="far_left", ypos="head")
    gen "Wouldn't you say she did a good job commentating, Miss Chang?" ("grin", xpos="far_left", ypos="head")
    cho "Oh... Well I wouldn't know since I was more focused on playing, Sir..." ("soft", "base", "base", "mid", cheeks="blush")
    cho "But from what I could gather you did quite well, *uhm*... Professor." ("silly", "narrow", "worried", "L", cheeks="heavy_blush")
    gen "Yes... She put so much effort into it... you must have been completely exhausted by the end..." ("base", xpos="far_left", ypos="head")
    cho "" ("horny", "narrow", "worried", "L", cheeks="blush")
    her "... {heart}" ("base", "happy", "base", "mid_soft", cheeks="blush") # blushing
    cho "You were?" ("smile", "narrow", "base", "L", cheeks="blush")
    gen "Indeed... Addressing the entire school is no easy task, Miss Chang..." ("base", xpos="far_left", ypos="head")
    her "..." ("crooked_smile", "happyCl", "base", "mid") #Horny #Starts touching breasts (If Cho isn't looking)

    show screen blkfade
    with d5
    $ renpy.play("sounds/slick_02.ogg")
    with hpunch
    with kissiris
    $ hermione.set_pose("masturbate")
    $ hermione.set_body(armleft="on_pussy")
    her "" ("base", "narrow", "worried", "stare")
    hide screen blkfade
    with d5

    gen "You have to Stay completely focused when you're tasked with commentating on everything that's happening." ("base", xpos="far_left", ypos="head")
    cho "Surely commentating doesn't even come close to the amount of focus you need to spot the snitch..." ("soft", "narrow", "raised", "mid")
    cho "Or how would Granger be able to do it?" ("annoyed", "narrow", "base", "R")
    gen "Depends how easily you get distracted, I suppose..." ("base", xpos="far_left", ypos="head")
    gen "Would you say that you're easily distracted... Miss Granger?" ("base", xpos="far_left", ypos="head")
    her "*Mmm*..." ("base", "narrow", "base", "stare_soft")
    gen "Miss Granger?" ("base", xpos="far_left", ypos="head")
    cho "..." ("annoyed", "narrow", "base", "L") #annoyed
    her "*Mmm*... Just thinking about it gets me all riled up again..." ("open", "narrow", "worried", "mid")
    cho "Professor, what are you..." ("disgust", "narrow", "base", "L", cheeks="blush") #Looks at Tonks/Hermione
    her "*Hmm*... Sorry, what did you say?" ("open_tongue", "narrow", "base", "L")
    cho "What are you doing?" ("mad", "happyCl", "base", "mid", cheeks="blush")
    call play_sound("giggle")
    her "*giggles*" ("base", "narrow", "base", "mid", cheeks="blush") #sound
    her "What does it look like?" ("grin", "narrow", "base", "L")
    cho "You're touching your... Her--" ("clench", "narrow", "raised", "down", cheeks="blush")
    her "Yes... How could I not?" ("base", "narrow", "base", "mid")
    her "These breasts are just so..." ("soft", "narrow", "base", "down")

    #pinch nipples.


    # Hands on pussy, tits
    $ hermione.set_body_zorder(armright=3)
    $ hermione.set_body(armleft="on_pussy", armright="on_tits")
    play bg_sounds "sounds/slickloop.ogg" fadein 2

    her "*Mmmh*... So soft..." ("base", "closed", "base", "mid")
    her "And her nipples..." ("soft", "narrow", "base", "down")
    her "*Ah*..." ("open_tongue", "narrow", "base", "stare_soft")
    her "So sensitive..." ("base", "narrow", "base", "up")
    cho "*Ehm*..." ("horny", "narrow", "worried", "down", cheeks="heavy_blush")
    her "*Mhmm*... And I bet her nipples aren't the only--" ("open", "narrow", "base", "down")
    her "" ("grin", "closed", "worried", "mid") #Hand in front of pussy
    pause .8
    $ renpy.play("sounds/slick_02.ogg")
    her "*Ah*..." ("open_tongue", "narrow", "base", "up") #Hand on pussy
    cho "Tonks!" ("mad", "narrow", "worried", "R", cheeks="heavy_blush")

    play bg_sounds "sounds/slickloop.ogg" fadein 2 #Continuous masturbate loop
    her "*Mmmm*..." ("base", "narrow", "base", "up")
    pause 1
    her "*Hmm?*... Not even a peek?" ("soft", "narrow", "base", "L")
    her "Don't you want to see what Hermione looks like when... *Ah*... She masturbates?" ("grin", "narrow", "worried", "down", cheeks="blush")
    her "Are you sure you... *Ah*...{w=0.4} Want to miss this?" ("open", "closed", "base", "mid", cheeks="blush")
    cho "..." ("clench", "narrow", "worried", "down", cheeks="heavy_blush") #glances at her
    her "*Ah*...{w=0.3} That's it, Cho..." ("smile", "narrow", "base", "L")
    her "I knew you couldn't resist..." ("soft", "narrow", "base", "up")
    cho "" ("horny", "narrow", "worried", "down", cheeks="heavy_blush") #Horny
    call ctc

    her "*Ah*...{w=0.3} Look at me as I rub Granger's cute little slit." ("open_wide_tongue", "narrow", "angry", "up", cheeks="blush")
    her "*Ah*...{w=0.3} *Ah*...{w=0.3} *Ah*..." ("open_wide_tongue", "narrow", "worried", "up", cheeks="blush")
    cho "" ("horny", "narrow", "worried", "downR", cheeks="heavy_blush") #looks away
    call ctc

    her "No! Keep watching me!" ("annoyed", "narrow", "angry", "L")
    play bg_sounds "sounds/slickloopfast.ogg"
    her "*Ah*...{w=0.3} I'm getting close!" ("soft", "narrow", "base", "up", cheeks="blush")
    play bg_sounds "sounds/slickloopveryfast.ogg"
    cho "" ("mad", "narrow", "base", "down", cheeks="heavy_blush") #still looking away
    her "Watch me!" ("open_wide_tongue", "narrow", "angry", "up", cheeks="blush")
    cho "" ("horny", "narrow", "raised", "down", cheeks="heavy_blush") #still looking away
    her "Watch as Hermione cums for you!" ("angry", "narrow", "base", "up", cheeks="blush")
    cho "" ("smile", "narrow", "base", "down", cheeks="heavy_blush") #embarrased #Looks at Tonks
    $ renpy.sound.play("sounds/slick_01.ogg")
    her "*Nngh*...{w=0.4} *Aaah*!!!" ("clench", "happy", "base", "ahegao", cheeks="blush")
    stop bg_sounds
    with kissiris
    cho "" ("horny", "base", "raised", "down", cheeks="heavy_blush") #wide eyed
    with kissiris
    $ renpy.sound.play("sounds/slick_01.ogg")
    her "*Ah*!" ("open_wide_tongue", "happy", "angry", "ahegao", cheeks="blush")
    stop bg_sounds fadeout 2
    call play_music("stop")
    her "*Mmmh*..." ("clench", "narrow", "base", "squint", cheeks="blush")
    cho "..." ("smile", "narrow", "base", "L", cheeks="heavy_blush")
    her "*Ah*...{w=0.3} *Ah*...{w=0.5} *Ah*...{w=0.6} Good...{w=0.3} Good girl..." ("open_tongue", "narrow", "base", "up", cheeks="blush")

    # Reset pose
    $ hermione.set_body_zorder(armright=0)
    $ hermione.set_body(armleft="down", armright="down")
    $ hermione.set_pose(None)
    $ hermione.strip("all")
    with d5

    call play_music("tonks")
    her "*Mmmh*... How I love masturbating in a body that I'm not quite familiar with..." ("smile", "happyCl", "base", "mid")
    her "It's like flying a new broom... There's nothing quite like the first test ride..." ("base", "narrow", "base", "mid")
    cho "..." ("grin", "narrow", "base", "downR", cheeks="heavy_blush")
    call play_sound("giggle")
    her "*giggles*" ("base", "happyCl", "base", "mid", cheeks="blush") #Looks at cho

    # Tonks transforms back.
    call play_sound("magic")
    hide hermione_main
    call her_chibi("hide")
    $ cho_chibi.zorder = 3 # Reset to default.
    $ tonks_chibi.zorder = 2 # behind Cho. Default is 3.
    call ton_chibi("stand", 370, 360, flip=False)
    ton "" ("base", "narrow", "base", "mid", xpos=345, ypos="base", flip=False, trans=morph)
    pause .2

    cho "" ("horny", "base", "base", "L", cheeks="heavy_blush")
    call ctc

    ton "Miss Granger's clit is quite sensitive... Who could have guessed?" ("grin", "narrow", "raised", "mid")
    gen "Noted." ("grin", xpos="far_left", ypos="head")
    ton "You'll do good to memorize this as well, Miss Chang. That knowledge might come in handy in the future." ("soft", "narrow", "base", "L")
    cho "..." ("smile", "narrow", "base", "down", cheeks="heavy_blush") # blushing
    ton "Well then... this should be enough to last me for the day... Hopefully..." ("grin", "narrow", "base", "mid")

    # Reset
    $ hermione_name = temp_name

    # End Event.
    jump cc_pf_strip_T3_tonks.end_event

## End Event ##
label .end_event:

    # Fade to black.
    call play_music("stop")
    call hide_characters
    hide screen bld1
    show screen blkfade
    with d5

    # The girls get dressed and wait at the door.
    $ cho.wear("all")
    $ tonks.wear("all")
    $ hermione.wear("all")

    # Reset zorder.
    $ cho.zorder = 15 # reset to default.
    $ tonks.zorder = 15 # reset to default.
    $ hermione.zorder = 15 # reset to default.
    $ cho_chibi.zorder = 3 # reset to default.
    $ tonks_chibi.zorder = 3 # reset to default.
    $ hermione_chibi.zorder = 3 # reset to default.
    hide screen cho_cloth_pile

    call cho_chibi("stand", 690, "base", flip=False)
    call ton_chibi("stand", "door", "base", flip=False)

    call play_sound("climb_desk")
    pause 2

    hide screen blkfade
    with d5
    pause .5

    call bld
    if game.daytime:
        ton "We should get going, Miss Chang. Classes are about to start..." ("open", "base", "base", "L", ypos="head", flip=False)
        cho "Until next time, Professor." ("grin", "base", "base", "mid", ypos="head", flip=False)
    else:
        ton "Let me escort you back to your dormitories, Miss Chang." ("open", "base", "base", "L", ypos="head", flip=False)
        cho "Good night, Professor." ("grin", "base", "base", "mid", ypos="head", flip=False)

    call bld("hide")
    pause .1

    # They both leave.
    call cho_chibi(flip=True)
    pause .3
    call ton_chibi(flip=True)
    with d3
    pause .2

    call play_sound("door")
    hide screen cho_chibi
    hide screen tonks_chibi
    with d3
    pause .5

    # Reset clothing.
    $ cho.equip(cho_outfit_last)
    $ tonks.equip(ton_outfit_last)
    $ hermione.equip(her_outfit_last)

    $ tonks_busy = True

    # End event.
    jump end_cho_strip_event
