
# Training Intro 1. (Hufflepuff)

label cho_quid_E1:
    # Genie should get into a drill sergeant mood here, but fails at the end.

    cho "" (xpos="mid", ypos="base", trans=fade)

    gen "Are you ready for your first training session?" ("base", xpos="far_left", ypos="head")
    cho "Of course, Professor!" ("smile", "base", "base", "mid")
    gen "Professor? Who are you calling Professor, girl?" ("angry", xpos="far_left", ypos="head")
    cho "I'm... sorry?" ("soft", "base", "worried", "mid")
    gen "From now on you will address me only as \"Sir\"!{w} Or..." ("base", xpos="far_left", ypos="head")

    menu:
        "\"-Coach-\"":
            $ cho_genie_name = "Coach"
        "\"-Sergeant-\"":
            $ cho_genie_name = "Sergeant"
        "\"-Captain-\"":
            $ cho_genie_name = "Captain"
        "\"-Professor-\"":
            $ cho_genie_name = "Professor"
            gen "You know what, keep calling me Professor..." ("base", xpos="far_left", ypos="head")

    cho "Yes, [cho_genie_name]." ("base", "base", "angry", "mid")
    gen "And you I will call..." ("base", xpos="far_left", ypos="head")

    menu:
        "\"-Cadet-\"":
            $ cho_name = "Cadet"
        "\"-Pilot-\"":
            $ cho_name = "Pilot"
        "\"-Maggot-\"":
            $ cho_name = "Maggot"
            cho "(...)" ("quiver", "base", "worried", "R")
        "\"-Eagle One-\"":
            $ cho_name = "Eagle One"
        "\"-Cho-\"":
            $ cho_name = "Cho"
        "\"-Miss Chang-\"":
            $ cho_name = "Miss Chang"
            cho "Don't you already call me that, [cho_genie_name]?" ("open", "base", "raised", "mid")
            gen "Never question your [cho_genie_name], [cho_name]!" ("base", xpos="far_left", ypos="head")

    cho "Yes, [cho_genie_name]!" ("soft", "closed", "angry", "mid")
    gen "Let's start with your {i}Quiddesh{/i} training!" ("angry", xpos="far_left", ypos="head")
    cho "\"Quidditch\", Sir." ("annoyed", "narrow", "angry", "mid")
    gen "Let's start with your \"Quidditch\" training, [cho_name]." ("angry", xpos="far_left", ypos="head")
    cho "!!!" ("smile", "happyCl", "base", "mid", cheeks="blush")
    cho "Shall I call the rest of my team up here?" ("open", "base", "base", "mid")
    gen "What? Why?" ("base", xpos="far_left", ypos="head")
    cho "So they can hear your expertise as well, of course." ("soft", "narrow", "base", "mid")
    gen "I don't think that will be necessary." ("base", xpos="far_left", ypos="head")
    gen "Let's focus on you, for the moment..." ("base", xpos="far_left", ypos="head")
    cho "Very well, [cho_genie_name]." ("soft", "base", "worried", "R")
    gen "Tell me, how do you usually play?{w} Is there a specific reason why you've been losing?" ("base", xpos="far_left", ypos="head")

    cho "Well, it sort of differs depending which team we're playing against..." ("open", "narrow", "base", "R")
    gen "...{w} Let's start with whichever team you're playing against first." ("base", xpos="far_left", ypos="head")
    cho "That'd be Hufflepuff...{w=0.4} Most of their previous victories against us were achieved thanks to their seeker!" ("open", "base", "base", "mid")
    cho "He's always catching the snitch before me." ("quiver", "narrow", "worried", "down")
    cho "I don't know how he does it, to be honest. It always happens so quick..." ("open", "narrow", "worried", "mid")
    gen "And you are \"both\" looking for that thing? At the same time?" ("base", xpos="far_left", ypos="head")
    cho "Yes, [cho_genie_name]." ("soft", "base", "base", "mid")
    cho "I do my best flying around the pitch searching for it. But it's just so small and really tricky to see..." ("angry", "base", "worried", "down")
    gen "Why don't you look for it together? After all there is only one." ("base", xpos="far_left", ypos="head")
    cho "*Hmm*?" ("annoyed", "base", "base", "mid")
    gen "You just need to grab that Snatch before he does." ("grin", xpos="far_left", ypos="head")
    cho "???" ("annoyed", "wide", "raised", "mid")
    cho "[cho_genie_name]! It's \"Snitch\"!" ("angry", "closed", "angry", "mid")
    gen "Potato {i}potato{/i}..." ("base", xpos="far_left", ypos="head")
    cho "You just said the same thing twice..." ("open", "base", "raised", "R")
    gen "Exactly..." ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    cho "Anyhow... As I said, I don't really have a chance once he's caught sight of it." ("open", "narrow", "base", "mid")
    gen "Caught sight of what?" ("base", xpos="far_left", ypos="head")
    cho "The snitch!" ("annoyed", "narrow", "base", "mid")
    gen "Oh, I see..." ("base", xpos="far_left", ypos="head")
    cho "There's no way for me to stop him, with how fast and determined he is..." ("open", "base", "base", "R")
    gen "Well, lucky for you, you have me!" ("grin", xpos="far_left", ypos="head")
    cho "" ("annoyed", "base", "raised", "mid")
    gen "I'm also very fast and determined!" ("grin", xpos="far_left", ypos="head")
    gen "And you just gave me a great idea." ("base", xpos="far_left", ypos="head")
    gen "We'll need to distract him!" ("base", xpos="far_left", ypos="head")
    gen "So you can get a hold of that Snatch before he does!" ("angry", xpos="far_left", ypos="head")
    cho "Please stop saying that, [cho_genie_name]!" ("angry", "closed", "angry", "mid")
    gen "Saying what?" ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    cho "{size=-4}\"Snatch.\"{/size}" ("soft", "narrow", "angry", "mid")
    gen "*He-he-he*...{w} Now you've said it!" ("grin", xpos="far_left", ypos="head")
    cho "Could we please just talk about your plan, [cho_genie_name]?" ("open", "narrow", "angry", "R")
    gen "Patience, [cho_name]." ("base", xpos="far_left", ypos="head")
    cho "Tell me!" ("scream", "closed", "angry", "mid", trans=hpunch)
    cho "" ("annoyed", "narrow", "angry", "mid")

    gen "We'll hit him where he least expects it!" ("base", xpos="far_left", ypos="head")
    cho "And that would be?" ("soft", "base", "angry", "mid")
    gen "The balls!" ("base", xpos="far_left", ypos="head")
    cho "What?!?" ("mad", "wide", "raised", "mid")
    cho "Sir, surely you can't be--" ("clench", "base", "angry", "mid")
    gen "If we entice him during the game he'll lose focus..." ("base", xpos="far_left", ypos="head")
    cho "Entice...{w=0.4} what are you--" ("clench", "base", "base", "mid")

    cho "Sir, this is just ridiculous!" ("scream", "closed", "angry", "mid", trans=hpunch)
    cho "I thought a highly regarded wizard of your stature would know at least something that could help us at Quidditch." ("open", "narrow", "angry", "mid")
    cho "I didn't hold it against you that you seemingly know very little about the sport." ("open", "base", "angry", "R")
    gen "Which I proved you wrong, but who cares..." ("base", xpos="far_left", ypos="head")
    cho "But I thought it was at least worth a try.{w} Although after hearing your suggestion--" ("upset", "narrow", "angry", "mid")
    gen "Believe me when I say this..." ("base", xpos="far_left", ypos="head")
    gen "The only way you can keep a man from fulfilling his sought-out purpose, is by confronting him with his most primal instinct!" ("angry", xpos="far_left", ypos="head")
    cho "Which would be?" ("annoyed", "narrow", "angry", "mid")
    gen "The act of procreation!" ("grin", xpos="far_left", ypos="head")
    cho "Sir, are you suggesting I should have \"sex\" with him?!" ("soft", "wide", "base", "mid") # Shocked
    gen "What? I never said that..." ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "angry", "mid")
    gen "You have a really dirty mind, girl!" ("grin", xpos="far_left", ypos="head")
    cho "But you just said--" ("angry", "closed", "angry", "mid")
    gen "I merely want you to distract him with your body, during the match." ("base", xpos="far_left", ypos="head")
    gen "And then, when he can't keep his eyes off you..." ("grin", xpos="far_left", ypos="head")
    gen "You grab that Snatch!" ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "mid")
    cho "I'm sorry Sir, but I feel methods like those would get us nowhere!" ("open", "closed", "raised", "mid")
    cho "And it's very improper for a teacher to suggest such things! Not to mention right out vulgar!" ("open", "base", "angry", "R")
    cho "I'll be leaving now.{w=0.8} Please only call me should you decide to finally take things seriously..." ("soft", "narrow", "angry", "mid")
    gen "And you, think about using that petite body of yours to get closer to your dreams!" ("grin", xpos="far_left", ypos="head")
    cho "*Tzzzz*" ("angry", "closed", "angry", "mid")

    if game.daytime:
        cho "Good day, Sir..." ("soft", "narrow", "angry", "mid")
    else:
        cho "Good night, Sir..." ("soft", "narrow", "angry", "mid")

    # Cho leaves.
    call cho_walk(action="leave")

    call popup("You've lost the ability to train Cho in Quidditch.", "Congratulations!", "interface/icons/head/cho.webp")

    call bld
    gen "She'll get over it..." ("base", xpos="far_left", ypos="head")

    # Flags
    $ cho_mood += 9
    $ cho_quid.E1_complete = True

    jump end_cho_event

label cho_quid_E2:
    # Genie regains ability to train Cho

    cho "" (xpos="mid",ypos="base", trans=fade)
    gen "So, have you considered going with my training methods?" ("base", xpos="far_left", ypos="head")
    cho "I... Yes..." ("soft", "closed", "angry", "mid")
    cho "I looked at other options, but seeing how little time we have left...{w} Well, I suppose I have no other choice." ("open", "narrow", "angry", "R")
    cho "If there's any chance your methods could help us win the cup this year, then I'm willing to try them, Sir." ("open", "narrow", "angry", "mid")
    gen "I'm glad you've come to your senses." ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "R")
    gen "Let's get this ball rolling--{w=0.4} *Ahem*... flying then shall we!" ("grin", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "base", "base", "mid")

    gen "Now, let me show you..." ("base", xpos="far_left", ypos="head")
    cho "" ("base", "base", "base", "mid")

    gen "First, get your flying thing ready!" ("base", xpos="far_left", ypos="head")
    cho "My broom?" ("soft", "base", "raised", "mid")
    gen "Broom... flying carpet... Whichever you prefer." ("base", xpos="far_left", ypos="head")
    cho "Only brooms are allowed in Quidditch, Sir." ("annoyed", "base", "base", "mid")
    gen "Good for you." ("base", xpos="far_left", ypos="head")
    gen "And put on your Quidditch gear while you're at it..." ("base", xpos="far_left", ypos="head")
    cho "Yes, Sir.{w} Let me just go and get it." ("smile", "base", "base", "mid")
    cho "I'll be right back." ("base", "base", "base", "mid")

    call cho_walk(action="leave", speed=1.5) # Cho moves, excitedly.

    call blkfade
    pause .8

    # Scene Setup
    call gen_chibi("stand", "desk", "base")
    call cho_chibi("stand", "right", "base")

    $ cho_outfit_last.save()
    $ cho.equip(cho_outfit_quidditch) # Equip quidditch set

    call play_sound("door")
    pause .5

    call hide_blkfade
    pause .8

    cho "Ready when you are, [cho_genie_name]!" ("smile", "base", "base", "mid", xpos="right", ypos="base", trans=d3)
    gen "Perfect, now get on that broom and follow my instructions..." ("base", xpos="far_left", ypos="head")
    hide cho_main
    with d3

    # Tutorial menu
    $ _selected = [False, False, False]
    $ menu_y = 0.8

    label .choices:

    if not all(x == True for x in _selected): # Has selected every position once? Loop if the answer is no.
        call bld
        menu:
            gen "Could you..." ("base", xpos="far_left", ypos="head")
            "\"Fly in front of me.\"" if not _selected[0]:
                $ _selected[0] = True
                call bld("hide")

                if not cho_chibi.action == "fly":
                    call cho_chibi("fly", "mid", "base")
                    with d5

                call cho_walk("mid", "base")
                if cho_chibi.flip == False:
                    gen "Looking good, now turn away from me..." ("base", xpos="far_left", ypos="head")
                    call cho_chibi("fly", "mid", "base", flip=True)
                    with d5
                cho "Like this?" ("soft", "base", "base", "R", ypos="head", flip=False)
                gen "A bit higher maybe..." ("base", xpos="far_left", ypos="head")
                call cho_walk(550, 200+180)

                gen "Excellent!" ("base", xpos="far_left", ypos="head")

                jump cho_quid_E2.choices

            "\"Fly above me.\"" if not _selected[1]:
                $ _selected[1] = True
                call bld("hide")

                if not cho_chibi.action == "fly":
                    call cho_chibi("fly", "mid", "base")
                    with d5

                gen "Move a bit higher." ("base", xpos="far_left", ypos="head")
                call cho_walk(600, 150+180)
                cho "Like this?" ("soft", "base", "base", "downR", ypos="head", flip=False)
                gen "Great, you've got some excellent control over that stick." ("base", xpos="far_left", ypos="head")

                jump cho_quid_E2.choices

            "\"Fly close to me.\"" if not _selected[2]:
                $ _selected[2] = True
                call bld("hide")

                if not cho_chibi.action == "fly":
                    call cho_chibi("fly", "mid", "base")
                    with d5

                cho "How close?" ("soft", "base", "raised", "mid", ypos="head", flip=False)
                gen "As close as you can get..." ("base", xpos="far_left", ypos="head")
                call cho_walk(450, 240+180)
                gen "Nice..." ("base", xpos="far_left", ypos="head")
                cho "..." ("soft", "narrow", "raised", "mid", ypos="head", flip=False)

                jump cho_quid_E2.choices
    else:
        pass

    gen "That should be enough..." ("base", xpos="far_left", ypos="head")
    gen "I presume you're able to hold these positions during movement?" ("base", xpos="far_left", ypos="head")
    cho "Of course." ("open", "closed", "raised", "mid", ypos="head", flip=False)
    gen "Great!" ("base", xpos="far_left", ypos="head")
    gen "You can come down now." ("base", xpos="far_left", ypos="head")
    cho "Okay." ("open", "base", "base", "mid", ypos="head", flip=False)

    #Cho flies down
    call cho_walk("mid", "base")
    call cho_chibi("stand", "right", "base")
    with fade


    gen "Great job, we should definitely use positioning to our advantage!" ("base", xpos="far_left", ypos="head")
    cho "Well, that much is true for any quidditch game..." ("open", "base", "raised", "mid")
    cho "So I'm not exactly sure what we've achieved here." ("soft", "base", "raised", "R")
    gen "All in due time, [cho_name]..." ("base", xpos="far_left", ypos="head")
    gen "With my training methods you'll have the upper hand over those other teams, I'm sure of it." ("base", xpos="far_left", ypos="head")
    cho "I'll have to take you for your word then..." ("base", "base", "raised", "mid") #cautious smile
    cho "So, what's next?" ("open", "base", "raised", "mid")
    gen "That's all for today." ("base", xpos="far_left", ypos="head")
    cho "Already? I usually train for a couple of hours!" ("angry", "base", "raised", "mid")
    gen "Yes, I need to come up with a pl--{w=0.3}{nw}" ("base", xpos="far_left", ypos="head")
    gen "Yes, I need to come up with a pl--{fast} prepare for our next session!" ("grin", xpos="far_left", ypos="head")
    cho "Oh...{w=0.3} okay." ("soft", "base", "base", "down")
    cho "Bye then, [cho_genie_name]." ("base", "base", "base", "mid")
    gen "Bye for now, [cho_name]." ("base", xpos="far_left", ypos="head")

    call cho_walk(action="leave")

    gen "(Now to find out what the boy's into and make sure she's prepared to do what it takes...)" ("base", xpos="far_left", ypos="head")
    call popup("You've unlocked Cho personal favours!", "Congratulations!", "interface/icons/head/cho.webp")

    # Flags
    $ cho.equip(cho_outfit_last)
    $ cho_quid.E2_complete = True
    $ cho_favors_unlocked = True
    $ cho_quid.lock_training = False

    call gen_chibi("sit_behind_desk")
    with fade

    jump end_cho_event

label cho_quid_E3:
    # Commentator disaster, Lee Jordan is unable to commentate.

    call cho_walk(action="enter", xpos="desk", ypos="base", speed=1.5)

    call play_music("stop")

    cho "[cho_genie_name], there's been a disaster!" ("scream", "closed", "angry", "mid", xpos="mid", ypos="base", trans=hpunch)

    call play_music("cho")

    gen "Off to a good start..." ("base", xpos="far_left", ypos="head")
    cho "[cho_genie_name], something terrible happened to Lee Jordan!" ("soft", "narrow", "worried", "mid")
    gen "Lee Jordan?{w=0.5} Is that a famous basketball player I'm not aware of?" ("base", xpos="far_left", ypos="head")
    cho "What?{w=0.5} No Sir, Lee is our quidditch commentator!" ("soft", "narrow", "base", "mid")
    cho "He got hit in the throat by a bludger!" ("disgust", "base", "raised", "down")
    cho "Madam Pomfrey says he'll be able to talk in a few days, but yelling is out of the picture for the rest of the season." ("soft", "closed", "worried", "mid")
    cho "What are we going to do?! We can't have a Quidditch Cup without a commentator!" ("soft", "base", "worried", "mid")
    gen "Can't you play without one?" ("base", xpos="far_left", ypos="head")
    cho "No... Someone has to announce the points after all." ("annoyed", "narrow", "base", "mid")
    gen "I see..." ("base", xpos="far_left", ypos="head")

    $ _selected = [False, False]

    label .choices:
    menu:
        gen "How about we ask..." ("base", xpos="far_left", ypos="head")
        "\"Hermione\"":
            pass

        "\"Astoria\"" if astoria_unlocked and not _selected[0]:
            $ _selected[0] = True

            cho "That mischievous little..." ("clench", "wide", "raised", "mid")
            cho "Not a chance!" ("open", "closed", "angry", "mid")
            cho "Besides, [cho_genie_name]. Did you forget that she's a Slytherin?" ("open", "narrow", "angry", "mid")
            gen "Right. No Slytherins. Got it." ("base", xpos="far_left", ypos="head")
            gen "How about..." ("base", xpos="far_left", ypos="head")

            jump cho_quid_E3.choices

        "\"Luna\"" if luna_unlocked and not _selected[1]:
            $ _selected[1] = True

            cho "Luna? Luna Lovegood, [cho_genie_name]?" ("open", "narrow", "raised", "mid")
            gen "Yes?" ("base", xpos="far_left", ypos="head")
            cho "Surely{w=0.3}, nobody in their right mind would let Luna Lovegood commentate." ("grin", "happyCl", "base", "mid") # Book quote.
            #gen "I am of right mind, Miss Chang...{w} and don't call me Shirley..." ("base", xpos="far_left", ypos="head")
            gen "(...)" ("base", xpos="far_left", ypos="head")
            cho "Knowing her she'd probably commentate the grass as it's growing..." ("open", "base", "base", "R")
            cho "Trust me, [cho_genie_name]. Luna would be a terrible choice!" ("soft", "narrow", "base", "mid")
            gen "Fine. How about..." ("base", xpos="far_left", ypos="head")

            jump cho_quid_E3.choices

    cho "Hermione Granger?" ("scream", "wide", "raised", "mid")
    cho "She wouldn't know the first thing about quidditch!" ("clench", "narrow", "angry", "mid")
    cho "You can't pick her!" ("annoyed", "narrow", "angry", "mid")
    gen "Now, now... Don't underestimate Miss Granger..." ("base", xpos="far_left", ypos="head")
    gen "Why don't we just ask her first?" ("base", xpos="far_left", ypos="head")
    cho "Absolutely not! I won't talk to that Gryffindor skunk ever again!" ("scream", "closed", "angry", "mid")
    cho "Didn't I make it clear that I don't want her to {b}ever{/b} be involved in Quidditch again?" ("annoyed", "narrow", "angry", "mid")
    gen "Alright... are there any other students who know Quidditch rules well enough to take this... Jordan boy's place?" ("base", xpos="far_left", ypos="head")
    cho "..." ("annoyed", "base", "base", "down")
    gen "Well?" ("base", xpos="far_left", ypos="head")
    cho "Well, most of them would already be on one of the Quidditch teams..." ("soft", "base", "raised", "R")
    cho "But Granger wouldn't know anything about Quidditch either!" ("annoyed", "narrow", "angry", "mid")
    gen "Do you know anybody else suited for the job?" ("base", xpos="far_left", ypos="head")
    cho "{size=-4}Probably anyone at this point...{/size}" ("annoyed", "base", "raised", "R")
    call play_music("stop")
    cho "(Wait a minute...)" ("annoyed", "wide", "raised", "mid")
    play music "music/marty-gots-a-plan-by-kevin-macleod.ogg" fadein 1.0
    cho "No..." ("smile", "base", "base", "mid") #Mischievous smile
    gen "I'll ask her... What's the worst that could happen..." ("grin", xpos="far_left", ypos="head")
    cho "Yeah, actually you're probably right..." ("grin", "narrow", "angry", "mid")
    gen "Don't worry she'll do a--" ("base", xpos="far_left", ypos="head")
    gen "Wait... what did you say?" ("angry", xpos="far_left", ypos="head")
    cho "I'm sure she'll do a heckin' good job!" ("smile", "narrow", "angry", "mid")
    cho "(She'll flub the whole thing and everyone will laugh at her.)" ("smile", "narrow", "angry", "R") #Mischievous smile
    gen "Well, great then. I'll ask her in that case!" ("grin", xpos="far_left", ypos="head")
    cho "(She'll be so humiliated! And no one will ever see her as anything but a show-off that knows nothing!)" ("grin", "narrow", "angry", "down")
    cho "(I can already picture it...{w=0.8} the whole school laughing...)" ("silly", "base", "raised", "up")
    gen "Miss Chang?" ("base", xpos="far_left", ypos="head")
    cho "Oh, thank you for handling it professor!" ("open", "base", "base", "mid")
    cho "Boy, you took a load off my mind..." ("silly", "happyCl", "base", "mid", trans=hpunch)
    gen "(...)" ("base", xpos="far_left", ypos="head")
    cho "I'll be heading back to class, if you don't mind." ("soft", "closed", "base", "mid")

    # Cho leaves.
    call cho_walk(action="leave")

    call bld
    gen "(...)" ("base", xpos="far_left", ypos="head")

    # Reset
    $ cho.equip(cho_outfit_last) # Equip last worn clothes
    $ cho_quid.E3_complete = True
    $ cho_quid.lock_practice = True

    jump end_cho_event

label cho_quid_E4:
    # Genie asks Hermione if she would agree to commentate the game.

    her "" (xpos="mid", ypos="base", trans=fade)
    gen "[hermione_name], how much do you know about Quidditch?" ("base", xpos="far_left", ypos="head")
    her "[genie_name], I mean, I've taken flying lessons... they're mandatory." ("open", "base", "base", "R")
    gen "Ah, okay... and here I was hoping that you'd be able to commentate this years quidditch games..." ("base", xpos="far_left", ypos="head")
    her "Me, wasting time on something as stupid as--" ("base", "closed", "base", "mid")
    her "Wait...{w=0.3} What did you say?" ("open", "squint", "base", "mid")
    gen "I was going to ask you if you'd commentate this year's quidditch games..." ("base", xpos="far_left", ypos="head")
    her "You want me... to commentate this year's Inter-House Quidditch cup?" ("open", "wide", "base", "mid")
    her "I'd be honoured, sir!" ("scream", "closed", "base", "mid", trans=hpunch)
    her "Quidditch has always been one of my passions, to be able to commentate it..." ("open", "base", "angry", "mid")
    her "Not to mention getting to make all the announcements..." ("smile", "base", "base", "R")
    her "The speeches..." ("grin", "happy", "base", "mid")

    if her_whoring < 18:
        her "The paper..." ("soft", "narrow", "annoyed", "up")
        her "The {heart}{b}preparation{/b}{heart}..." ("open_tongue", "narrow", "base", "up")
    else:
        her "Everybody will be focused on me..." ("soft", "narrow", "annoyed", "up")

    her "I accept!" ("scream", "closed", "angry", "mid", trans=hpunch)
    gen "I thought you just said you didn't--" ("angry", xpos="far_left", ypos="head")
    her "Cho will be so mad!" ("crooked_smile", "happy", "base", "mid")
    gen "I see..." ("base", xpos="far_left", ypos="head")
    gen "Congratulations then, [hermione_name]! You got the job." ("grin", xpos="far_left", ypos="head")
    her "Ah!!! I better start learning--{w=0.4} I mean, preparing my opening speech!" ("open", "wide", "base", "mid", trans=hpunch)

    call her_walk(action="leave", speed=1.5)

    call bld
    gen "Aaaa-nd, she's gone..." ("base", xpos="far_left", ypos="head")
    gen "I better tell Cho about the...{w=0.8} news." ("base", xpos="far_left", ypos="head")

    $ cho_quid.E4_complete = True

    jump end_hermione_event # This is correct, it's Hermione talking!

label cho_quid_E5:
    # Slytherin Quidditch intro. Triggers after you summon Cho.

    stop music fadeout 6.0

    call cho_walk(action="enter")
    call cho_walk("mid", "base")

    if game.daytime:
        cho "Good morning, [cho_genie_name]..." ("annoyed", "narrow", "worried", "downR", xpos="right", ypos="base", trans=d3)
        gen "Mornin'." ("base", xpos="far_left", ypos="head")
    else:
        cho "Good evening, [cho_genie_name]..." ("annoyed", "narrow", "worried", "downR", xpos="right", ypos="base", trans=d3)
        gen "Evenin'." ("base", xpos="far_left", ypos="head")
    gen "[cho_name], before we get back to our usual diversions, why don't we have a little chat about the recent happenings?" ("base", xpos="far_left", ypos="head")
    cho "Very well, [cho_genie_name]..." ("open", "narrow", "worried", "mid")
    gen "Cheer up, will you..." ("base", xpos="far_left", ypos="head")
    gen "Where did that high-spirit from your \"big win\" fly off to?" ("base", xpos="far_left", ypos="head")
    cho "Nowhere, [cho_genie_name]...{w=0.6} I'm still very happy we won the game, it's just..." ("open", "narrow", "worried", "down") # worried/sad
    cho "I'm a bit worried about the future." ("soft", "narrow", "worried", "mid") # sad/relieved
    gen "The future?" ("base", xpos="far_left", ypos="head")
    gen "You didn't get pregnant during your little celebration event, did you?" ("base", xpos="far_left", ypos="head")

    call play_music("cho")
    cho "WHAT?!" ("clench", "wide", "base", "mid", cheeks="heavy_blush")  # Upset/whatthefuck face
    cho "Sir, why would you even suggest that?!" ("angry", "narrow", "angry", "mid", cheeks="blush") # upset
    gen "Then what is it?" ("base", xpos="far_left", ypos="head")
    cho "It's about the upcoming quidditch match." ("annoyed", "narrow", "angry", "R") # annoyed - eyes R, mouth annoyed
    gen "Oh...{w=0.4} Of course..." ("base", xpos="far_left", ypos="head")
    gen "{size=-6}Always some stupid quest...{/size}" ("base", xpos="far_left", ypos="head")
    cho "Pardon?" ("annoyed", "narrow", "raised", "mid")
    gen "It's nothing,{w=0.5} please continue." ("base", xpos="far_left", ypos="head")
    cho "[cho_genie_name], I worry that we won't be able to beat Slytherin in the next match." ("annoyed", "narrow", "worried", "mid") # eyebrows sad, eyes mid, mouth pout
    gen "Slytherin is next?{w=0.6} Sweet!" ("grin", xpos="far_left", ypos="head")
    cho "They're an entirely different ballpark compared to Hufflepuff." ("open", "base", "worried", "mid")
    gen "Really? Why's that?" ("base", xpos="far_left", ypos="head")
    cho "They're brutal and ruthless!{w} And they think they can get away with anything..." ("open", "narrow", "angry", "mid") # eyebrows sad, eyes mid, mouth pout
    gen "Then we should do the same, shouldn't we?" ("base", xpos="far_left", ypos="head")
    cho "" ("annoyed", "narrow", "base", "mid")
    gen "We'll show those Slytherins what {b}we{/b} got -- no problem!" ("base", xpos="far_left", ypos="head")
    cho "..." ("base", "base", "base", "mid") # slight smile
    gen "(And show Snape who's boss.)" ("grin", xpos="far_left", ypos="head")
    gen "Trust me, our tactics have worked perfectly thus far, haven't they?" ("base", xpos="far_left", ypos="head")
    cho "I--{w=0.3} yes..." ("soft", "base", "raised", "downR")
    cho "You're right! Thank you, [cho_genie_name]." ("base", "base", "base", "mid") # happy

    $ cho_quid.E5_complete = True
    $ cho_favors_unlocked = True

    jump cho_requests

label cho_quid_E6:
    # Hermione refuses to commentate Slytherin match.
    stop music fadeout 3.0

    pause 1.0

    call her_walk(action="enter")
    call chibi_emote("thought", "hermione")
    pause 2.0
    call chibi_emote("hide", "hermione")

    call bld
    gen "..." ("base", xpos="far_left", ypos="head")

    call her_walk("desk", "base")
    her "" ("annoyed", "narrow", "angry", "mid", xpos="mid", ypos="base") # annoyed
    pause .5
    her "I can't believe her..." ("clench", "closed", "angry", "mid", trans=hpunch) # angry
    gen "Good day to you too..." ("base", xpos="far_left", ypos="head")

    call play_music("hermione")

    her "That bitch has been walking around saying that I quit the commentator job." ("open", "base", "angry", "mid")
    gen "Who did?" ("base", xpos="far_left", ypos="head")
    her "Cho Chang." ("soft", "base", "angry", "mid")
    gen "..." ("angry", xpos="far_left", ypos="head")
    gen "Wait, so you didn't quit?" ("base", xpos="far_left", ypos="head")
    her "No! Why would I be here telling you this if I did?" ("angry", "base", "angry", "mid")
    gen "I guess you would've had to give me a two weeks notice..." ("base", xpos="far_left", ypos="head")
    her "You tell me, you're the one that appointed me." ("annoyed", "narrow", "annoyed", "mid")
    gen "Oh, right." ("base", xpos="far_left", ypos="head")
    her "And since I didn't sign anything..." ("soft", "closed", "base", "mid")
    her "I quit!" ("soft", "narrow", "base", "mid")
    gen "What?{w=0.5} You can't do that!" ("angry", xpos="far_left", ypos="head")
    her "Why not? After all, I'm terrible at it, aren't I?" ("clench", "base", "angry", "mid")
    her "I made such a fool out of myself during the Hufflepuff game..." ("upset", "base", "worried", "R", tears="soft") # Sad, tears
    her "And now with the Slytherin team being next..." ("open", "happyCl", "worried", "mid", tears="soft_blink")
    her "I won't just stand there and have them laugh at me..." ("open", "base", "worried", "mid", tears="soft")
    her "I'm not giving those Slytherins that satisfaction!" ("annoyed", "base", "worried", "R", tears="soft")

    menu:
        gen "(...)" ("base", xpos="far_left", ypos="head")
        "\"Tough luck, Miss Granger!\"":
            $ her_mood += 16

            her "Tough luck?!" ("clench", "wide", "base", "stare")
            gen "You agreed to do this, remember..." ("base", xpos="far_left", ypos="head")
            gen "May I remind you how many house points I gave you?" ("angry", xpos="far_left", ypos="head")
            her "No amount of house points was worth the humiliation I got!" ("angry", "base", "angry", "mid")
            gen "Well, *boo* --{w=0.3} bloody --{w=0.3} *hoo*..." ("base", xpos="far_left", ypos="head")
            her "*Tzzzs*!..." ("clench", "closed", "angry", "mid", emote="angry")
            her "Good luck finding somebody that is more willing to be the school's laughing stock!" ("open", "base", "angry", "mid")


        "\"We'll look for somebody more competent, then.\"":
            $ her_mood += 10

            her "More competent?!" ("clench", "base", "angry", "mid")
            gen "Surely we can find a replacement for you in no time." ("base", xpos="far_left", ypos="head")
            her "Well if that's the case, it seems like I'm no longer needed..." ("open", "base", "angry", "mid")

        "\"All you need is a bit of practice...\"":
            if hg_pf_sex.counter == 0:
                gen "(And a good fucking, but we'll get to that...)" ("grin", xpos="far_left", ypos="head")
            else:
                gen "(And a good fucking...)" ("grin", xpos="far_left", ypos="head")
            gen "You're a natural at this!" ("base", xpos="far_left", ypos="head")
            her "..." ("annoyed", "base", "worried", "mid", tears="soft")
            her "It doesn't matter..." ("soft", "base", "worried", "R", tears="soft")
            her "Thanks to Cho, everybody now thinks I'm a fraud..." ("open", "happyCl", "worried", "mid", tears="soft_blink")
            her "I don't understand why she feels the need to constantly spread rumours about me." ("annoyed", "base", "annoyed", "R", tears="soft")
            gen "(Look who's talking...)" ("base", xpos="far_left", ypos="head")

    her "You can tell that bitch to look for somebody else to commentate!" ("open", "base", "angry", "mid")
    her "Because I will not!" ("clench", "base", "angry", "mid")
    gen "..." ("base", xpos="far_left", ypos="head")
    her "Good day, Sir." ("annoyed", "base", "annoyed", "R")

    #Hermione walks out
    call her_walk(action="leave")
    call bld

    gen "(What in the great desert sands do these women want from me...)" ("angry", xpos="far_left", ypos="head")
    gen "(Can't they get along like me and my ol' pal Snape?)" ("base", xpos="far_left", ypos="head")

    $ cho_quid.E6_complete = True

    jump end_hermione_event

label cho_quid_E7:
    # Genie blackmails Hermione

    her "" ("base", "base", "base", "mid", xpos="mid", ypos="base", trans=fade)

    gen "[hermione_name], could I change your mind about your role in the Slytherin match?" ("base", xpos="far_left", ypos="head")
    her "My answer is still no, [genie_name]." ("open", "closed", "base", "mid")
    gen "Come on!" ("angry", xpos="far_left", ypos="head")
    her "That's my final answer." ("annoyed", "narrow", "angry", "mid")
    gen "(This girl...)" ("base", xpos="far_left", ypos="head")
    gen "What if..." ("base", xpos="far_left", ypos="head")

    menu:
        "\"I'll give you house points.\"":
            her "Not...{w=0.3} interested." ("annoyed", "narrow", "angry", "R")
            gen "But you're always eager for those points!" ("angry", xpos="far_left", ypos="head")
            her "No amount of points would be worth it." ("open", "base", "angry", "mid")
            gen "So, you don't even want to hear my offer?" ("base", xpos="far_left", ypos="head")
            her "I guess I don't..." ("open", "closed", "base", "mid") # upset
            gen "Your loss..." ("base", xpos="far_left", ypos="head")

        "\"You could make fun of those Slytherins.\"":
            if her_tier >= 5:
                her "I'm not that childish, [genie_name]." ("annoyed", "base", "base", "mid")
                gen "You're not?" ("base", xpos="far_left", ypos="head")
                gen "So what they're doing doesn't bother you? Calling you all sorts of names?" ("base", xpos="far_left", ypos="head")
                her "Not in the slightest..." ("soft", "narrow", "base", "mid")
                her "They can act like the usual dorks if they want to, that's no concern to me." ("soft", "base", "base", "R", cheeks="blush")
                her "But I have no reason to stoop down to their level." ("open", "closed", "base", "mid")
            else:
                her "And why would I want to do that? I'm not that foolish!" ("open", "base", "annoyed", "mid")
                her "Bad-mouthing their entire team would make me an even bigger target than I already am." ("annoyed", "base", "base", "R")
                her "Besides, I wouldn't really be able to mock them with a teacher present." ("open", "closed", "base", "mid")
                her "Madam Hooch would be unquestionably against that." ("open", "narrow", "base", "mid")

    gen "..." ("base", xpos="far_left", ypos="head")
    her "I wont step a foot on that podium, [genie_name]." ("open", "closed", "base", "mid")
    her "There's nothing you could tempt me with that would change my mind." ("soft", "narrow", "annoyed", "R")
    gen "Well then..." ("base", xpos="far_left", ypos="head")
    gen "No more mister nice guy..." ("angry", xpos="far_left", ypos="head")
    her "[genie_name]?" ("soft", "wink", "base", "mid")
    gen "[hermione_name], you're going to commentate that match. Whether you like it or not." ("base", xpos="far_left", ypos="head")
    her "No! You can't change my mind on this!" ("annoyed", "base", "angry", "mid")
    gen "Are you sure about that?" ("grin", xpos="far_left", ypos="head")
    her "Why?" ("annoyed", "narrow", "angry", "mid") # suspicious

    menu:
        gen "[hermione_name]..." ("grin", xpos="far_left", ypos="head")
        "\"I heard Cho has a crush on you!\"":
            $ d_flag_01 = True
            her "She has a--{w=0.5} What?" ("open", "wide", "base", "stare")

        "\"I heard you have a crush on Cho!\"":
            $ d_flag_01 = False
            her "But--{w=0.3} That's not true!" ("open", "wide", "base", "mid")

    her "That's a lie!" ("clench", "base", "angry", "mid") # angry
    her "Not even Cho would agree to this!" ("open", "base", "angry", "mid")
    gen "Why don't we ask her?" ("grin", xpos="far_left", ypos="head")
    her "What?" ("angry", "base", "base", "mid")
    her "[genie_name], you can't do this!" ("open", "base", "angry", "mid")
    gen "Sure I can." ("grin", xpos="far_left", ypos="head")

    call hide_characters
    call nar(">You telepathically call Cho into your office.")

    hide screen bld1
    with d3
    pause .2

    if her_tier < 4: # Hermione changes into her school outfit
        # TODO Does this even make sense? She's supposed to be comfortable enough to wear her clothes around the school anyway
        call nar(">While Hermione hastily puts on some less revealing clothes.")
        $ her_outfit_last.save()
        $ hermione.equip(her_outfit_default)
    else:
        $ hermione.wear("all")


    # Summon Cho.
    call cho_walk(action="enter")
    pause 1

    call cho_walk(680, "base")
    pause .2

    call her_walk("mid", "base")
    call chibi_emote("thought", "hermione")
    with d3
    pause .8
    call chibi_emote("hide", "hermione")
    with d3

    her "" ("annoyed", "base", "angry", "R", xpos=270, ypos="base", flip=True)
    cho "Hello, Sir." ("base", "base", "base", "mid", xpos="close", ypos="base")
    cho "Granger." ("soft", "narrow", "base", "L")
    her "..." ("annoyed", "base", "angry", "mid", cheeks="blush")
    cho "How can I be of help?" ("base", "base", "base", "mid")
    gen "I have some very good news for you, Miss Chang." ("base", xpos="far_left", ypos="head")
    gen "Miss Granger and I were just discussing who should commentate the next Squidditch game." ("base", xpos="far_left", ypos="head")
    cho "Oh, am I sensing a blackmail situation?" ("crooked_smile", "base", "base", "mid")
    her "Blackmailing?!{w=0.5} Me?" ("open", "wide", "base", "stare") # shocked
    cho "" ("annoyed", "narrow", "base", "L")
    gen "What other choice do we have? You're acting stubborn, Miss Granger." ("base", xpos="far_left", ypos="head")
    her "So that's what's going on here. You two are scheming against me!" ("angry", "base", "angry", "mid") # angry
    cho "Come on, Hermione. You can't be {b}that{/b} scared of those Slytherins..." ("open", "narrow", "raised", "L")
    cho "Don't be such a coward..." ("annoyed", "narrow", "angry", "L")
    her "I am not!" ("annoyed", "base", "angry", "R", cheeks="blush")
    cho "Please! We need somebody to commentate." ("upset", "narrow", "base", "L")
    her "I won't do it! And neither of you can change my mind on this!" ("angry", "base", "angry", "mid")
    gen "I bet she can!" ("grin", xpos="far_left", ypos="head")
    cho "Me? How so?" ("annoyed", "base", "raised", "mid")

    if d_flag_01: # Cho has crush
        gen "Miss Chang, I've heard rumours that you have a huge crush on Hermione..." ("base", xpos="far_left", ypos="head")
        cho "What? That's rubbish!" ("open", "narrow", "angry", "mid", cheeks="blush")
        her "..." ("annoyed", "base", "angry", "mid")

    else: # Hermione has crush
        gen "Miss Chang, I've heard rumours that Hermione secretly has a crush on you..." ("base", xpos="far_left", ypos="head")
        cho "She does?" ("soft", "base", "raised", "mid", cheeks="blush") # Surprised
        her "No, I don't!" ("clench", "happyCl", "angry", "mid")
        her "It's just made up rubbish..." ("open", "base", "angry", "mid")

    gen "Rubbish or not, I'm sure Miss Granger wouldn't want such rumours to make their rounds now, would she?" ("grin", xpos="far_left", ypos="head")
    cho "" ("annoyed", "base", "raised", "L")
    her "*Pfff*...{w=0.3} As if anybody would believe that..." ("annoyed", "base", "angry", "R")
    cho "Oh, I get it now!" ("base", "base", "base", "mid")
    her "" ("annoyed", "narrow", "angry", "L")
    cho "You can count on me, Sir!" ("crooked_smile", "base", "base", "mid")
    cho "I don't mind if my reputation gets a bit tarnished, from being associated with her." ("open", "narrow", "angry", "L")
    cho "For as long as it gets me closer to that cup..." ("base", "narrow", "base", "mid")
    her "You're such an idiot..." ("clench", "happyCl", "angry", "mid")
    her "I can't believe you'd stoop as low as blackmail for some stupid Quidditch Cup!" ("open", "narrow", "angry", "L")

    if d_flag_01: # Cho has crush
        cho "Don't be mean to me, Hermione." ("soft", "base", "base", "L")
        cho "After all, I really, really like you!" ("base", "narrow", "base", "L")
        her "..." ("annoyed", "narrow", "angry", "R") # looks away
        cho "I love your bushy hair, your cute little nose, your gorgeous eyes..." ("soft", "narrow", "raised", "L")
        cho "Your enormous rack!" ("grin", "narrow", "angry", "L")
        her "*Tzzzs*!" ("clench", "closed", "angry", "mid", cheeks="blush") # Starts to blush
        her "Stop lying!" ("open", "base", "angry", "L", cheeks="blush")
        cho "" ("horny", "narrow", "angry", "L", cheeks="blush")
        gen "She sounds pretty convincing to me..." ("base", xpos="far_left", ypos="head")
        cho "Everybody will know that I have a thing for you, Granger!" ("open", "narrow", "angry", "L")
        cho "And, sooner or later, I might even mix in some love potion into your pumpkin juice..." ("soft", "narrow", "raised", "L")
        her "You'd...{w=0.5} do what?" ("clench", "wide", "worried", "stare", cheeks="blush")
        gen "(Pumpkin juice? Sounds disgusting.)" ("base", xpos="far_left", ypos="head")
        cho "You wouldn't want all of your friends to see us finally make out, would you?" ("horny", "narrow", "raised", "L", cheeks="blush")

    else: # Hermione has crush
        cho "Tell me, Granger..." ("soft", "narrow", "raised", "L")
        cho "What exactly do you like about me?" ("base", "narrow", "angry", "L")
        her "" ("annoyed", "narrow", "angry", "L")
        cho "Is it my hair? Or my strong legs? Or my abs?" ("open", "narrow", "base", "down")
        cho "Would you like me to show you my body again, right now?" ("grin", "narrow", "base", "L")
        her "No thanks." ("normal", "closed", "base", "mid")
        cho "I should mix in some drops of Veritaserum into your pumpkin juice, and ask you again..." ("annoyed", "narrow", "base", "L")
        cho "Maybe then you'll speak the truth... How you really think of me." ("annoyed", "narrow", "raised", "mid")
        her "You wouldn't!" ("clench", "base", "angry", "L", cheeks="blush")
        cho "Yes I would!" ("base", "narrow", "base", "L")
        gen "(Pumpkin juice? Sounds disgusting...)" ("base", xpos="far_left", ypos="head")
        cho "And I'll make sure that all your friends hear about it. Maybe I'll even let them watch!" ("open", "narrow", "angry", "L")

    her "Professor! You can't have her do that. That's insane!" ("clench", "happyCl", "worried", "mid", cheeks="blush")
    cho "" ("annoyed", "narrow", "base", "up")
    gen "That's all up to you, Miss Granger." ("base", xpos="far_left", ypos="head")
    gen "All you have to do is agree to commentate again." ("grin", xpos="far_left", ypos="head")
    her "All the matches!" ("clench", "base", "angry", "mid")
    cho "" ("annoyed", "narrow", "base", "L")
    gen "What?" ("base", xpos="far_left", ypos="head")
    her "I will commentate all the matches, the Gryffindor match as well! The one after this one, should Ravenclaw even get that far..." ("open", "base", "angry", "mid")
    cho "Oh no you won't! You'd be all in favour of Gryffindor!" ("clench", "base", "angry", "L")
    her "Yes I would. And I'll make sure that you lose." ("base", "narrow", "base", "L")
    gen "Great. Finally we can get on with this..." ("base", xpos="far_left", ypos="head")
    cho "Wait!--" ("clench", "happyCl", "worried", "mid", cheeks="blush")
    gen "Miss Granger, you better keep to your word this time..." ("base", xpos="far_left", ypos="head")
    her "" ("base", "base", "base", "mid")
    cho "(...)" ("annoyed", "narrow", "angry", "L", cheeks="blush")
    gen "If you don't show up I'll take a hundred points away from Gryffindor!" ("grin", xpos="far_left", ypos="head")
    her "That's just typical of you!" ("annoyed", "narrow", "base", "mid")
    gen "Make sure to be present..." ("base", xpos="far_left", ypos="head")
    her "I will." ("annoyed", "narrow", "base", "L")
    gen "You are both dismissed..." ("base", xpos="far_left", ypos="head")
    her "..." ("base", "base", "base", "mid")

    call her_walk(action="leave")
    pause .2

    show screen blkfade
    with d3

    call cho_chibi("stand","mid","base")
    hide screen blkfade
    cho "" ("annoyed", "narrow", "angry", "mid", xpos="mid", ypos="base", trans=fade)
    gen "I'd say that was a success." ("base", xpos="far_left", ypos="head")
    cho "(...)" ("annoyed", "narrow", "angry", "R")

    if game.daytime:
        cho "Good day, Sir." ("open", "narrow", "angry", "mid")
    else:
        cho "Good night, Sir." ("open", "narrow", "angry", "mid")

    call cho_walk(action="leave")

    pause 1.0
    call bld
    gen "Quest complete!" ("grin", xpos="far_left", ypos="head")

    $ cho_mood = 0

    $ hermione_busy = True
    $ cho_busy = True

    $ cho_quid.E7_complete = True

    if cho_quid.slytherin_training: # Finished practice match?
        $ cho_quid.lock_training = True

    # Reset
    if her_tier < 4:
        $ hermione.equip(her_outfit_last) # Equip player outfit.

    jump main_room_menu

label cho_quid_E8:
    # Genie hangouts with Tonks, asks her for help with the Slytherins.

    gen "I wanted to ask you for a favour..." ("base", xpos="far_left", ypos="head")
    ton "Me? Selling a favour to you?" ("grin", "closed", "base", "mid", ypos="head", flip=False)
    ton "You sure you can afford me?" ("base", "base", "raised", "mid") #Horny
    gen "Not that kind of favour." ("base", xpos="far_left", ypos="head")
    ton "*Aww*..." ("annoyed", "base", "raised", "down")

    # Tell Tonks about Cho.
    gen "You know this {i}Quiddish{/i} sport the students play here?" ("base", xpos="far_left", ypos="head")
    ton "Quidditch?" ("upset", "base", "raised", "mid")
    gen "Close enough." ("base", xpos="far_left", ypos="head")
    gen "The next match is coming up, and I require your help with something." ("base", xpos="far_left", ypos="head")
    ton "Of course. What is it?" ("base", "base", "base", "mid")
    gen "There's this asian girl..." ("base", xpos="far_left", ypos="head")
    ton "Cho Chang?" ("open", "base", "raised", "mid")
    gen "How did you--" ("base", xpos="far_left", ypos="head")
    gen "(Is she the {i}token asian{/i} girl in this school?)" ("base", xpos="far_left", ypos="head")
    gen "Yes, the little Ravenclaw minx, correct." ("base", xpos="far_left", ypos="head")
    ton "Well, I figured you'd be talking about her - if it has to do with Quidditch." ("open", "base", "base", "R")
    gen "She's one of the girls I buy favours from." ("base", xpos="far_left", ypos="head")
    ton "No way!" ("open_wide", "shocked", "shocked", "mid", hair="horny")
    ton "You got that little hotty--" ("horny", "base", "raised", "R", hair="horny")
    ton "*Ehm*... hot-head to sell you favours?" ("mad", "base", "raised", "R")
    gen "Once or twice..." ("base", xpos="far_left", ypos="head")
    ton "Impressive." ("horny", "base", "raised", "mid")
    ton "Tell me everything!" ("horny", "base", "angry", "mid")

    menu:
        gen "..." ("base", xpos="far_left", ypos="head")
        "-Tell her everything-":
            gen "She's been stripping for me." ("base", xpos="far_left", ypos="head")
            ton "Cho?! And I'm supposed to believe that?" ("upset", "wide", "raised", "mid")
            gen "Oh, you better believe it!" ("grin", xpos="far_left", ypos="head")
            ton "Holy shit!" ("upset", "wide", "shocked", "stare", hair="horny")
            ton "I'd pay so much gold to watch that girl take her clothes off..." ("base", "base", "raised", "R")
            ton "You need to invite me next time!" ("annoyed", "base", "angry", "mid", hair="angry") # angry
            gen "And how would I get her to agree to that?" ("base", xpos="far_left", ypos="head")
            ton "Well... *Ehm*..." ("upset", "base", "worried", "down", hair="horny")
            gen "It was difficult enough to get her to strip just for me..." ("base", xpos="far_left", ypos="head")
            gen "She only did it because I helped her win against Hufflepuff." ("base", xpos="far_left", ypos="head")
            ton "So that was your idea with the skirt? Very clever." ("horny", "base", "annoyed", "mid")
            gen "Maybe I could arrange something once we've beaten those Slytherins..." ("base", xpos="far_left", ypos="head")
            gen "For the two of you." ("base", xpos="far_left", ypos="head")
            ton "Or all three of us!" ("soft", "base", "raised", "mid")
            gen "Yes!" ("grin", xpos="far_left", ypos="head")
            gen "I'm sure that minx would love that!" ("grin", xpos="far_left", ypos="head")
            ton "I can't wait!" ("base", "happyCl", "base", "mid")

        "-Don't tell her-":
            gen "I don't think I should..." ("base", xpos="far_left", ypos="head")
            ton "What? Why not?" ("open", "base", "worried", "mid")
            gen "Miss Chang wouldn't like anybody to know." ("base", xpos="far_left", ypos="head")
            ton "I can keep a secret!" ("upset", "base", "worried", "R")
            gen "I really shouldn't..." ("base", xpos="far_left", ypos="head")
            ton "Tell me, or I'll jinx your balls off!" ("upset", "base", "angry", "mid", hair="angry")
            gen "*Ghzzz!* Alright! Alright!" ("angry", xpos="far_left", ypos="head")
            gen "You sure know how to get me to talk..." ("base", xpos="far_left", ypos="head")

    # Talk about Slytherin.
    gen "I'm currently helping her with this Quidditch thing in exchange for favours." ("base", xpos="far_left", ypos="head")
    gen "But to get any further with her, I'll have to help her beat the opposing team in the next match." ("base", xpos="far_left", ypos="head")
    ton "Slytherin? That shouldn't be too difficult." ("open", "base", "raised", "mid")
    gen "Really? How so?" ("base", xpos="far_left", ypos="head")
    ton "Their tactics revolve around strength, brute force, and manifesting their dominance on the field!" ("open", "closed", "angry", "mid")
    ton "A good strategy for when you're in bed with your partner, but not in Quidditch." ("base", "base", "angry", "mid")
    gen "You don't say..." ("base", xpos="far_left", ypos="head")
    gen "Wait, what?" ("angry", xpos="far_left", ypos="head")
    ton "I've seen them play a couple of times. They clearly aren't the brightest bunch..." ("upset", "base", "annoyed", "R")
    ton "What tactics are you gonna use against them?" ("base", "base", "raised", "mid")
    gen "I shouldn't ruin the surprise." ("grin", xpos="far_left", ypos="head")
    ton "Can't wait... If it's anything like the first game." ("base", "base", "raised", "R")
    gen "The main hurdle right now is that I have no way to try out our tactics on the Slytherins..." ("base", xpos="far_left", ypos="head")
    gen "They refuse to practice against Ravenclaw." ("base", xpos="far_left", ypos="head")
    ton "Well that's unfortunate..." ("upset", "base", "shocked", "L")
    ton "Perhaps you could ask Snape. He should be able to get those lazy gits back on the pitch..." ("open", "base", "base", "mid")

    if cho_quid.E9_complete:
        gen "I already did. He isn't going to help me out..." ("base", xpos="far_left", ypos="head")
        ton "Well that's just like him." ("open", "base", "angry", "R")
    else:
        gen "I guess I could..." ("base", xpos="far_left", ypos="head")
        ton "Yeah, maybe not..." ("open", "closed", "base", "mid")

    ton "Just leave it to me, Genie." ("base", "base", "angry", "mid")
    ton "I'll get those shits back on the grass..." ("mad", "base", "angry", "mid")
    gen "And how will you accomplish that?" ("base", xpos="far_left", ypos="head")
    ton "Oh, don't you worry..." ("silly", "happyCl", "base", "mid")
    ton "Perhaps I'll tell you my techniques some other time." ("base", "narrow", "angry", "mid")

    gen "..." ("base", xpos="far_left", ypos="head")
    if not cho_quid.E7_complete:
        # Has NOT blackmailed Hermione

        gen "That's not all, though. There's something else I need your help with." ("base", xpos="far_left", ypos="head")
        ton "You can't expect me to fix all of your problems, Genie." ("annoyed", "base", "base", "mid")
        gen "It's about Hermione's role as a commentator..." ("base", xpos="far_left", ypos="head")
        ton "Really? What happened to Miss Granger?" ("upset", "base", "worried", "mid")
        gen "She quit..." ("base", xpos="far_left", ypos="head")
        ton "*Hmm*... That's too bad..." ("open", "base", "worried", "R")
        ton "But it's understandable... After all that mocking she had to go through last game." ("open", "base", "worried", "mid")
        ton "Poor thing..." ("mad", "base", "worried", "L")
        ton "Have you tried talking to her?" ("open", "base", "raised", "mid")
        gen "Not yet..." ("base", xpos="far_left", ypos="head")
        ton "Well, if anyone could convince her surely you'd be the one to be able to." ("base", "base", "base", "R")
        gen "..." ("base", xpos="far_left", ypos="head")
        ton "Why don't you tell her that a very special someone will be really disappointed if she doesn't show up." ("horny", "base", "base", "stare")
        gen "(So it's not just me who thinks she's into Cho!)" ("grin", xpos="far_left", ypos="head")
        ton "(She was so cute fumbling over her words...)" ("base", "happyCl", "base", "mid")
        ton "I'm sure you'll be able to change her mind." ("base", "base", "base", "mid")
    else:
        gen "Did you know Hermione wanted to quit her task as a commentator?" ("base", xpos="far_left", ypos="head")
        ton "Did she now? I thought she did well in the Hufflepuff game." ("upset", "base", "raised", "mid")
        ton "A bit wooden, but not bad for her first try." ("open", "base", "base", "R")
        ton "Speaking in front of such a large crowd and all." ("open", "base", "raised", "mid")
        ton "I thought it was rather cute listening to her fumble her words..." ("base", "happyCl", "base", "mid")
        ton "What changed her mind?" ("base", "base", "base", "mid")
        gen "Cho helped me convince her to do it." ("base", xpos="far_left", ypos="head")
        ton "Really? How?" ("open", "base", "raised", "mid")
        ton "I'd love to hear it." ("horny", "base", "angry", "mid")
        gen "*Hmm*... Maybe next time." ("base", xpos="far_left", ypos="head")
        ton "Very well..." ("upset", "base", "worried", "R")

    ton "In any case, I could join you in the commentator booth during the next game to help encourage Miss Granger." ("open", "base", "base", "mid")
    ton "If anything I'll get a nice view from up there." ("grin", "happyCl", "base", "mid")
    ton "Since you already made sure Hufflepuff is out of the competition..." ("upset", "base", "raised", "R")
    ton "The best we can hope for now is to not get last..." ("open", "closed", "base", "mid")
    ton "It's always third or nothing with us Puffs." ("open", "base", "worried", "R")
    gen "(Puffs?)" ("base", xpos="far_left", ypos="head")

    gen "Well, I'd be happy to have you." ("grin", xpos="far_left", ypos="head")
    ton "*N'Aww*, you're so sweet!" ("base", "base", "worried", "mid")
    with hpunch
    $ renpy.play("sounds/hiccup_fem.ogg")
    ton "*Hick*!... whoopsie..." ("upset", "wide", "base", "mid")
    ton "Now, I better get going convincing those boys to play again..." ("open", "base", "raised", "R", hair="horny")

    if game.daytime:
        ">You finish your drinks before calling it a day."
    else:
        ">You finish your drinks before calling it a night."

    $ tonks_busy = True
    $ cho_quid.E8_complete = True
    $ cho_quid.lock_practice = False
    $ cho_quid.slytherin_prepared = True # Unlocks practice match

    jump end_tonks_hangout_points

label cho_quid_E9:
    # Ask Snape for help, but it backfires (optional)

    sna "Your precious Ravenclaw bird, made any breakthroughs with her yet?" ("snape_37", ypos="head")
    gen "The little Asian?" ("base", xpos="far_left", ypos="head")
    sna "Yes, Miss Chang." ("snape_40")
    gen "..." ("base", xpos="far_left", ypos="head")
    sna "I wish her best of luck against my team of Slytherins." ("snape_02")
    sna "She'll need it." ("snape_45")
    gen "What kind of game are you playing?" ("angry", xpos="far_left", ypos="head")
    sna "I'm sorry?" ("snape_38")
    gen "Your team didn't show up for practice against Ravenclaw!" ("base", xpos="far_left", ypos="head")
    sna "Well, there's no specific rule that forces the teams to practise against each other..." ("snape_05")
    gen "There's not?" ("base", xpos="far_left", ypos="head")
    gen "(Actually that does make sense...)" ("base", xpos="far_left", ypos="head")
    sna "Of course not, but it is heavily encouraged for students that are looking to make it professionally." ("snape_09")
    gen "Do you have something to do with this?" ("base", xpos="far_left", ypos="head")
    sna "I don't know what you're talking about..." ("snape_47") #Smirk
    gen "You little weasel..." ("angry", xpos="far_left", ypos="head")
    sna "Ha! Do you have another trick up your sleeve?" ("snape_20")
    sna "What's it gonna be? An even shorter skirt? Prohibit her from wearing panties?" ("snape_13")
    sna "Well, we'll see during the game if it has any effect..." ("snape_46")
    gen "*Grrrrr*!..." ("angry", xpos="far_left", ypos="head")
    gen "Get your team back on that pitch, you coward!" ("angry", xpos="far_left", ypos="head")
    sna "No... I don't think I will..." ("snape_41")
    gen "Give me that wine!" ("angry", xpos="far_left", ypos="head")
    sna "You want some?" ("snape_20")
    call play_sound("spit") # Spits in the cup
    sna "..." ("snape_40")
    gen "I'm gonna win that bet. Then I'll have the last laugh!" ("base", xpos="far_left", ypos="head")
    sna "I wish you good fortune." ("snape_22")
    gen "..." ("base", xpos="far_left", ypos="head")
    gen "Get your wine from some place else, you slacker." ("angry", xpos="far_left", ypos="head")
    sna "You won't win by making friends, isn't that right?" ("snape_18")
    gen "..." ("base", xpos="far_left", ypos="head")
    sna "*Hrhm*... Good riddance, then..." ("snape_12")
    $ renpy.sound.play(["sounds/gulp.ogg"]*3)
    call nar(">Snape empties the last drop of wine, before leaving.","start")
    ">You feel a sense of remorse shortly after he's gone, realizing that you're both just parts of the same coin."
    call nar(">Your friendship level with him has not changed...{w=0.5} Probably...","end")

    $ snape_busy = True
    $ ss_summon_pause = 5 # Snape can't be summoned for a couple of days. Can be set to 0 once you talked to Tonks.

    $ cho_quid.E9_complete = True

    $ chair_OBJ.hidden = False

    jump end_snape_hangout_no_points

label cho_quid_E10:
    # Introduction to Gryffindor team.

    call cho_walk("mid", "base", action="enter")

    if game.daytime:
        cho "Good morning, [cho_genie_name]..." ("open", "base", "base", "mid", xpos="right", ypos="base", trans=d3)
        gen "Good morning [cho_name]." ("base", xpos="far_left", ypos="head")
    else:
        cho "Good evening, [cho_genie_name]..." ("open", "base", "base", "mid", xpos="right", ypos="base", trans=d3)
        gen "Good Evening [cho_name]." ("base", xpos="far_left", ypos="head")

    gen "Ready to continue your training and take on those Griffins?" ("base", xpos="far_left", ypos="head")
    cho "Griffins, [cho_genie_name]?" ("soft", "base", "raised", "mid")
    gen "Yeah! Aren't they the next team we're up against?" ("base", xpos="far_left", ypos="head")
    cho "Oh, you mean the Gryffindor team." ("soft", "base", "base", "mid")
    gen "Yeah, the doors!" ("base", xpos="far_left", ypos="head")
    cho "*Sigh*." ("base", "narrow", "raised", "downR")
    gen "Ready to knock those doors down?" ("base", xpos="far_left", ypos="head")
    cho "Always, if it means I get to take that smug look off of Granger's face." ("smile", "base", "base", "mid")
    gen "Great, then tell me what you know about their team." ("base", xpos="far_left", ypos="head")
    cho "Sure thing, what would you like to know?" ("base", "base", "base", "mid")
    gen "What makes them different to the other teams? Can we expect similar tactics like with the Slytherbins?" ("base", xpos="far_left", ypos="head")
    cho "Oh, no... They're the polar opposite to the Slytherin team." ("soft", "base", "base", "mid")
    gen "Figures." ("base", xpos="far_left", ypos="head")
    gen "So what's their schtick then?" ("base", xpos="far_left", ypos="head")
    cho "They use tactics and coordination!" ("soft", "base", "base", "mid")
    gen "What?! There's tactics in this game?" ("angry", xpos="far_left", ypos="head")
    cho "They're also quite a bit more nimble than the Slytherin team, so they got hit by way less bludgers than we did." ("open", "base", "base", "mid")
    cho "Some of the hits they pulled off during the last game had my teammates covered in bruises for days!" ("soft", "narrow", "angry", "downR")
    cho "Would've been weeks if it wasn't for Madam Pomfrey." ("open", "closed", "angry", "mid")
    gen "*Hmm*... Well, hopefully we wont see that kind of meddling from Snape this time around." ("base", xpos="far_left", ypos="head")
    cho "Snape?! What has Professor Snape got to do with it?" ("angry", "base", "base", "mid")
    gen "He provided them with a felix potion... Thing, before the game." ("base", xpos="far_left", ypos="head")
    cho "Felix Felicis!?" ("clench", "wide", "base", "mid")
    gen "That's the one." ("base", xpos="far_left", ypos="head")
    cho "But that's against the rules!" ("disgust", "base", "angry", "mid")
    gen "It is?" ("base", xpos="far_left", ypos="head")
    cho "Of course it is..." ("angry", "base", "angry", "mid")
    cho "To think Professor Snape would go as far as giving them a luck potion!" ("angry", "narrow", "angry", "downR")
    gen "You won the match did you not? Even despite the fact they drank that thing." ("base", xpos="far_left", ypos="head")
    cho "If the department of magical games and sports heard about this, there's no way those Slytherins would have any chance at--" ("angry", "closed", "angry", "mid")
    gen "[cho_name]..." ("base", xpos="far_left", ypos="head")
    cho "What? It's true!" ("clench", "narrow", "base", "mid")
    gen "Achieving true success isn't about bringing other people down, but to raise yourself above others." ("base", xpos="far_left", ypos="head")
    gen "(In her case, quite literally...)" ("base", xpos="far_left", ypos="head")
    cho "..." ("disgust", "base", "base", "mid")
    cho "No offence [cho_genie_name] but I must say I've never heard such nonsense in my life." ("disgust", "narrow", "angry", "mid")
    cho "I only care about reaching the top, no matter what!" ("open", "closed", "angry", "mid")
    gen "Very well [cho_name]... If that's the case then I'm not sure if I can help you any further." ("base", xpos="far_left", ypos="head")
    cho "What?!" ("angry", "base", "base", "mid")
    cho "But [cho_genie_name], I still want you-- I still need your help!" ("mad", "narrow", "base", "mid")
    gen "Then you shouldn't bite the hand that feeds you." ("base", xpos="far_left", ypos="head")
    cho "[cho_genie_name]?" ("disgust", "base", "base", "mid")
    gen "Do you think Severus and the Slytherins would be the only ones in trouble if you contacted some ministry employee?" ("base", xpos="far_left", ypos="head")
    cho "..." ("normal", "narrow", "base", "downR")
    gen "I thought that I was doing you a favour by coaching you... Some way to repay me for my time." ("base", xpos="far_left", ypos="head")
    cho "I--{w=0.4} I suppose I didn't think that far [cho_genie_name]..." ("clench", "narrow", "base", "downR")
    gen "For this to work and for you to receive my continued help, you need to remember who got you this far..." ("base", xpos="far_left", ypos="head")
    cho "Right..." ("disgust", "narrow", "base", "down", cheeks="blush")
    gen "Well then, let's show them who the greatest snatch catcher is!" ("base", xpos="far_left", ypos="head")
    cho "Yes [cho_genie_name]!" ("soft", "narrow", "base", "mid", cheeks="blush")

    #Unlock Personal favours (Public locked)
    $ cho_quid.E10_complete = True
    $ cho_favors_unlocked = True

    jump cho_requests

label cho_quid_E11:
    # Ask Luna to cheer for Ravenclaw (She cheers for Gryffindor, the bimbo!)

    gen "[luna_name], there's something I have been meaning to ask." ("base", xpos="far_left", ypos="head")
    lun "Yes, [lun_genie_name]?" ("soft", "base", "base", "mid")
    gen "I require your assistance with something..." ("base", xpos="far_left", ypos="head")
    lun "Assistance? You need my help, [lun_genie_name]?" ("open", "base", "raised", "mid")
    gen "Yes, it's about the upcoming Quidditch finals." ("base", xpos="far_left", ypos="head")
    lun "Oh, right... Yes, that is an issue for sure." ("open", "narrow", "base", "down")
    gen "I haven't even told you what the problem is..." ("base", xpos="far_left", ypos="head")
    lun "Oh... Sorry, [lun_genie_name]... Go on." ("angry", "base", "base", "mid")
    gen "Well, I've been looking into setting up a cheerleading squad." ("base", xpos="far_left", ypos="head")
    lun "Cheerleading?" ("soft", "base", "base", "mid")
    gen "Yes I--" ("base", xpos="far_left", ypos="head")
    gen "Are you asking what it is or just confirming what I just said?" ("base", xpos="far_left", ypos="head")
    lun "Oh, of course I know what it is! It's students that dress up and cheer for the players, right?" ("grin", "base", "base", "mid")
    gen "That's right..." ("base", xpos="far_left", ypos="head")
    lun "..." ("base", "base", "base", "mid")
    gen "..." ("base", xpos="far_left", ypos="head")
    gen "So... Is that something you could help me with?" ("base", xpos="far_left", ypos="head")
    lun "Oh, you want me to cheer at the finals?!" ("mad", "base", "base", "mid")
    gen "Yes... And your friends as well." ("base", xpos="far_left", ypos="head")
    gen "{size=-8}If you have any to begin with...{/size}" ("base", xpos="far_left", ypos="head")
    lun "I could hear some mumbling, was that you [lun_genie_name]?" ("angry", "base", "base", "stare")
    gen "No, it was--" ("base", xpos="far_left", ypos="head")
    lun "A ghytrash? Maybe a phantom rat?" ("angry", "base", "base", "stare")
    gen "A phantom rat-- what--" ("base", xpos="far_left", ypos="head")
    gen "Girl, you're losing my patience..." ("angry", xpos="far_left", ypos="head")
    lun "I could prepare a skurge charm to--" ("mad", "base", "base", "mid")
    gen "I'll handle it, don't worry about it..." ("base", xpos="far_left", ypos="head")
    gen "I'd still like to ask you to cheer in the upcoming Quidditch match, would you agree?" ("base", xpos="far_left", ypos="head")
    lun "Oh, yes [lun_genie_name], I'd be happy to!" ("angry", "base", "base", "mid")
    gen "Are you sure?" ("base", xpos="far_left", ypos="head")
    lun "Of course, [lun_genie_name]!" ("grin", "base", "base", "mid")
    gen "Great. Then I'll look forward at seeing you cheering at the game!" ("base", xpos="far_left", ypos="head")

    $ cho_quid.E11_complete = True

    call lun_walk(action="leave")

    pause 1.0

    # Normally we allow the player to pick favours, but Luna is being Luna.
    gen "... Did she just leave?" ("base", xpos="far_left", ypos="head")
    gen "I guess they don't call her Loony Luna for nothing..." ("base", xpos="far_left", ypos="head")

    jump end_luna_event

label cho_quid_E12:

    # Genie visits cho during her training as requested

    $ game.weather = "clear"

    gen "*Yawn*..." ("base", xpos="far_left", ypos="head")
    gen "I can't believe she made me wake up this early..." ("base", xpos="far_left", ypos="head")

    call gen_chibi("stand", 225, "base")
    with d3

    pause .4
    call gen_walk(path=[(230, 470), (410, 470), (417, 426)])

    pause .4
    call gen_chibi("stand_alt", flip=False)
    with d3

    pause .4
    #Genie chibi either walks around desk or teleports next to bird facing the window

    $ renpy.sound.play("sounds/MaleGasp.ogg")
    gen "What in the great desert sand is that!?" ("angry", xpos="far_left", ypos="head")

    gen "Oh wait... That's the sun... Never seen it this low before." ("base", xpos="far_left", ypos="head")
    gen "Alright then... Better go help her find a broom." ("base", xpos="far_left", ypos="head")

    call gen_chibi("stand", flip=True)
    with d3
    pause .3

    #Genie leaves the office
    call gen_walk(action="leave")

    show screen blkfade
    with d5

    call play_music("stop")
    call play_sound("grass")
    call nar(">You make your way down to the pitch, catching a few stares on the way by some of the portraits. Looks like the real Dumbledore wasn't a morning person either.")

    #Pitch entrance, Cho is standing there
    call room("quidditch_pitch")
    play bg_sounds "sounds/outskirts.ogg" fadein 2
    call gen_chibi("stand", "left", "base", flip=True)
    call cho_chibi("stand", "right", "base", flip=False)

    hide screen blkfade
    with d5

    call gen_walk(xpos="mid")

    gen "Alright then, let's find you a broom to use so we can finally be done--" ("base", xpos="far_left", ypos="head")
    cho "Where have you been?" ("disgust", "base", "angry", "mid", xpos=460, ypos="base", trans=d3)
    gen "*Err*...{w=0.4} In my office?" ("base", xpos="far_left", ypos="head")
    cho "It's ten AM! I've already been here for the past five hours!" ("soft", "base", "angry", "mid")
    gen "You've been here since six AM?" ("angry", xpos="far_left", ypos="head")
    cho "Five AM!" ("scream", "closed", "angry", "mid")
    gen "Then where are the brooms?" ("base", xpos="far_left", ypos="head")
    cho "I put them in the cleaning supply closet where they belong." ("disgust", "narrow", "angry", "mid")
    cho "They were all terrible, I tried every single one and they're even worse than my family's bluebottle!" ("open", "narrow", "angry", "R")
    gen "Right..." ("base", xpos="far_left", ypos="head")
    gen "So the broom makes the player, does it?" ("base", xpos="far_left", ypos="head")
    cho "Yes!" ("mad", "narrow", "base", "mid")
    cho "I mean no!" ("clench", "narrow", "base", "mid", cheeks="blush")
    cho "But you still need a broom that is made to be used professionally." ("annoyed", "narrow", "base", "mid", cheeks="blush")
    gen "And they all just happen to cost a lot of money?" ("base", xpos="far_left", ypos="head")
    cho "That's Quidditch for you." ("open", "closed", "base", "mid")
    gen "Sounds like pay to win to me..." ("base", xpos="far_left", ypos="head")
    gen "Can't you just borrow a broom from one of the other players?" ("base", xpos="far_left", ypos="head")
    cho "...{w=0.4} What do you mean by \"other players\"?" ("disgust", "narrow", "base", "mid")
    gen "What about that greasy haired blond fella?" ("base", xpos="far_left", ypos="head")
    cho "Malfoy?" ("disgust", "wide", "base", "mid")
    gen "Yeah, him! Or that guy you dated?" ("base", xpos="far_left", ypos="head")
    cho "Are you seriously expecting that any of them would lend me their broom?" ("angry", "narrow", "base", "mid")
    cho "After the stunts I pulled to win the games against them?" ("angry", "base", "base", "mid")
    gen "What about the teachers then?" ("base", xpos="far_left", ypos="head")
    cho "Teachers..." ("open", "narrow", "base", "down")
    cho "The only teacher that would own a proper Quidditch approved broom is Madam Hooch, and she'll be using it during the game." ("open", "narrow", "base", "downR")
    gen "Madam Who?" ("base", xpos="far_left", ypos="head")
    cho "{size=+5}Madam Hooch!{/size}" ("open", "base", "base", "mid") #yelling
    femv "One moment!"

    hide cho_main
    hide screen bld1
    with d3

    #Hooch chibi comes down the commentator booth stairs (Or left stairs) and stands next to genie (Genie in the middle of the two girls)

    $ hooch_chibi.zoom = 0.38
    $ hooch_chibi.zorder = 4
    $ hooch_chibi.move(path=[(50, 460), (200, 520), (450, 500)])

    pause 1.5
    call gen_chibi(flip=False)
    with d3

    pause 1.0

    gen "(Mamma mia!)" ("grin", xpos="far_left", ypos="head")

    #Hooch theme
    play music "music/march-of-the-spoons-by-kevin-macleod-from-filmmusic-io.ogg" fadein 1 fadeout 1

    #Hooch doll fades in
    hoo "Professor Dumbledore, Miss Chang, what can I do you for?" ("base", "base", "base", "L", xpos=100, ypos="base", flip=True, trans=d3) # "what can I do you for" is a form of a joke, fits next line perfectly.
    gen "Me..." ("base", xpos="far_left", ypos="head")
    hoo "Sorry?" ("open", "base", "base", "L")
    gen "Oh...{w=0.4} *Err*...{w=0.4} Miss Chang here is looking for a broom to use for the final Quidditch match." ("base", xpos="far_left", ypos="head")
    hoo "A broom eh?" ("normal", "base", "raised", "L")
    hoo "So that's why I saw you bobbing around on the school training brooms." ("grin", "shocked", "shocked", "L")
    hoo "We use those for cleaning you know." ("base", "narrow", "base", "L")
    cho "See! I told you, sir!" ("mad", "narrow", "base", "mid", trans=d3)
    gen "..." ("base", xpos="far_left", ypos="head")
    hoo "Certainly a good tool to teach students how to fly but not much beyond that." ("base", "base", "base", "L")
    hoo "If you learn how to fly on one of those, you'll have no problem on a proper broomstick!" ("base", "base", "shocked", "mid")
    cho "" ("annoyed", "narrow", "base", "mid")
    gen "The motto for any public school when funds are involved." ("base", xpos="far_left", ypos="head")
    hoo "*Ahem*... Yes indeed, always the blunt one, Professor." ("open", "closed", "base", "mid", cheeks="blush")
    hoo "So, what's the situation then? Lost your broom?" ("normal", "base", "raised", "L")
    hoo "I thought you would've been taught accio by now, Miss Chang?" ("normal", "base", "shocked", "L")
    cho "No, that's not it... I've been able to summon my broom for a long time." ("angry", "closed", "base", "L")
    cho "The problem...{w=0.4} Is those stupid twins!" ("angry", "closed", "angry", "mid")
    hoo "Right?" ("open", "narrow", "raised", "L")
    cho "Can't even look away for a second...{w=0.4} To think they'd care so little about the sport--" ("clench", "narrow", "angry", "down")
    gen "{size=-6}*Ahem*... Apparently they put some kind of bug on her broom.{/size}" ("base", xpos="far_left", ypos="head") #small text whispering to hooch
    hoo "{size=-6}Espionage?{/size}" ("open", "shocked", "shocked", "mid") #small text
    gen "{size=-6}Termites...{/size}" ("base", xpos="far_left", ypos="head") #small text
    hoo "{size=-6}I see...{/size}" ("normal", "narrow", "base", "mid") #small text
    cho "The audacity! I couldn't believe--" ("angry", "closed", "angry", "mid")
    gen "{size=-6}And she's been quite the handful ever since...{/size}" ("base", xpos="far_left", ypos="head") #small text
    cho "They should be banned from ever participating--" ("upset", "closed", "angry", "mid", cheeks="blush")
    gen "{size=-6}More than usual that is...{/size}" ("base", xpos="far_left", ypos="head") #small text
    gen "Please... Help me..." ("base", xpos="far_left", ypos="head")
    cho "Azkaban--" ("mad", "happyCl", "angry", "mid", cheeks="blush")
    hoo "Calm down miss Chang." ("open", "shocked", "angry", "L")
    cho "I need a broom that is as fast as Harry's!" ("angry", "narrow", "angry", "downR", cheeks="blush")
    hoo "A firebolt? Now don't you think those expectations are a bit high Miss--" ("open", "shocked", "shocked", "L")
    cho "Please professor, you're my only hope!" ("mad", "narrow", "base", "L")
    hoo "..." ("normal", "narrow", "base", "downR")
    hoo "Well, I'd normally be able to pull some strings, but I don't think even I would be able to procure you a firebolt Miss Chang..." ("open", "base", "base", "down")
    hoo "There's only so many produced each season and only a couple has been sold outside of professional--" ("normal", "base", "base", "down")
    cho "Pleaaaaaase!" ("soft", "narrow", "worried", "L")
    hoo "..." ("normal", "narrow", "worried", "downR")

    #Hooch turns to genie

    gen "{size=-6}Are you sure there's nothing you could do?{/size}" ("base", xpos="far_left", ypos="head") #small text
    hoo "{size=-6}*Hmm*...{/size}" ("normal", "narrow", "base", "down")  #small text
    hoo "{size=-6}Considering how she achieved her previous wins this season...{/size}" ("normal", "base", "raised", "down") #small text
    hoo "{size=-6}Maybe it's finally time to pass it down...{/size}" ("base", "base", "raised", "R")  #small text
    gen "{size=-6}Her previous--{/size}" ("base", xpos="far_left", ypos="head")  #small text

    #Hooch turns back to Cho

    hoo "Miss Chang." ("open", "base", "angry", "L")
    hoo "I think I've got just the broom for you." ("base", "shocked", "angry", "L")
    cho "Yes! Thank you Professor!" ("crooked_smile", "base", "base", "L")
    hoo "A broom, that when used by the right person could be faster and even more agile than the firebolt." ("base", "shocked", "shocked", "L")
    cho "Thank you so--" ("smile", "closed", "base", "mid")
    cho "Wait...{w=0.4} Faster than the firebolt?! But that's the best broom out there!" ("disgust", "wide", "base", "mid")
    hoo "Yes girl, you heard me right." ("open", "shocked", "base", "L")
    hoo "Now, I'll give you this broom... But you're going to have to promise me..." ("base", "shocked", "base", "L")
    hoo "Promise me!" ("open", "shocked", "angry", "L")
    hoo "Don't ever tell a soul what I'm about to show you..." ("normal", "shocked", "base", "L")
    cho "Oh, of course professor!" ("angry", "base", "base", "L")
    hoo "And that goes for you as well professor..." ("open", "base", "shocked", "mid")
    gen "Of course, but what exactly--" ("base", xpos="far_left", ypos="head")
    hoo "Alright then, one moment..." ("grin", "base", "base", "R")
    gen "Hold on, this isn't a broom from some black market brooms dealer is it?" ("base", xpos="far_left", ypos="head")
    hoo "Don't be silly, of course not." ("base", "base", "base", "mid")
    hoo "You can inspect it if you like." ("base", "base", "base", "mid")
    hoo "{size=-6}Coach...{/size}" ("base", "wink", "raised", "mid") #small text #blush #smirkyface
    gen "{size=-6}How did you--{/size}" ("base", xpos="far_left", ypos="head") #Small text
    gen "{size=-6}Tonks...{/size}" ("base", xpos="far_left", ypos="head") #Small text
    hoo "Anyhow, one moment please..." ("base", "base", "base", "mid")

    #Hooch starts walking
    #Fades to black
    #Hooch Chibi gone
    #Fades back
    #Some time later
    #Hooch comes back holding broom (No dildo)

    $ hooch_chibi.move(path=[(450, 500), (200, 520), (50, 460)])

    hide screen bld1
    hide hooch_main
    hide cho_main
    with d3

    pause 1.0

    call gen_chibi(flip=True)
    with d3

    pause 0.5

    gen "Told you I'd get it sorted."
    cho "..."

    show screen blkfade
    with d5

    centered "{size=+7}{color=#cbcbcb}A few moments later...{/color}{/size}"

    call gen_chibi(flip=False)
    hide screen blkfade
    with d5

    pause 0.5

    $ hooch_chibi.move(path=[(50, 460), (200, 520), (450, 500)])

    pause 1.0

    hoo "Sorry about that... Had to go through quite a few protective charms to take it out." ("base", "base", "base", "mid", trans=d3)
    hoo "Here we are..." ("base", "base", "base", "downR")
    cho "Ooooh!" ("open", "wide", "base", "L")
    cho "This...{w=0.4} This is the broom of The Masked Seeker!" ("angry", "wide", "base", "L")
    gen "The what?" ("base", xpos="far_left", ypos="head")
    gen "(I swear it looks the same as the broom she had moments ago...)" ("base", xpos="far_left", ypos="head")
    hoo "Ah, yes... It's been a while since somebody called me that..." ("base", "narrow", "shocked", "L")
    cho "I can't believe it... To think that our teacher was The Masked Seeker all this time!" ("open", "wide", "base", "L")
    cho "How do you not know about her, sir?" ("angry", "narrow", "base", "mid")
    menu:
        "-Throw the question back at her-":
            gen "{i}\"How do you not know about her, sir?\"{/i}" ("base", xpos="far_left", ypos="head")
            cho "What?" ("disgust", "narrow", "base", "mid")
            gen "Err... What I meant to say..." ("base", xpos="far_left", ypos="head")
            cho "*Rolls eyes*" ("soft", "narrow", "base", "R")
        "-Blame her-":
            gen "It's your fault my memory is so bad." ("base", xpos="far_left", ypos="head")
            cho "What?!" ("angry", "base", "base", "mid")
            cho "How does that make any sense..." ("disgust", "narrow", "angry", "mid")
            gen "Who are you again?" ("base", xpos="far_left", ypos="head")
            cho "..." ("disgust", "narrow", "base", "mid")
        "-Distract her-":
            gen "Look! A squirrel!" ("base", xpos="far_left", ypos="head")
            cho "... I'm not a dog, sir." ("disgust", "narrow", "base", "mid")
            cho "I know what you're trying to do." ("annoyed", "narrow", "angry", "mid")
            gen "... What was that mister squirrel? You want to know about the masked seeker?" ("base", xpos="far_left", ypos="head")
            cho "*Rolls eyes*" ("disgust", "narrow", "base", "R")
            gen "You heard the squirrel." ("base", xpos="far_left", ypos="head")
        "-Pretend like you misheard her-":
            gen "Oh, the masked seeker! I thought you said, the masked streaker... You should really learn how to speak up." ("base", xpos="far_left", ypos="head")
            cho "... You actually don't know do you?" ("disgust", "narrow", "base", "mid")
            gen "Of course I do..." ("base", xpos="far_left", ypos="head")
            gen "..." ("base", xpos="far_left", ypos="head")
            gen "Although a reminder wouldn't hurt." ("base", xpos="far_left", ypos="head")
        "-Blame the Quidditch guide book-" if quidditchguide_ITEM.used:
            gen "Err..." ("base", xpos="far_left", ypos="head")
            gen "I must've missed that section in the Quidditch guide." ("base", xpos="far_left", ypos="head")
            cho "Her list of accomplishments required a whole book, it said so in the footnotes!" ("disgust", "narrow", "base", "mid")
            gen "People read those?" ("base", xpos="far_left", ypos="head")
    cho "She was a legendary seeker, the speed and precision of her flying was unmatched." ("angry", "closed", "base", "mid")
    cho "Nobody ever managed to figure out her identity or how she managed to fly so well." ("soft", "narrow", "base", "L")
    hoo "You sure know your Quidditch history Miss Chang, ten points to Ravenclaw." ("grin", "base", "base", "L")
    $ ravenclaw += 10
    cho "And then...{w=0.4} And then...{w=0.4} You dissapeared, and became a teacher?" ("soft", "base", "raised", "L")
    hoo "Yes indeed." ("base", "shocked", "base", "L")
    cho "Wow...{w=0.4} I can't believe it." ("soft", "base", "base", "mid")
    cho "Why?" ("upset", "base", "raised", "L")
    hoo "Sorry?" ("open", "shocked", "raised", "L")
    cho "Why would you end in the middle of your Quidditch carreer?" ("angry", "narrow", "base", "L")
    hoo "Oh...{w=0.4} *Ehm*..." ("open", "narrow", "base", "downR", cheeks="blush_heavy")
    hoo "Well you know, better end it when you're at the peak...{w=0.4} The urge to experience Quidditch from a new angle... And to... *Ehm*..." ("open", "narrow", "base", "downL", cheeks="blush_heavy")
    gen "Teach?" ("base", xpos="far_left", ypos="head")
    hoo "Oh, yes! Teach!" ("open", "closed", "shocked", "stare", cheeks="blush_heavy")
    gen "..." ("base", xpos="far_left", ypos="head")
    cho "The masked seeker... Teaching the next generation of Quidditch players..." ("smile", "narrow", "base", "L", cheeks="blush")
    hoo "Oh, stop it now Miss chang, you're making me blush." ("grin", "base", "base", "downR", cheeks="blush_heavy")
    cho "But, you're a living legend! This broom... It's... It's..." ("smile", "narrow", "base", "L")
    gen "Looks like a normal broom to me." ("base", xpos="far_left", ypos="head")
    cho "Sir, how could you say that?! This surely must be her secret! Why else would she be giving it to me?" ("disgust", "narrow", "angry", "mid")
    hoo "Oh no... He's right. There's nothing special about this broom." ("base", "narrow", "base", "L", cheeks="blush")
    cho "What?!" ("angry", "wide", "base", "L")
    cho "But then how did you get it to fly at such speeds?" ("angry", "narrow", "base", "L")
    hoo "By utilising some very special techniques that I discovered." ("base", "wink", "raised", "L", cheeks="blush")
    gen "(Why is she still blushing?)" ("base", xpos="far_left", ypos="head")
    hoo "*Ahem*... Perhaps it'd be best if I explained the history behind it first." ("open", "narrow", "base", "downR", cheeks="blush")
    hoo "I'm sure you're well aware that caring for your broom means a great deal to how well it will behave during flight." ("open", "closed", "base", "mid", cheeks="blush")
    cho "You mean using things like broom polish and trimming it?" ("soft", "base", "raised", "L")
    hoo "Precisely." ("base", "base", "base", "L", cheeks="blush")
    hoo "It's always been believed, and I still teach our students that usage of such things helps with aerodynamics, speed and agility." ("open", "base", "shocked", "L", cheeks="blush")
    hoo "Except that's only a half truth." ("open", "base", "base", "downL", cheeks="blush_heavy")
    hoo "How do I explain this..." ("normal", "narrow", "raised", "down", cheeks="blush_heavy")
    hoo "Remember your first flying lesson when you had to use a command word for the broom to jump into your hand?" ("open", "shocked", "shocked", "L", cheeks="blush")
    cho "Oh, yes of course!" ("smile", "narrow", "base", "L")
    hoo "Have you ever considered how this actually works? There's no wand being used in conjunction with the command word." ("open", "shocked", "shocked", "L", cheeks="blush")
    cho "..." ("soft", "narrow", "base", "down")
    cho "I honestly never thought about it..." ("soft", "narrow", "base", "downR")
    hoo "Yes, and I wouldn't blame you..." ("open", "closed", "base", "mid", cheeks="blush")
    hoo "The basic knowledge on creating brooms has been passed down for generations, the why's and how's is not something the average broom user cares about." ("open", "base", "shocked", "L", cheeks="blush")
    hoo "But me on the other hand... Well I got a bit obsessed trying to answer this question, and began researching heavily to try and figure out how it all worked..." ("base", "base", "base", "mid", cheeks="blush")
    cho "And you found the answer?" ("angry", "base", "base", "L")
    hoo "It took years of research but yes, I did." ("grin", "shocked", "base", "L", cheeks="blush")
    cho "Years?!" ("clench", "wide", "base", "L")
    hoo "Indeed... I had to sift through and translate some very old tomes to find what I was searching for, as all my questions led me towards the very essence of enchanting." ("open", "shocked", "base", "L", cheeks="blush")
    cho "Wow..." ("smile", "base", "base", "L", cheeks="blush")
    hoo "Think of magic as a tree." ("open", "base", "base", "L", cheeks="blush")
    hoo "All magic in this world and others stem from the same source, each school of magic are just branches leading to it." ("base", "shocked", "base", "L", cheeks="blush")
    hoo "If the magic user has a higher understanding of the core fundamentals of that branch of magic then they have a much easier time at manipulating it.." ("base", "base", "base", "L", cheeks="blush")
    hoo "As an example, creatures of old such as Djinns possess magical abilities that stretch as far as the roots of magic." ("base", "base", "base", "mid", cheeks="blush")
    hoo "Although their abilities are innate... We'd be so lucky to even get close to the source of each school of magic." ("base", "shocked", "base", "mid", cheeks="blush")
    gen "(Makes sense... I sort of just waved my fingers and shit happened...)" ("base", xpos="far_left", ypos="head")
    cho "Djinns?" ("soft", "base", "raised", "mid")
    hoo "Or Genies, whatever you prefer." ("open", "shocked", "base", "L", cheeks="blush")
    gen "Djinn is fine." ("base", xpos="far_left", ypos="head")
    cho "I see..." ("soft", "narrow", "base", "downR")
    hoo "Through my research, I found that when a magic user imbues an object with magic, we also leave a trace of ourselves inside of it." ("open", "shocked", "shocked", "L", cheeks="blush")
    hoo "It's a bit complicated to explain... In essence it's something like our core instincts or character, mixed with all of the other elements that binds us magic users together." ("base", "base", "shocked", "L", cheeks="blush")
    hoo "Are you following?" ("base", "shocked", "raised", "L", cheeks="blush")
    gen "Makes perfect sense to me." ("base", xpos="far_left", ypos="head")
    cho "*Err*..." ("angry", "narrow", "base", "L")

    if snape_picture_examined:
        gen "That's why those portraits never keep quiet, isn't it?" ("base", xpos="far_left", ypos="head")
        hoo "Precisely... The portraits appear alive for this very reason." ("base", "base", "base", "mid", cheeks="blush")
        hoo "Every painting contains some characteristics from the artist who painted it." ("base", "shocked", "base", "L", cheeks="blush")

    hoo "That said, a bond can also be formed between a magic user and an object, much like the one we all have with our wands." ("base", "base", "base", "L", cheeks="blush")
    hoo "This is the reason why doing things like polishing our brooms is so important, it has nothing to do with the polish itself... That's all just corporate mumbo jumbo." ("base", "narrow", "base", "L", cheeks="blush")
    hoo "It's about forming that bond with the object." ("base", "shocked", "base", "mid", cheeks="blush")
    gen "I polish mine every day." ("base", xpos="far_left", ypos="head")
    cho "Wow..." ("smile", "narrow", "base", "L", cheeks="blush")
    hoo "Which leads me to my practical research in the subject and how I finally became... The masked seeker." ("open", "closed", "shocked", "mid", cheeks="blush_heavy")
    cho "Oooh!" ("smile", "base", "base", "L")
    hoo "So... With this knowledge I started working on figuring out new ways to care for your broom." ("base", "base", "base", "down", cheeks="blush")
    hoo "I tried sweeping with it, it's a broom after all, I thought maybe it would like that." ("open", "shocked", "raised", "R", cheeks="blush")
    hoo "But it didn't work, in fact it made the broom slower... Which made sense, this broom was designed for flying after all..." ("normal", "base", "base", "mid", cheeks="blush")
    hoo "I tried talking to it... And that might've worked, albeit the fact that brooms don't have ears..." ("base", "shocked", "base", "L", cheeks="blush")
    hoo "I even tried using Fleetwood's High-Finish Handle Polish to see if it made any difference to the one I usually use and lo and behold..." ("base", "base", "base", "downR", cheeks="blush")
    cho "" ("angry", "base", "base", "L") #expectant

    call ctc

    hoo "There was no difference." ("open", "base", "base", "L", cheeks="blush")
    cho "" ("annoyed", "base", "base", "mid") #disappointed
    hoo "After all these tests, I wasn't getting anywhere, leaving me more and more frustrated and needing to do something to take the edge off." ("open", "closed", "base", "mid", cheeks="blush")
    hoo "And as it just so happened, there was a polished and stiff wooden object at hand right there..." ("open", "base", "base", "R", cheeks="blush_heavy")
    gen "..." ("grin", xpos="far_left", ypos="head")
    hoo "Let's just say that I rode that thing in ways I had never done before..." ("base", "narrow", "base", "down", cheeks="blush_heavy")
    cho "I do that when I'm stressed out too!" ("smile", "base", "base", "L")
    gen "I don't think she meant in the way you're thinking." ("grin", xpos="far_left", ypos="head")
    cho "What do you mean then professor--" ("soft", "base", "raised", "mid")
    cho "Ooooh..." ("soft", "narrow", "base", "L", cheeks="blush") #Blushing
    gen "So this is what you meant when you said you had just the broom for Miss Chang..." ("base", xpos="far_left", ypos="head")
    cho "" ("soft", "narrow", "base", "down", cheeks="blush") #Blushing
    hoo "Figured it out already have you?" ("base", "wink", "raised", "mid", cheeks="blush")
    hoo "Well I can't say I'm surprised, you've always had a much broader view on magic than most, professor." ("base", "base", "base", "mid", cheeks="blush")
    cho "I'm confused..." ("disgust", "narrow", "base", "mid", cheeks="blush")
    hoo "Think about the things I've told you thus far, Miss Chang." ("base", "base", "base", "L", cheeks="blush")
    hoo "When you enchant an object it takes on some of the enchanter's characteristics." ("base", "base", "shocked", "L", cheeks="blush")
    cho "Yes?" ("soft", "narrow", "base", "L", cheeks="blush")
    hoo "Well, Initially during practical testing I was trying to appeal to what I thought a broom would enjoy." ("base", "base", "base", "R", cheeks="blush")
    hoo "When I should've appealed to what I would enjoy..." ("base", "base", "base", "L", cheeks="blush_heavy")
    cho "Wait, so doing...{w=0.4} {i}\"That\"{/i} with your broom... Made the broom go faster? Using it to...{w=0.4} *Err*..." ("angry", "narrow", "base", "L", cheeks="heavy_blush")
    gen "Take off." ("base", xpos="far_left", ypos="head")
    hoo "Faster \"and\" more agile... Although the effects faded quite quickly afterwards." ("base", "shocked", "base", "L", cheeks="blush")
    cho "Then how were you able to use this method during a game of Quidditch?" ("angry", "narrow", "base", "L", cheeks="heavy_blush")
    hoo "I'm glad you asked!" ("grin", "shocked", "base", "L", cheeks="blush")
    hoo "I used this..." ("grin", "base", "base", "L", cheeks="blush")

    #Dildo appears on broom
    hoo "" ("base", "base", "base", "downR", cheeks="blush")
    $ renpy.play("sounds/collar_click.ogg")
    $ hooch.equip(hoo_accessory_broom_dildo)
    with d3

    ">Madam Hooch takes a phallic shaped object out of her pockets and attaches it to the broom."

    cho "Merlin's beard!" ("mad", "wide", "base", "L", cheeks="heavy_blush")
    gen "Merlin's cock!" ("grin", xpos="far_left", ypos="head")
    hoo "So, what say you, Miss Chang? You wanted a broom that rivals the firebolt, so here you have it!" ("grin", "shocked", "raised", "L", cheeks="blush")
    cho "Yes, but..." ("mad", "narrow", "base", "downR", cheeks="heavy_blush")
    hoo "When used by the right person, this broom could go even faster." ("grin", "shocked", "base", "L", cheeks="blush_heavy")
    cho "But, everyone will be there watching..." ("angry", "narrow", "base", "L", cheeks="heavy_blush") #blushing
    hoo "I know...{w=0.4} Exciting thought, isn't it?" ("grin", "base", "shocked", "L", cheeks="blush_heavy")
    cho "..." ("horny", "narrow", "base", "downR", cheeks="heavy_blush")
    hoo "You don't need to pretend with me, Miss Chang. I have seen how much you enjoyed everybody gazing at you during the preliminaries.." ("grin", "wink", "base", "L", cheeks="blush")
    cho "You did?" ("angry", "narrow", "base", "L", cheeks="heavy_blush")
    hoo "Yes, and I assure you, I understand your feelings completely..." ("base", "narrow", "shocked", "L", cheeks="blush_heavy")
    hoo "As it happens... There's nothing that gets me more excited than a crowd..." ("base", "narrow", "base", "mid", cheeks="blush_heavy")

    # Used in Quidditch Outro
    label .introspection:

        if _in_replay:
            show screek blkfade
            with d5

            $ hooch.equip(hoo_outfit_default)
            $ hooch.equip(hoo_accessory_broom_dildo)
            $ cho.equip(cho_outfit_quidditch_gryffindor)
            $ game.gold = 1984
            $ game.day = 666
            $ game.daytime = True
            $ game.weather = "clear"
            $ hooch_chibi.move((450, 500), speed=100) # TODO, fix after chibi changes are merged
            camera screens at sepia
            call room("quidditch_pitch")
            call cho_chibi("stand", "right", "base", flip=False)
            call gen_chibi(xpos="mid", ypos="base", flip=False)

            hide screen blkfade
            with d5
    #

    hoo "And all those feelings are imbued into this very broom..." ("base", "narrow", "base", "R", cheeks="blush")
    hoo "I remember using it at the quidditch world cup finals... Thousands of people watching..." ("grin", "closed", "worried", "mid", cheeks="blush_heavy")
    cho "" ("horny", "narrow", "base", "downR", cheeks="heavy_blush")
    hoo "I don't think any broom had ever reached such speeds before..." ("grin", "narrow", "base", "stare", cheeks="blush_heavy")
    hoo "When I caught the snitch... Why I've never felt such a rush." ("grin", "closed", "shocked", "mid", cheeks="blush_heavy")
    cho "{size=-6}I'll do it...{/size}" ("disgust", "narrow", "base", "downR", cheeks="heavy_blush") #Small text

    # Used in Quidditch Outro
    if _in_replay:
        show screen blkfade
        with d5
        camera screens
        $ renpy.end_replay()
    #

    if cho_received_thestral:
        gen "Wait, how come when I tried to give you a broom with a--" ("angry", xpos="far_left", ypos="head")
    else:
        gen "You will?" ("base", xpos="far_left", ypos="head")

    hoo "Fantastic news!" ("grin", "shocked", "shocked", "L", cheeks="blush")

    if cho_received_thestral:
        gen "..." ("base", xpos="far_left", ypos="head")

    cho "Just...{w=0.4} *Ahem*...{w=0.4} I have a question..." ("angry", "narrow", "base", "down", cheeks="heavy_blush")
    hoo "Yes?" ("base", "shocked", "raised", "L", cheeks="blush")
    cho "How did you manage to keep it--{w=0.2} I mean it's so big...{w=0.4} How did nobody see?" ("angry", "narrow", "base", "L", cheeks="heavy_blush")
    hoo "A skirt and a small cut in your underwear and no one will be any wiser." ("base", "shocked", "base", "downL", cheeks="blush")
    cho "I see..." ("soft", "narrow", "base", "down", cheeks="heavy_blush")
    gen "To think that a \"PE\" teacher would have such a grasp of the fundamentals of magic..." ("base", xpos="far_left", ypos="head")
    cho "Sir!" ("clench", "base", "base", "mid", cheeks="blush")
    gen "Oh sorry, did I say that out loud?" ("base", xpos="far_left", ypos="head")
    hoo "Yes, I'm a bit of a rogue bludger..." ("grin", "wink", "base", "mid")
    cho "" ("annoyed", "base", "base", "mid", cheeks="blush")
    gen "(I wonder if this is this why that carpet always appeared more energetic after getting whipped.)" ("base", xpos="far_left", ypos="head")
    gen "(Gross...)" ("base", xpos="far_left", ypos="head")
    gen "So, what do you call this invention of yours?" ("base", xpos="far_left", ypos="head")
    hoo "What do I call it?" ("open", "shocked", "raised", "mid")
    hoo "*Hmm*... Why I never really thought about giving it a name." ("normal", "base", "shocked", "down")
    gen "Really?" ("base", xpos="far_left", ypos="head")
    gen "I thought women named all their toys." ("base", xpos="far_left", ypos="head")
    gen "How about..." ("base", xpos="far_left", ypos="head")

    menu:
        #Sets Cho's broom name for use during and after match (cho_broom_name)
        "\"The Schlickstick!\"":
            $ cho_broom_name = "Schlickstick"

            cho "The what?" ("angry", "wide", "base", "mid", cheeks="blush")
            gen "A fitting name for a fitted broom..." ("base", xpos="far_left", ypos="head")
            hoo "[cho_broom_name] eh? I like it!" ("base", "base", "base", "mid")
        "\"The Scoot-a-ride!\"":
            $ cho_broom_name = "Scoot-a-ride"

            gen "You know, cause you scoot around on it." ("base", xpos="far_left", ypos="head")
            cho "Very funny professor..." ("annoyed", "narrow", "base", "mid")
            hoo "Works for me." ("base", "base", "base", "mid")
        "\"The Speedblaster 2000!\"":
            $ cho_broom_name = "Speedblaster 2000"

            gen "Cause it'll get up to higher speeds as it blasts your--" ("base", xpos="far_left", ypos="head")
            cho "Sir!" ("angry", "base", "angry", "mid", cheeks="blush")
            gen "I know, a perfect name isn't it?" ("base", xpos="far_left", ypos="head")
            cho "Professor Hooch, I'm so sorry about his--" ("angry", "closed", "angry", "mid", cheeks="blush")
            hoo "I like it!" ("base", "base", "base", "mid")
            cho "..." ("disgust", "base", "base", "L", cheeks="blush")
        "\"The Purple Rocket!\"":
            $ cho_broom_name = "Purple Rocket"

            cho "The broom isn't... Oh I see..." ("disgust", "narrow", "base", "mid", cheeks="blush")
            hoo "Works for me." ("base", "base", "base", "mid")
            gen "He-heh..." ("grin", xpos="far_left", ypos="head")
        "\"The Cumet!!\"":
            $ cho_broom_name = "Cumet"

            hoo "There's already a broom called that unfortunately." ("normal", "base", "shocked", "mid")
            gen "There is?" ("base", xpos="far_left", ypos="head")
            gen "Someone's stolen the pun before I could..." ("base", xpos="far_left", ypos="head")
            hoo "Oh, I see what you mean now." ("base", "base", "base", "mid")
            cho "Huh?" ("open", "base", "base", "L")
            hoo "Yeah, cumet suits it just fine..." ("grin", "base", "raised", "R", cheeks="blush")
        "\"The Nimble 2069!\"":
            $ cho_broom_name = "Nimble 2069"

            hoo "I see, since you're able to move more nimbly on it... Very clever." ("base", "base", "base", "mid")
            gen "(Heh-heh... Sixty-nine...)" ("base", xpos="far_left", ypos="head")
        "\"The Spurtstick 900!\"":
            $ cho_broom_name = "Spurtstick 900"

            hoo "It does go very fast once you get it going... I like it!" ("base", "shocked", "shocked", "mid")
            cho "I'm not sure that's why he wants to call it--" ("disgust", "narrow", "base", "L", cheeks="blush")
            gen "Great! Spurtstick 900 it is!" ("grin", xpos="far_left", ypos="head")
            cho "..." ("disgust", "base", "base", "mid", cheeks="blush")

    gen "Very well then... You've got what you wanted, Miss Chang. I hope you're satisfied." ("base", xpos="far_left", ypos="head")
    gen "If not, I'm sure you will be at the finals." ("grin", xpos="far_left", ypos="head")
    cho "Sir!" ("angry", "base", "base", "mid", cheeks="heavy_blush")
    gen "When you win that cup, of course." ("base", xpos="far_left", ypos="head")
    cho "Oh..." ("upset", "base", "base", "downR", cheeks="blush")
    gen "Make sure you get lots of practice in until then." ("grin", xpos="far_left", ypos="head")
    cho "Yes sir." ("soft", "base", "base", "mid")
    cho "*Ehm*...{w=0.4} Thank you for your assistance, Professor." ("open", "base", "base", "L")
    hoo "Certainly, Miss Chang... Good luck." ("base", "base", "base", "L")

    #Fade to black
    show screen blkfade
    with d5

    call nar(">You leave Cho to her own devices...{w=0.4} And return to your office.")

    $ cho_quid.E12_complete = True

    # Reset hooch's chibi values
    $ hooch_chibi.zoom = 0.28
    $ hooch_chibi.zorder = 12
    $ hooch.equip(hoo_accessory_broom)

    call stop_sound_effects

    jump main_room

label cho_quid_E13:

    # Informs the player that all preprations are complete

    gen "(Cheerleading squad... Check... Broom... Check...)" ("base", xpos="far_left", ypos="head")
    gen "(Well then... That should be everything.)" ("base", xpos="far_left", ypos="head")
    gen "(Although perhaps I could leave her with that broom for a bit before arranging the finals...)" ("grin", xpos="far_left", ypos="head")

    $ cho_quid.E13_complete = True

    jump main_room_menu

label cho_quid_E14:

    # Quidditch Outro

    call cho_walk("mid", "base", action="enter")

    cho "Hello Coach."
    gen "Hello [cho_name]... So, I still am your coach after all?" ("base", xpos="far_left", ypos="head")
    cho "Of course you are!"
    cho "Unless you would rather not be anymore?"
    gen "Nonsense." ("base", xpos="far_left", ypos="head")
    gen "If you ever need me, I'll be there before you can even say snitch." ("base", xpos="far_left", ypos="head")
    cho "Well, in that case...{w=0.3} {size=-2}Snitch...{/size}"

    #Genie chibi stands up next to his desk

    menu:
        "-Use Instant Transmission-":

            # Genie teleports to Cho

            call gen_chibi("stand", 430, "base")
            call teleport(position="genie", effect=False)

            cho "Apparition, I presume?"
            gen "Appa-- What?"
            gen "Isn't that the flying thing from Four Elements Tr-- I mean Avatar!"
            cho "What?"
            gen "*Err*... Yeah, whatever you said."

        "\"Wait, right now?\"":

            gen "Wait, now?" ("angry", xpos="far_left", ypos="base")
            cho "Isn't the coach supposed to make sure their pupil keeps up with their training?"
            gen "*Hmm*... I suppose another examination of your physique would be in order." ("base", xpos="far_left", ypos="base")

            call gen_chibi("stand", 225, "base")
            with d3
            call gen_walk(path=[(230, 470), (410, 470), (430, "base")])

            # Genie walks to cho

    gen "So, how about we start with examining your chest, and then move on to--" ("grin", xpos="far_left", ypos="base")
    cho "Actually, I was thinking of showing you how I take care of my favourite lumber."
    gen "{i}Your favourite lumber?{/i}" ("base", xpos="far_left", ypos="base")
    cho "Yes, is it that surprising?"
    gen "(Last I checked she didn't have any lumber down there, we have even had sex!)" ("base", xpos="far_left", ypos="base")
    gen "(Have my dick gotten so worn down that I can't tell the difference between a pussy and an ass?)" ("base", xpos="far_left", ypos="base")
    gen "(Or maybe she's a were-futa?!)" ("angry", xpos="far_left", ypos="base")
    gen "(Nah... She would show symptoms much earlier.)" ("angry", xpos="far_left", ypos="base")
    gen "(Perhaps she has been under some sort of body concealment charm this entire time?)"
    gen "(No... That'd be ridiculous...{w=0.5} Although--)" ("base", xpos="far_left", ypos="base")
    cho "Earth to [cho_genie_name]! Are you listening?"
    gen "*Huh*?"
    cho "I'd like to show off my skills as a beater." #beater is used deliberately instead of beating
    gen "(Quidditch... Of course that's what she meant...)" ("base", xpos="far_left", ypos="base")
    cho "Why are you looking at me like that?"
    gen "Oh, I was just--{w=0.2} Well, I just thought you--" ("base", xpos="far_left", ypos="base")
    cho "Is it because I'm a girl?!"
    gen "What?!" ("angry", xpos="far_left", ypos="base")
    cho "You think I can't do it because I'm a girl?!"
    gen "W--What, how are you implying--" ("angry", xpos="far_left", ypos="base")
    cho "Just because boys have it easier, it doesn't mean a girl like me can't do it!"
    gen "I wasn't saying--{w=0.2} I mean, can you even--" ("angry", xpos="far_left", ypos="base")
    cho "Of course I can, I have everything I need right here!"
    gen "Y-You do?" ("base", xpos="far_left", ypos="base")
    cho "Of course!"
    cho "Just close your eyes for a moment, and I'll get to it."
    gen "Why would I need to--" ("base", xpos="far_left", ypos="base")
    cho "Close them!"
    gen "(I hope I don't regret this...)" ("angry", xpos="far_left", ypos="base")

    #Fade to black
    #rustle sound

    show screen blkfade
    with d5

    gen "What are you doing?"
    cho "One moment [cho_genie_name], I'm just having trouble trying to pull it out..."
    gen "*gulp*"

    #rustle sound

    gen "[cho_name], is that...?"
    cho "One more second..."
    cho "Now, if I could just--"

    #cloth sound

    cho "There we go!"
    cho "You can open your eyes now."

    show image Placeholder("bg girl") as cg zorder 15

    hide screen blkfade
    with d5



    #Fade to CG, Cho has arm to her side, normal shirt (ingame shader for night variant)

    #Cho looks down at genie's soft cock

    gen "Whoa! You were talking about my trousers!" ("grin", xpos="far_left", ypos="head")

    #Cho looks up and smiles

    gen "But, I thought you said you wanted to show off your skills--" ("base", xpos="far_left", ypos="head")
    gen "Okay, I think I just caught up to what we're doing here..." ("base", xpos="far_left", ypos="head")
    cho "I don't know what you're talking about, [cho_genie_name]... This is just yet another normal training session with one of your trainees."
    gen "(Sounds like something I would say.)" ("base", xpos="far_left", ypos="head")
    gen "I must've rubbed off on you in more ways than one." ("grin", xpos="far_left", ypos="head")
    cho "What can I say, I'm very impressionable..."
    cho "Speaking off rubbing... Would you like a demonstration of how I enchant my equipment?"
    gen "A few minutes ago, I would be hesitant, but now? Sure!" ("grin", xpos="far_left", ypos="head")
    cho "Although..."
    cho "It looks like the equipment isn't quite ready yet."
    gen "The--{w=0.2} (Floppy cock)!!" ("angry", xpos="far_left", ypos="head")
    gen "(She got me all stressed out for a moment, but I cannot show weakness!)"

    menu:
        "\"It's cold in here!\"":
            gen "And I wasn't ready!" ("angry", xpos="far_left", ypos="head")

        "\"I wasn't ready!\"":
            gen "And it's cold in here!" ("angry", xpos="far_left", ypos="head")

    cho "No big deal, [cho_genie_name]... I learned how to deal with this sort of thing during one of my lessons."
    gen "(During her lessons...?)"
    cho "{size=+5}Up!{/size}"
    cho "Hold on, that's for brooms, not for--"

    #Genie gets a boner

    cho "Oh, it worked!"
    cho "I mean, of course it worked!"
    cho "Well then... Let's start with the enchanting process..."

    #Cho takes genie's cock in her hand
    #Cho turn head down towards dick
    #Spit trailing from mouth towards dick
    #Spit on dick
    #Cho hand on dick, jacking it.
    #Shiny dick (spit)

    gen "That's the stuff, [cho_name]!" ("open", xpos="far_left", ypos="base")
    cho "Don't worry, [cho_genie_name], this is just one of the steps I learned about enchanting."
    gen "Hold on, you're actually enchanting my cock? I didn't know you could do that!" ("grin", xpos="far_left", ypos="base")
    cho "Your cock?"
    cho "I'm merely creating a magical connection between myself and this magnificent piece of wood..."
    gen "And the spit helps with that?" ("base", xpos="far_left", ypos="base")
    cho "Of course! You don't want friction--"
    cho "*Ahem*... I mean, you need the element of water to cast a successful enchantment!"
    gen "You're not trying to turn my penis into a water geyser, are you?" ("base", xpos="far_left", ypos="base")
    cho "*Sigh*"
    gen "Alright, I'll listen... What's this magical spit rubbing called again?" ("base", xpos="far_left", ypos="base")
    cho "Imbuing."
    gen "Fascinating." ("base", xpos="far_left", ypos="base")
    cho "I'm basically channelling my magic into the element to create a connection between myself and this piece of wood."
    gen "Magic spit, huh." ("base", xpos="far_left", ypos="base")
    cho "Once the connection is established, it can then be strengthened and enforced in various ways, through stimulation."
    gen "You're starting to sound like Hermione." ("base", xpos="far_left", ypos="base")
    cho "Of course, the type of stimulation depends on what the magic user has the strongest affinity for."
    gen "Right?" ("base", xpos="far_left", ypos="base")
    cho "So, I usually rub the surface..."
    cho "Because that's the type of stimulation I enjoy the most..."
    gen "Nice." ("base", xpos="far_left", ypos="base")
    gen "Although, I still don't get what the fuck you're on about--" ("base", xpos="far_left", ypos="base")

    #Cho stops jacking
    #Cho turn head down towards dick
    #Spit trailing from mouth towards dick

    #Cho resumes jacking slow

    gen "Ah!" ("angry", xpos="far_left", ypos="base")
    cho "You were saying?"
    gen "Never mind! I totally get it now!" ("grin", xpos="far_left", ypos="base")
    cho "Good! Then we can proceed to the next step."

    #jerking medium

    gen "Damn, [cho_name]! Since when did you get so good at giving handjobs?" ("grin", xpos="far_left", ypos="base")
    cho "I'm not sure what you mean by a handjob, [cho_genie_name]."
    cho "But what I can tell you is, to establish a strong connection, an enchanter must always use their full potential."
    gen "That Hooch lady's sure taught you a lot!" ("grin", xpos="far_left", ypos="base")
    cho "*giggles*"
    cho "Practice makes perfect... It's what she taught me."
    cho "I've practised enchanting on my own equipment a countless times by now."
    cho "My snitch absolutely glows with magic once I'm finished with it."
    gen "I bet..." ("grin", xpos="far_left", ypos="base")
    cho "Although I have to do it in secret, so I end up picking a time and place where I won't be bothered, like the changing rooms after practice."
    gen "Clever... *Nghh* girl." ("base", xpos="far_left", ypos="base")
    gen "So, is experiencing the real deal any different from your practice?" ("base", xpos="far_left", ypos="base")
    cho "It's Somewhat similar, but..."
    cho "You know what, Why don't I tell you how I usually do it, and we could compare?"
    gen "Sounds like a plan!" ("grin", xpos="far_left", ypos="base")
    cho "Well..."

    # This section would either show the CG of Cho masturbating in front of lockers inside a small bubble, to go along with her jerking genie off, or swap to that CG temporarily.

    #Cho puts fingers in mouth (masturbate)
    #Cho stops jacking (genie)
    #Cho turn head down towards dick (genie)
    #Spit trailing from mouth towards dick (genie)

    cho "First, I start by covering the surface with a good coat of spit-- I mean the magical conductor..."
    gen "Magical conductor, right."

    #Cho puts hand on clit (masturbate)
    #Cho normal head pose (genie)

    cho "I then slowly begin fondling it gently with my fingers."

    #Cho starts jerking (genie)
    #Cho starts rubbing clit (masturbate)

    cho "Rubbing it,{w=0.3} up and down,{w=0.3} up and down..."
    cho "Once I've spread the coating evenly, then I begin channelling my magic into it."

    #jerking medium (genie)
    #rubbing medium (masturbate)

    gen "*Ngh*... You're--{w=0.2} You're able to channel your own magic into your--" ("grin", xpos="far_left", ypos="base")
    cho "Of course, any able-bodied witch should be able to do that."
    gen "I have so many questions, but... Please, continue..." ("grin", xpos="far_left", ypos="base")
    cho "So, after I start channelling, I keep the flow at a rhythm, or I should say flow, to the point where I start feeling tingly..."
    cho "That's when I increase the speed-- I mean flow..."

    #jerking fast (genie)
    #rubbing fast (masturbate)

    gen "*Ngh*!!!" ("angry", xpos="far_left", ypos="base")
    cho "I pour every ounce of magic I've got into the process, until it's almost bursting with magic!"
    gen "*Aargh*!" ("angry", xpos="far_left", ypos="base")

    #Cho stops jerking (genie)
    #Cho stops masturbating (masturbate)

    cho "Then I stop, leaving it pulsing, and filled to the brim with magical energy."

    #Masturbate view removed

    gen "*Ah*...{w=0.4} Why did you?!" ("angry", xpos="far_left", ypos="base")
    cho "Even though it might be tempting, one shouldn't overdo it, or they might have an accidental discharge."

    gen "*Mhm*...{w=0.2} Yes, who would want that to--{w=0.2} *Ngh*...{w=0.4} To happen..." ("open", xpos="far_left", ypos="base")

    cho "Of course, sometimes you can't help it... I've left quite the mess inside the changing room a couple of times."
    gen "Then why leave me hanging now, maybe I wanted to experience it myself..." ("open", xpos="far_left", ypos="base")
    cho "Huh? Oh, I'm sorry [cho_genie_name]... I got a bit carried away..."
    cho "I'm sorry, [cho_genie_name], I don't think I can keep this up..."
    gen "W--{w=0.2} What? No, you're doing a fantastic job keeping it up!" ("angry", xpos="far_left", ypos="base")
    cho "I mean this role-playing thing."
    gen "(Role-playing? Is that what we're doing?)" ("base", xpos="far_left", ypos="base")
    cho "There is... Something I need to talk to you about..."
    gen "Now?! What about the--" ("base", xpos="far_left", ypos="base")
    cho "..."
    gen "*Ahem*... Of course, there's no better time for that than now, I suppose..." ("base", xpos="far_left", ypos="base")
    gen "(But why does it always have to be one of those times!)" ("base", xpos="far_left", ypos="base")
    cho "I thought I could just pretend it never happened, and that I could trick myself into thinking I'm just doing this to get better at Quidditch."
    cho "But I can't!"
    gen "..." ("angry", xpos="far_left", ypos="base")
    cho "I won the cup already!"
    cho "So I can't really fool myself that this is about Quidditch, can I?"
    gen "*Err*..." ("base", xpos="far_left", ypos="base")
    gen "We could pretend that it's to help you with Quidditch still, if it makes you feel better." ("base", xpos="far_left", ypos="base")
    gen "Training your body to help you reach for the cock-- I mean the snitch and all that." ("base", xpos="far_left", ypos="base")
    cho "..."
    gen "Or we could compare wind resistance whenever you fly naked versus clothed." ("base", xpos="far_left", ypos="base")
    cho "..."
    gen "Still not convinced? Hmm." ("base", xpos="far_left", ypos="base")
    gen "How about some sexual-- I mean, completely normal yoga!" ("base", xpos="far_left", ypos="base")
    cho "It's okay, [cho_genie_name]..." #looks up at genie
    cho "While I'm sure there are still a great number of things you could teach me that I could apply at the pitch--"
    cho "--It's clear that this is not about Quidditch any more, I just need to get to terms with it."
    gen "Why stick with one hobby when you can have many, that's what I always say!" ("grin", xpos="far_left", ypos="base")
    gen "Well, if you're asking me to broaden your horizons, past holding a piece of wood in-between your legs, my answer is--" ("base", xpos="far_left", ypos="base")
    cho "Wait!"
    gen "--Yes?" ("base", xpos="far_left", ypos="base")
    cho "There's one more thing..."
    cho "I think it would be best that we be fully honest with each other from now on."
    gen "Oh... *Err*..." ("base", xpos="far_left", ypos="base")
    cho "You had me do all those naughty things..."
    gen "..." ("base", xpos="far_left", ypos="base")
    cho "Well, it took me a while, but I finally figured it out..."
    gen "You got me! I did it all, just for a chance to get my dick squeezed between your muscly thighs!" ("grin", xpos="far_left", ypos="base")
    cho "My--{w=0.4}{nw}"

    #Cho removes hand off genie's dick, putting it to her side

    cho "My--{fast} My Thighs?"
    gen "Yes?" ("base", xpos="far_left", ypos="base")
    cho "You know, you don't need to lie to me, [cho_genie_name]."
    cho "I understand now that the only reason why you had me do all those things, was to help me raise my confidence, despite my recklessness." # Important note
    gen "*Huh*?"
    cho "I mean, the deal was that I'd sell you favours as a way to repay you for your coaching."
    cho "But if it was sex that you were after, then surely you would've wanted us to go all the way before the finals."
    cho "But you didn't push me even once to cross that line... You patiently waited for me to be ready, to do what was necessary to win the cup."
    gen "(Probably a bad time to tell her that I just kind of forgot...)"
    cho "And that's why...{w=0.4} Well, I felt as if I have to--"
    cho "You have spent so much of your time guiding and encouraging me..."
    cho "And you even gave me a luck potion, just so I could finally achieve my dreams!"
    gen "(Did I do that...?)"
    cho "But then I threw it all away, my urges for sexual gratification became too strong."
    cho "I ended up getting carried away..."
    gen "(Been there, done that...)" ("base", xpos="far_left", ypos="base")
    cho "I was sort of running on a high after winning the cup, thinking I could do anything I wanted--"
    gen "No need to apologise [cho_name], you drank that luck potion after all, if there were any consequences I'm sure they would have happened by now." ("base", xpos="far_left", ypos="base")
    cho "*Ehm*..."
    cho "It's just... Well, I thought I should... Since we ended up having sex..."
    gen "Oh... I understand what you're trying to say..." ("grin", xpos="far_left", ypos="base")
    cho "You do?"
    gen "Of course, and there's no need to worry, I've coached my swimmers to not accidentally get anyone pregnant." ("grin", xpos="far_left", ypos="base")
    cho "That's--{w=0.2} I wasn't even considering that..."
    gen "You weren't?!" ("base", xpos="far_left", ypos="base")
    cho "No, but I'll keep it in mind for the future."
    gen "(Maybe shouldn't have said anything...)"
    gen "So, what is bothering you then?" ("base", xpos="far_left", ypos="base")
    cho "Well... The potion..."
    gen "Yeah?" ("base", xpos="far_left", ypos="base")
    cho "I never really drink any it."
    gen "I see..." ("base", xpos="far_left", ypos="base")
    gen "{size=+4}Wait what?!{/size}" ("angry", xpos="far_left", ypos="base") #Big text

    #Cue flashback effect with woosh sound
    #Should we use the replay function that we do for mirror stories for this section? Would we change the day counter at all/set it to 0?
    #Editors note. Sections taken from original writing should not be adjusted, for obvious reasons.

    #Office evening, (Gryffindor practice return event)

    #TODO add cho chibi/doll position, night time etc

    $ renpy.call_replay("cc_gt_return.introspection")

    show screen blkfade
    with None
    hide screen blkfade
    with d5

    #New scene, Flashback Shifts to CG with liquid luck potion bottle on bed
    # TODO: Add CG

    show image Placeholder("bg") as cg

    cho "(What's this?)"
    cho "(A bottle of...{w=0.3} liquid luck?!)"
    cho "(Did coach leave this for me?)"

    #Bottle is removed from covers.

    cho "(That must be why he wasn't so concerned about my equipment...)"
    cho "(Unless it's a placebo...)"

    #cork sound
    pause .5
    #sniff sound
    cho "(*Sniff*)"

    cho "(No, that's liquid luck alright, no doubts about it...)"
    cho "(Of course, he would know that you can't trick a Ravenclaw after all.)"
    cho "(But to think he'd give me this... Just so I could win the finals...)"
    cho "(...)"
    cho "(I'll just put it in my pocket for now...)"

    #New scene, Flashback shifts to daytime. Cho is at the quidditch pitch entrance. (early morning shader?)

    call room("quidditch_pitch")
    call cho_chibi("stand", "mid", "base")
    play bg_sounds "sounds/outskirts.ogg" fadein 2
    with fade

    cho "(Hmm... He's not here yet...)"
    cho "(I guess I'll sit down and wait for him.)"
    #cloth sound

    #Fade to New CG potion held up into sky
    show image Placeholder("bg") as cg zorder 15
    with fade

    cho "..."
    cho "(I never thought I'd hold one of those in my hand...)"
    cho "([cho_genie_name] must really want me to win if he's willing to risk his career by giving this...)"
    cho "(But why did we go through all those lewd favours, if he was just going to give me a luck potion anyway...)"
    cho "(Did he agree to train me because of--)"
    cho "(... No, he wouldn't, would he?)"
    cho "(The training is over if I win, if he just wanted me for my body, he wouldn't try to help me win.)"
    cho "(He must want to help me succeed, like he said from the start...)"
    cho "(Help me succeed... No matter-- *Yawn*... The cost.)"

    show image Placeholder("bg") as cg zorder 15 at Transform(blur=5)
    with d9

    # Show snape's head

    show image Placeholder("bg") as cg zorder 15
    with d9

    #CG goes blurry for a moment and back again as Cho blinks, as the CG comes back, Snape's head appear inside the potion.

    sna "Today's lesson will be about Felix Felicis."
    sly1 "Who's that?"
    sna "It's a potion, you idiot! A luck potion more specifically."
    sna "This potion provides the drinker with a tremendous amount of luck, turning an ordinary day into an extraordinary one."
    sna "When under its effects, it will make the one who drinks it succeed in whatever activity they partake in, no matter what it is."
    sna "However, it is highly toxic in large quantities, therefore can only be consumed a handful of times during one's lifetime."
    sly2 "Have you ever tried it yourself, sir?"
    sna "Certainly!"
    sna "I brewed and drank my very first one when I was about your age."
    sna "Even though I knew about how it worked, I still couldn't believe that consuming it was enough to solve all my problems."
    sly1 "What problems did it solve, sir?"
    sna "Why, losing my virginity of course!"

    show image Placeholder("bg") as cg zorder 15 at Transform(blur=5)
    with d9

    # hide snape's head

    show image Placeholder("bg") as cg zorder 15
    with d9

    cho "Gross!!"
    cho "(What am I thinking...)"
    cho "(I can't achieve my goals like this!)"

    show screen blkfade
    with d5

    #Fade to black
    #Bottle cork sound
    #Pouring liquid sound

    cho "(It's done... There's no going back now.)"
    cho "(Hold on... Didn't Snape say luck potion is expensive...)"
    cho "(Blimey! I could have sold it got a new broom... )"
    cho "(Too late for that now. I better find the best alternative broom I can!)"
    cho "(I'm doing this for myself! I want the victory to feel real!)"

    $ renpy.call_replay("cho_quid_E12.introspection")

    show screen blkfade
    with None
    hide screen blkfade
    with d5

    $ renpy.call_replay("gryffindor_match.introspection1")

    show screen blkfade
    with None
    hide screen blkfade
    with d5

    $ renpy.call_replay("gryffindor_match.introspection2")

    show screen blkfade
    with None
    hide screen blkfade
    with d5

    $ renpy.call_replay("gryffindor_match.introspection3")

    show screen blkfade
    with None
    hide screen blkfade
    with d5

    $ renpy.call_replay("gryffindor_match_return.introspection")

    return
